<?php
/*
 * Poplar Gedcom Viewer
 * Copyright (C) 2002-2003 Nicolas de Vulpian
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/*
 * Extensively rewritten 10/2003
 * Copyright 2003 by J.R.Grotjan
 *
 * Edit Code Copyright 2003 by J.R.Grotjan
*/
?>
<?php
    $range = array(""=>"   ","ABT"=>"About","AFT"=>"After","BEF"=>"Before"
    ,"BET"=>"Between","CAL"=>"Calculated","EST"=>"Estimated","PHR"=>"Phrase");

    $tags = array("ALIA"=>$GV_TAG['ALIA'],"BURI"=>$GV_TAG['BURI']
    ,"BAPM"=>$GV_TAG['BAPM'],"BURI"=>$GV_TAG['BURI'],"BIRT"=>$GV_TAG['BIRT']
    ,"CHR"=>$GV_TAG['CHR'],"DEAT"=>$GV_TAG['DEAT'],"EDUC"=>$GV_TAG['EDUC']
    ,"EMIG"=>$GV_TAG['EMIG'],"IMMI"=>$GV_TAG['IMMI'],"NAME"=>$GV_TAG['NAME']
    ,"OCCU"=>$GV_TAG['OCCU'],"RELI"=>$GV_TAG['RELI'],"RESI"=>$GV_TAG['RESI']
    ,"TITL"=>$GV_TAG['TITL'],"_MILT"=>$GV_TAG['_MILT'],"_NAMS"=>$GV_TAG['_NAMS']);

    if ( !empty( $_POST['option'] ) ) { $_GET['option'] = $_POST['option']; }
    switch ( $_GET['option'] ) {
        case 'search' :
             echo '</form>'
             .'<form name="search" action=\''
             .$pgv->environment['rootUrl'].'/admin/index.php\' method=\'get\'>'
             .'<input type=\'text\' name=\'text\' style=\'input1\' />'
             .'<input type=\'hidden\' name=\'genID\' value=\''
             .$_GET['genID'].'\' />'
             .'<input name=\'mode\' type=\'submit\' value="'
             .GV_ADMIN_SEARCH_NAME.'" />'
             .'<input type=\'hidden\' name=\'action\' value='.GV_EDIT.' />'
             .'<input type=\'hidden\' name=\'option\' value='.GV_CHOOSE.' />'
             .'<input type=\'hidden\' name=\''.session_name()
             .'\' value=\''.session_id().'\' />'
             .'</form>';
             break;

        case GV_CHOOSE :
            $tab = parSrch( $_GET['text'] );
            $nb = count($tab);
            $query = 'SELECT ID, name, firstname, birth1, commentID FROM '.$pgv->table['individuals']
            .' WHERE ';
            if ($nb !== false){
               for ( $i = 0 ; $i < $nb ; $i++ ) {
                  $query .= '( name LIKE \'%'.$tab[$i].'%\''
                         .' OR firstname LIKE \'%'.$tab[$i].'%\' ) AND ';
               }
            }
            $query .= 'genID='.$_GET['genID'].' ORDER BY name, firstname' ;
            $result = $db->Execute( $query );

            echo '<table><tr><td align="center" bgcolor="#CCCCCC">'.GV_NAME.'</td>'
            .'<td align="center" bgcolor="#CCCCCC">'.GV_BIRTH_DATE.'</td>'
            .'</td><td align="center" bgcolor="#CCCCCC"><a href=\''
                   .$pgv->environment['rootUrl']
                   .'/admin/index.php?action='.GV_EDIT.'&option=ind&opcd=add'
                   .'&PHPSESSID='.session_id()
                   .'&genID='.$_GET['genID']
                   .'&ind_id='.$_GET['ind_id'].' \'>'
                   .GV_INSERT.'</a></td>'
                   .'<td align="center" bgcolor="#CCCCCC" colspan="3">';
            while ( !$result->EOF ) {
                echo '<tr><td align="left" bgcolor="#DFDFDF">';
                $date['date1'] = $result->fields['birth1'];
                echo $result->fields['firstname'].' '.$result->fields['name'].'</td>'
                .'<td bgcolor="#DFDFDF">'.formatDate($date).'</td>'
                .'<td bgcolor="#DFDFDF">'.'<a href=\''.$pgv->environment['rootUrl']
                .'/admin/index.php?action='.GV_EDIT.'&option=ind&opcd=chg'
                .'&PHPSESSID='.session_id().'&genID='.$_GET['genID']
                .'&ind_id='.$result->fields['ID'].'\'>'
                .GV_INDIVIDUAL.'</a>'
                .'</td>'
                .'<td bgcolor="#DFDFDF">'.'<a href=\''.$pgv->environment['rootUrl']
                .'/admin/index.php?action='.GV_EDIT.'&option=note&PHPSESSID='.session_id()
                .'&genID='.$_GET['genID']
                .'&ind_id='.$result->fields['ID']
                .'&commentID='.$result->fields['commentID'].'\'>'
                .GV_IND_NOTE.'</a></td>'
                .'<td bgcolor="#DFDFDF">'.'<a href=\''.$pgv->environment['rootUrl']
                .'/admin/index.php?action='.GV_EDIT.'&option=spnote&PHPSESSID='.session_id()
                .'&genID='.$_GET['genID']
                .'&ind_id='.$result->fields['ID'].'\'>'
                .GV_SP_NOTES.'</a></td>'
                .'<td bgcolor="#DFDFDF">'.'<a href=\''.$pgv->environment['rootUrl']
                .'/admin/index.php?action='.GV_EDIT.'&option=facts&PHPSESSID='.session_id()
                .'&genID='.$_GET['genID']
                .'&ind_id='.$result->fields['ID'].'\'>'
                .GV_FACTS.'</a></td>'
                .'</tr>';
                $result->MoveNext();
            }
            echo '</table>';
            unset($result);
            break;

        case 'ind' :
            $iID = $_GET['ind_id'];
            if ( !empty( $_POST['opcd'] ) ) { $_GET['opcd'] = $_POST['opcd']; }
            switch ( $_GET['opcd'] ){
                case 'add' :
                $query = 'SELECT MAX(ID) AS nb FROM '.$pgv->table['individuals']
                .' WHERE genID='.$_GET['genID'];
                $result = $db->Execute( $query );
                if ($result != false) {                //selected max ID
                   $iID = $result->fields['nb'];
                   $iID ++;
                   $query2 = 'INSERT INTO '.$pgv->table['individuals']
                   .' VALUES ( \''.$_GET['genID'].'\' , \''
                   .$iID.'\' , \'Individual\' , \'New\' , \'\' , \'M\' , \''
                   .'\' , \'\' , \'\' , \'\' , \'\' , \'\' , \'\' , \'\' , \''
                   .'\' , \'\' , \'\' , \'\' , \'\' );';
                   $result = $db->Execute( $query2 );
                   if ($result === false) {
                       die('Failed to add individual: '.$query2);
                   }
                }

                case 'chg' :
                $query = 'SELECT * FROM '.$pgv->table['individuals']
                .' WHERE genID='.$_GET['genID']
                .' AND ID='.$iID ;
                $result = $db->Execute( $query );

                echo '<form name=\'edit\' action=\''.$pgv->environment['rootUrl'].'/admin/index.php\'>'
                    .'<input type=\'hidden\' name=\'genID\' value=\''.$_GET['genID'].'\'>'
                    .'<input type=\'hidden\' name=\'ind_id\' value=\''.$iID.'\'>'
                    .'<input type=\'hidden\' name=\'action\' value=\''.GV_EDIT.'\' />'
                    .'<input type=\'hidden\' name=\'option\' value=\'write_i\' />'
                    .'<input type=\'hidden\' name=\'opcd\' value=\'chg\' />'
                    .'<table>'
                    .'<tr><td>'.GV_FNAME.':<td>'
                    .'<input type=\'text\' name=\'firstname\' value="'
                    .stripslashes($result->fields['firstname']).'" size=\'20\' maxlength=\'50\' /><br>'
                    .'<tr><td>'.GV_LNAME.':<td>'
                    .'<input type=\'text\' name=\'name\' value="'
                    .stripslashes($result->fields['name']).'" size=\'20\' maxlength=\'50\' /><br>'
                    .'<tr><td>'.GV_GENDR.':<td>'
                    .'<input type=\'text\' name=\'gender\' value="'
                    .stripslashes($result->fields['gender']).'" size=\'1\' maxlength=\'1\' /><br>'
                    .'<tr><td>'.GV_BIRTH_RANGE.':<td>'
                    .'<select name=\'birth_range\' >';
                    foreach ( $range as $key=>$value ) {
                        echo $key.' '.$value.'<br>';
                        if ( $result->fields['birth_range'] == $key ) {
                            echo '<option value=\''.$key.'\' selected>'.$value.'</option>';
                        }else{
                            echo '<option value=\''.$key.'\' >'.$value.'</option>';
                        }
                    }
                    echo '<tr><td>'.GV_BIRTH_DATE.':<td>'
                    .'<input type=\'text\' name=\'birth1\' value="'
                    .$result->fields['birth1'].'" onBlur="checkdate(this)" size=\'11\' maxlength=\'11\' />'
                    .' to <input type=\'text\' name=\'birth2\' value="'
                    .$result->fields['birth2'].'" onBlur="checkdate(this)" size=\'11\' maxlength=\'11\' /><br>'
                    .'<tr><td>'.GV_BIRTH_PHRASE.':<td>'
                    .'<input type=\'text\' name=\'birth_phrase\' value="'
                    .stripslashes($result->fields['birth_phrase']).'" size=\'50\' maxlength=\'50\' /><br>'
                    .'<tr><td>'.GV_BIRTH_PLACE.':<td>'
                    .'<input type=\'text\' name=\'birth_place\' value="'
                    .stripslashes($result->fields['birth_place']).'" size=\'50\' maxlength=\'120\' /><br>'
                    .'<tr><td>'.GV_DEATH_RANGE.':<td>'
                    .'<select name=\'death_range\' >';
                    foreach ( $range as $key=>$value ) {
                        echo $key.' '.$value.'<br>';
                        if ( $result->fields['death_range'] == $key ) {
                            echo '<option value=\''.$key.'\' selected>'.$value.'</option>';
                        }else{
                            echo '<option value=\''.$key.'\' >'.$value.'</option>';
                        }
                    }
                    echo '<tr><td>'.GV_DEATH_DATE.':<td>'
                    .'<input type=\'text\' name=\'death1\' value="'
                    .$result->fields['death1'].'" onBlur="checkdate(this)" size=\'11\' maxlength=\'11\' />'
                    .' to <input type=\'text\' name=\'death2\' value="'
                    .$result->fields['death2'].'" onBlur="checkdate(this)" size=\'11\' maxlength=\'11\' /><br>'
                    .'<tr><td>'.GV_DEATH_PHRASE.':<td>'
                    .'<input type=\'text\' name=\'death_phrase\' value="'
                    .stripslashes($result->fields['death_phrase']).'" size=\'50\' maxlength=\'50\' /><br>'
                    .'<tr><td>'.GV_DEATH_PLACE.':<td>'
                    .'<input type=\'text\' name=\'death_place\' value="'
                    .stripslashes($result->fields['death_place']).'" size=\'50\' maxlength=\'120\' /><br>'
                    .'<tr><td>'.GV_DEATH_CAUS.':<td>'
                    .'<input type=\'text\' name=\'death_cause\' value="'
                    .stripslashes($result->fields['death_cause']).'" size=\'50\' maxlength=\'120\' /><br>'

                    .'<input type=\'hidden\' name=\''.session_name()
                    .'\' value=\''.session_id().'\' />'
                    .'<tr><td><input type=\'submit\' value=\''.GV_SAVE_CHANGES.'\' />'
                    .'</form>';
                echo '<td><form name=\'del\' action=\''.$pgv->environment['rootUrl'].'/admin/index.php\'>'
                    .'<input type=\'hidden\' name=\'genID\' value=\''.$_GET['genID'].'\'>'
                    .'<input type=\'hidden\' name=\'ind_id\' value=\''.$iID.'\'>'
                    .'<input type=\'hidden\' name=\'action\' value=\''.GV_EDIT.'\' />'
                    .'<input type=\'hidden\' name=\'opcd\' value=\'del\' />'
                    .'<input type=\'hidden\' name=\'option\' value=\'write_i\' />'
                    .'<input type=\'hidden\' name=\''.session_name()
                    .'\' value=\''.session_id().'\' />'
                    .'<input type=\'submit\' value=\''.GV_DELETE.'\' />'
                    .'</form>'
                    .'</table>';
            }
            unset($result);
            break;

        case 'write_i' :
            if ( !empty( $_POST['opcd'] ) ) { $_GET['opcd'] = $_POST['opcd']; }
            switch ( $_GET['opcd'] ){
                case 'chg' :
                $query = 'SELECT * FROM '.$pgv->table['individuals']
                .' WHERE genID='.$_GET['genID']
                .' AND ID='.$_GET['ind_id'] ;
                $result = $db->Execute( $query );

                if ( !$result->EOF ) {
                    $query =  'UPDATE '.$pgv->table['individuals'].' SET '.'
                     name=\''.addslashes($_GET['name']).'\'
                    , firstname=\''.addslashes($_GET['firstname']).'\'
                    , gender=\''.$_GET['gender'].'\'
                    , birth_range=\''.$_GET['birth_range'].'\'
                    , birth1=\''.$_GET['birth1'].'\'
                    , birth2=\''.$_GET['birth2'].'\'
                    , birth_phrase=\''.addslashes($_GET['birth_phrase']).'\'
                    , birth_place=\''.addslashes($_GET['birth_place']).'\'
                    , death_range=\''.$_GET['death_range'].'\'
                    , death1=\''.$_GET['death1'].'\'
                    , death2=\''.$_GET['death2'].'\'
                    , death_phrase=\''.addslashes($_GET['death_phrase']).'\'
                    , death_place=\''.addslashes($_GET['death_place']).'\'
                    , death_cause=\''.addslashes($_GET['death_cause']).'\' '.
                      'WHERE genID='.$_GET['genID'].' AND ID='.$_GET['ind_id'];

                    $result2 = $db->Execute( $query );
                    if ($result2 === false) {
                        die('Failed to modify table '.$pgv->table['individuals'].': '.$query );
                    } else {
                        echo 'Table '.$pgv->table['individuals'].' modified<br>';
                        echo '<form name=\'edit\' action=\''.$pgv->environment['rootUrl'].'/admin/index.php\'>'
                            .'<input type=\'hidden\' name=\'genID\' value=\''.$_GET['genID'].'\'>'
                            .'<input type=\'hidden\' name=\'action\' value=\''.GV_EDIT.'\' />'
                            .'<input type=\'hidden\' name=\'option\' value=\'search\' />'
                            .'<input type=\'submit\' value=\''.GV_ADMIN_SEARCH_NAME.'\' />'
                            .'</form>';
                     }
                }
                break; //end of case chg
                case 'del' :
                $ind = new individual( $_GET['genID'] , $_GET['ind_id'] );
                $ind->getIndividual();
                $ind->getSpouses();
                $query = 'DELETE FROM '.$pgv->table['individuals']
                .' WHERE genID='.$_GET['genID'].' AND ID='.$_GET['ind_id'];
                $result = $db->Execute( $query );
                if ($result != false){
                    //remove FAM records
                    if ($ind->spousesCount){
                       $query = 'DELETE FROM '.$pgv->table['families']
                       .' WHERE genID='.$_GET['genID'].' AND ';
                       if ($ind->gender == 'M'){
                           $query .= ' fam.father = ';
                       }else{
                           $query .= ' fam.mother = ';
                       }
                       $query .= $_GET['ind_id'];
                       $result = $db->Execute( $query );
                       if ($result == false) echo 'Failed to remove family: '.$query;
                    }
                    //and NOTES
                    if ($ind->commentID > 0){
                       $query = 'DELETE FROM '.$pgv->table['comments']
                       .' WHERE genID='.$_GET['genID'].' AND commentID='.$ind->commentID;
                       $result = $db->Execute( $query );
                       if ($result == false) echo 'Failed to remove individual note: '.$query;
                    }
                    //and FACTS
                    $query = 'DELETE FROM '.$pgv->table['facts']
                    .' WHERE genID='.$_GET['genID'].' AND ID='.$_GET['ind_id'];
                    $result = $db->Execute( $query );

                    echo 'Individual and related records removed from db';
                    echo '<form name=\'edit\' action=\''.$pgv->environment['rootUrl'].'/admin/index.php\'>'
                        .'<input type=\'hidden\' name=\'genID\' value=\''.$_GET['genID'].'\'>'
                        .'<input type=\'hidden\' name=\'action\' value=\''.GV_EDIT.'\' />'
                        .'<input type=\'hidden\' name=\'option\' value=\'search\' />'
                        .'<input type=\'submit\' value=\''.GV_ADMIN_SEARCH_NAME.'\' />'
                        .'</form>';
                }else{
                    echo 'Failed to remove individual';
                }

                break; //end of case del
            } //end of switch
            break;

        case 'note' :
            $ind = new individual( $_GET['genID'] , $_GET['ind_id'] );
            $ind->getIndividual();
            if ($ind->commentID == 0){                //no ind note
               $query = 'SELECT MAX(commentID) AS nb FROM '.$pgv->table['comments']
               .' WHERE genID='.$_GET['genID'];
               $result = $db->Execute( $query );
               if ($result != false) {                //selected max ID
                  $cID = $result->fields['nb'];
                  $cID ++;
                  $query2 = 'INSERT INTO '.$pgv->table['comments']
                  .' VALUES ( \''.$cID.'\' , \''.$_GET['genID'].'\',\'\' );' ;
                  $result = $db->Execute( $query2 );
                  if ($result != false) {
                      $query2 = 'UPDATE '.$pgv->table['individuals']
                      .' SET commentID = '.$cID.' WHERE genID = '.$_GET['genID']
                      .' AND ID = '.$_GET['ind_id'];
                      $result = $db->Execute( $query2 );
                      if ($result === false) {
                          die('Failed to update individual: '.$query2);
                      }else{
                          $ind->getIndividual();      //reget individual w note
                      }
                  }else{
                      die('Failed to add Comment: '.$query2);
                  }
               }
            }

            echo '<table><tr><td colspan="2">'
                .'<form method=\'post\' name=\'edit\' action=\''.$pgv->environment['rootUrl'].'/admin/index.php\'>'
                .'<input type=\'hidden\' name=\'genID\' value=\''.$_GET['genID'].'\'>'
                .'<input type=\'hidden\' name=\'ind_id\' value=\''.$_GET['ind_id'].'\'>'
                .'<input type=\'hidden\' name=\'commentID\' value=\''.$ind->commentID.'\'>'
                .'<input type=\'hidden\' name=\'action\' value=\''.GV_EDIT.'\' />'
                .'<input type=\'hidden\' name=\'opcd\' value=\'save\' />'
                .'<input type=\'hidden\' name=\'option\' value=\'write_c\' />'
                .GV_IND_NOTE.': '.$ind->fullName.'<br>'
                .'<textarea name=\'text\' rows=\'20\' cols=\'60\' >'
                .strip_tags($ind->note).'</textarea><br>'
                .'<input type=\'hidden\' name=\''.session_name()
                .'\' value=\''.session_id().'\' />'
                .'</tr><tr><td width="25%"><input type=\'submit\' value=\''.GV_SAVE_CHANGES.'\' />'
                .'</form></td><td>';
            echo '<form name=\'del\' action=\''.$pgv->environment['rootUrl'].'/admin/index.php\'>'
                .'<input type=\'hidden\' name=\'genID\' value=\''.$_GET['genID'].'\'>'
                .'<input type=\'hidden\' name=\'ind_id\' value=\''.$_GET['ind_id'].'\'>'
                .'<input type=\'hidden\' name=\'commentID\' value=\''.$ind->commentID.'\'>'
                .'<input type=\'hidden\' name=\'action\' value=\''.GV_EDIT.'\' />'
                .'<input type=\'hidden\' name=\'opcd\' value=\'deli\' />'
                .'<input type=\'hidden\' name=\'option\' value=\'write_c\' />'
                .'<input type=\'hidden\' name=\''.session_name()
                .'\' value=\''.session_id().'\' />'
                .'<input type=\'submit\' value=\''.GV_DELETE.'\' />'
                .'</form></td></tr></table>';
            unset($result);
            break;

        case 'write_c' :
            if ( !empty( $_POST['opcd'] ) ) { $_GET['opcd'] = $_POST['opcd']; }
            switch ( $_GET['opcd'] ){
                case 'save' :
                    $query = 'SELECT * FROM '.$pgv->table['comments']
                    .' WHERE genID = '.$_POST['genID'].' AND commentID='.$_POST['commentID'];
                    $result = $db->Execute( $query );

                    if ( $result != false ) {
                        $query =  'UPDATE '.$pgv->table['comments'].' SET '
                         .'text=\''.addslashes($_POST['text']).'\' '
                         .'WHERE genID = '.$_POST['genID'].' AND commentID='.$_POST['commentID'];

                        $result2 = $db->Execute( $query );
                        if ($result2 === false) {
                            die('Failed to modify table '.$pgv->table['comments'].': '.$query );
                        } else {
                            echo 'Table '.$pgv->table['comments'].' modified<br>';
                            echo '<form name=\'edit\' action=\''.$pgv->environment['rootUrl'].'/admin/index.php\'>'
                                .'<input type=\'hidden\' name=\'genID\' value=\''.$_POST['genID'].'\'>'
                                .'<input type=\'hidden\' name=\'action\' value=\''.GV_EDIT.'\' />'
                                .'<input type=\'hidden\' name=\'option\' value=\'search\' />'
                                .'<input type=\'submit\' value=\''.GV_ADMIN_SEARCH_NAME.'\' />'
                                .'</form>';
                        }
                    }
                break;
                case 'deli' :   //delete ind note
                    $query = 'DELETE FROM '.$pgv->table['comments']
                    .' WHERE commentID='.$_GET['commentID'];
                    $result = $db->Execute( $query );
                    if ( $result != false ) {
                        $query = 'UPDATE '.$pgv->table['individuals']
                        .' SET commentID = 0 WHERE genID = '.$_GET['genID']
                        .' AND ID = '.$_GET['ind_id'];
                        $result = $db->Execute( $query );
                    }
                    if ($result === false) {
                        die('Failed to modify table '.$pgv->table['comments'].': '.$query );
                    }else{
                        echo 'Table '.$pgv->table['comments'].' entry deleted<br>';
                        echo '<form name=\'edit\' action=\''.$pgv->environment['rootUrl'].'/admin/index.php\'>'
                            .'<input type=\'hidden\' name=\'genID\' value=\''.$_GET['genID'].'\'>'
                            .'<input type=\'hidden\' name=\'action\' value=\''.GV_EDIT.'\' />'
                            .'<input type=\'hidden\' name=\'option\' value=\'search\' />'
                            .'<input type=\'submit\' value=\''.GV_ADMIN_SEARCH_NAME.'\' />'
                            .'</form>';
                    }
                break;
                case 'delf' :   //delete fam note
                    $query = 'DELETE FROM '.$pgv->table['comments']
                    .' WHERE commentID='.$_GET['commentID'];
                    $result = $db->Execute( $query );
                    if ( $result != false ) {
                        $query = 'UPDATE '.$pgv->table['families']
                        .' SET commentID = 0 WHERE genID = '.$_GET['genID']
                        .' AND famID = '.$_GET['famID'];
                        $result = $db->Execute( $query );
                    }
                    if ($result === false) {
                        die('Failed to modify table '.$pgv->table['comments'].': '.$query );
                    }else{
                        echo 'Table '.$pgv->table['comments'].' entry deleted<br>';
                        echo '<form name=\'edit\' action=\''.$pgv->environment['rootUrl'].'/admin/index.php\'>'
                            .'<input type=\'hidden\' name=\'genID\' value=\''.$_GET['genID'].'\'>'
                            .'<input type=\'hidden\' name=\'action\' value=\''.GV_EDIT.'\' />'
                            .'<input type=\'hidden\' name=\'option\' value=\'search\' />'
                            .'<input type=\'submit\' value=\''.GV_ADMIN_SEARCH_NAME.'\' />'
                            .'</form>';
                    }
                break;
            }
            break;

        case 'spnote' :
            $ind = new individual( $_GET['genID'] , $_GET['ind_id'] );
            $ind->getIndividual();
            $ind->getSpouses();
                echo '<b>'.GV_SPOUSE_OF.' '.$ind->fullName.'</b><br><br>';
                echo '<table><tr><td>';
                echo '<form name=\'addsp\' action=\''.$pgv->environment['rootUrl'].'/admin/index.php\'>'
                    .'<input type=\'hidden\' name=\'genID\' value=\''.$_GET['genID'].'\'>'
                    .'<input type=\'hidden\' name=\'ind_id\' value=\''.$_GET['ind_id'].'\'>'
                    .'<input type=\'hidden\' name=\'action\' value=\''.GV_EDIT.'\' />'
                    .'<input type=\'hidden\' name=\'option\' value=\'edfam\' />'
                    .'<input type=\'hidden\' name=\'opcd\' value=\'add\' />'
                    .'<input type=\'hidden\' name=\''.session_name()
                    .'\' value=\''.session_id().'\' />'
                    .'<input type=\'submit\' value=\''.GV_ADD_SPOUSE.'\' />'
                    .'</form></tr>';
            if ( $ind->spousesCount > 0 ){
                for ($i = 0; $i < $ind->spousesCount; $i++){
                    if ($ind->spouses[$i]->noteID == 0){                //no ind note
                       $query = 'SELECT MAX(commentID) AS nb FROM '.$pgv->table['comments']
                       .' WHERE genID='.$_GET['genID'];
                       $result = $db->Execute( $query );
                       if ($result != false) {                //selected max ID
                          $cID = $result->fields['nb'];
                          $cID ++;
                          $query2 = 'INSERT INTO '.$pgv->table['comments']
                          .' VALUES ( \''.$cID.'\' , \''.$_GET['genID'].'\',\'\' );' ;
                          $result = $db->Execute( $query2 );
                          if ($result != false) {
                              $query2 = 'UPDATE '.$pgv->table['families']
                              .' SET commentID = '.$cID.' WHERE genID = '.$_GET['genID']
                              .' AND famID = '.$ind->spouses[$i]->famID;
                              $result = $db->Execute( $query2 );
                              if ($result === false) {
                                  die('Failed to update family: '.$query2);
                              }else{
                                  $ind->spouses[$i]->noteID = $cID;      //reget family w note
                              }
                          }else{
                              die('Failed to add Comment: '.$query2);
                          }
                       }
                    }
                    echo '<tr><td colspan="4">';
                    echo '<form method=\'post\' name=\'edit\' action=\''.$pgv->environment['rootUrl'].'/admin/index.php\'>'
                         .'<input type=\'hidden\' name=\'genID\' value=\''.$_GET['genID'].'\'>'
                         .'<input type=\'hidden\' name=\'ind_id\' value=\''.$_GET['ind_id'].'\'>'
                         .'<input type=\'hidden\' name=\'commentID\' value=\''.$ind->spouses[$i]->noteID.'\'>'
                         .'<input type=\'hidden\' name=\'action\' value=\''.GV_EDIT.'\' />'
                         .'<input type=\'hidden\' name=\'opcd\' value=\'save\' />'
                         .'<input type=\'hidden\' name=\'option\' value=\'write_c\' />'
                         .formatDate($ind->spouses[$i]->wedding).' '
                         .$ind->spouses[$i]->fullName.':<br> '
                         .'<textarea name=\'text\' rows=\'10\' cols=\'60\' >'
                         .strip_tags($ind->spouses[$i]->note).'</textarea><br>'
                         .'<input type=\'hidden\' name=\''.session_name()
                         .'\' value=\''.session_id().'\' />'
                         .'</tr><tr><td><input type=\'submit\' value=\''.GV_SAVE_CHANGES.'\' />'
                         .'</form>';
                    echo '</td><td>';
                    echo '<form name=\'del\' action=\''.$pgv->environment['rootUrl'].'/admin/index.php\'>'
                        .'<input type=\'hidden\' name=\'genID\' value=\''.$_GET['genID'].'\'>'
                        .'<input type=\'hidden\' name=\'famID\' value=\''.$ind->spouses[$i]->famID.'\'>'
                        .'<input type=\'hidden\' name=\'commentID\' value=\''.$ind->spouses[$i]->noteID.'\'>'
                        .'<input type=\'hidden\' name=\'action\' value=\''.GV_EDIT.'\' />'
                        .'<input type=\'hidden\' name=\'opcd\' value=\'delf\' />'
                        .'<input type=\'hidden\' name=\'option\' value=\'write_c\' />'
                        .'<input type=\'hidden\' name=\''.session_name()
                        .'\' value=\''.session_id().'\' />'
                        .'<input type=\'submit\' value=\''.GV_DELETE.' Note\' />'
                        .'</form>';
                    echo '</td><td>';
                    echo '<form name=\'editfam\' action=\''.$pgv->environment['rootUrl'].'/admin/index.php\'>'
                        .'<input type=\'hidden\' name=\'genID\' value=\''.$_GET['genID'].'\'>'
                        .'<input type=\'hidden\' name=\'famID\' value=\''.$ind->spouses[$i]->famID.'\'>'
                        .'<input type=\'hidden\' name=\'commentID\' value=\''.$ind->spouses[$i]->noteID.'\'>'
                        .'<input type=\'hidden\' name=\'action\' value=\''.GV_EDIT.'\' />'
                        .'<input type=\'hidden\' name=\'option\' value=\'edfam\' />'
                        .'<input type=\'hidden\' name=\'opcd\' value=\'chg\' />'
                        .'<input type=\'hidden\' name=\''.session_name()
                        .'\' value=\''.session_id().'\' />'
                        .'<input type=\'submit\' value=\''.GV_EDIT_FAMILY.'\' />'
                        .'</form>';
                    echo '</td><td>';
                    echo '<form name=\'editch\' action=\''.$pgv->environment['rootUrl'].'/admin/index.php\'>'
                        .'<input type=\'hidden\' name=\'genID\' value=\''.$_GET['genID'].'\'>'
                        .'<input type=\'hidden\' name=\'ind_id\' value=\''.$_GET['ind_id'].'\'>'
                        .'<input type=\'hidden\' name=\'spID\' value=\''.$ind->spouses[$i]->indID.'\'>'
                        .'<input type=\'hidden\' name=\'famID\' value=\''.$ind->spouses[$i]->famID.'\'>'
                        .'<input type=\'hidden\' name=\'action\' value=\''.GV_EDIT.'\' />'
                        .'<input type=\'hidden\' name=\'option\' value=\'list_ch\' />'
                        .'<input type=\'hidden\' name=\''.session_name()
                        .'\' value=\''.session_id().'\' />'
                        .'<input type=\'submit\' value=\''.GV_CHILDREN.'\' />'
                        .'</form>';
                    echo '</td></tr>';
                }
                echo '</table>';
            }else{
                echo '</td></tr>';
                echo '</table>';
                echo 'No Spouse for "'.$ind->fullName.'"';
            }
            break;

        case 'facts' :
            $ind = new individual( $_GET['genID'] , $_GET['ind_id'] );
            $ind->getIndividual();
            if ( $ind->getAllFacts() === false ) {
               $query = 'INSERT INTO '.$pgv->table['facts']
               .' VALUES ( NULL ,\''
               .$_GET['genID'].'\' , \''
               .$_GET['ind_id'].'\' , \''
               .'NEW\' , \'\' , \'\' , \'\' , \'\' , \'\' );' ;
               $result = $db->Execute( $query );
            }
            if ( $ind->getAllFacts() != false ) {
                echo '<b>'.GV_ADD_FACTS.$ind->fullName.'</b><table>';
                echo '<table><tr><td align="center" bgcolor="#CCCCCC">'.GV_TAG_NAME.'</td>'
                .'<td align="center" bgcolor="#CCCCCC">'.GV_TAG_DATE.'</td>'
                .'<td align="center" bgcolor="#CCCCCC">'.GV_TAG_PLACE.'</td>'
                .'</td><td align="center" bgcolor="#CCCCCC" colspan="2"><a href=\''
                   .$pgv->environment['rootUrl']
                   .'/admin/index.php?action='.GV_EDIT.'&option=edfact&opcd=add'
                   .'&PHPSESSID='.session_id()
                   .'&genID='.$_GET['genID']
                   .'&ind_id='.$_GET['ind_id'].' \'>'
                   .GV_INSERT.'</a></td>';
                for ( $i = 0 ; $i < $ind->factsCount ; $i++ ) {
                    $tagName = $ind->fact[$i]['name'];
                    if ( $GV_TAG[$tagName]!= '' ){
                        $name = $GV_TAG[$tagName];
                    }else{
                        $name = $tagName;
                    }
                    $date = $ind->fact[$i];
                    echo '<tr><td bgcolor="#DFDFDF">'.$name
                    .'<td bgcolor="#DFDFDF">'.(formatDate($date))
                    .'<td bgcolor="#DFDFDF">'.$ind->fact[$i]['place']
                    .'<td bgcolor="#DFDFDF">'.'<a href=\''.$pgv->environment['rootUrl']
                    .'/admin/index.php?action='.GV_EDIT.'&option=edfact&opcd=chg&factID='
                    .$ind->fact[$i]['factID'].'&PHPSESSID='.session_id()
                    .'&genID='.$_GET['genID']
                    .'&ind_id='.$_GET['ind_id'].' \'>'
                    .GV_CHANGE.'</a></td>'
                    .'<td bgcolor="#DFDFDF">'.'<a href=\''.$pgv->environment['rootUrl']
                    .'/admin/index.php?action='.GV_EDIT.'&option=edfact&opcd=del&factID='
                    .$ind->fact[$i]['factID'].'&PHPSESSID='.session_id()
                    .'&genID='.$_GET['genID']
                    .'&ind_id='.$_GET['ind_id'].' \'>'
                    .GV_DELETE.'</a></td>';
                }
                echo '</table>';
            }else{
                echo GV_NO_ADD_FACTS.$ind->fullName;
            }
            break;

        case 'edfact' :
            $factID = $_GET['factID'];
            switch ( $_GET['opcd'] ){
                case 'add' :
                   //insert new fact and then fall thru to 'chg'
                  $query = 'INSERT INTO '.$pgv->table['facts']
                  .' VALUES ( \'\' , \''.$_GET['genID'].'\' , \''.$_GET['ind_id'].'\',\'I\',\'\',\'\',\'\',\'\',\'\',\'\' );' ;
                  $result = $db->Execute( $query );
                  if ($result != false){
                     $query = 'SELECT MAX(factID) AS nb FROM '.$pgv->table['facts']
                     .' WHERE genID='.$_GET['genID']
                     .' AND ID='.$_GET['ind_id'].' AND tag_type="I"';
                     $result = $db->Execute( $query );
                     if ($result != false){
                         $factID = $result->fields['nb'];
                     }
                  }else{
                     echo 'Failed to add fact:'.$query;
                  }
                case 'chg' :
                   $query = 'SELECT * FROM '.$pgv->table['facts']
                   .' WHERE factID='.$factID.' AND genID='.$_GET['genID']
                   .' AND ID='.$_GET['ind_id'].' AND tag_type="I"';
                   $result = $db->Execute( $query );
                   echo '<form method=\'post\' name=\'edit\' action=\''.$pgv->environment['rootUrl'].'/admin/index.php\'>'
                       .'<input type=\'hidden\' name=\'genID\' value=\''.$_GET['genID'].'\'>'
                       .'<input type=\'hidden\' name=\'ind_id\' value=\''.$_GET['ind_id'].'\'>'
                       .'<input type=\'hidden\' name=\'factID\' value=\''.$factID.'\'>'
                       .'<input type=\'hidden\' name=\'action\' value=\''.GV_EDIT.'\' />'
                       .'<input type=\'hidden\' name=\'option\' value=\'write_f\' />'
                       .'<table>'
                       .'<tr><td>'.GV_TAG_NAME.':<td>'
                       .'<select name=\'tag_name\' >';
                       foreach ( $tags as $key=>$value ) {
                           echo $key.' '.$value.'<br>';
                           if ( $result->fields['tag_name'] == $key ) {
                               echo '<option value=\''.$key.'\' selected>'.$value.'</option>';
                           }else{
                               echo '<option value=\''.$key.'\' >'.$value.'</option>';
                           }
                       }
                       //.'<input type=\'text\' name=\'tag_name\' value="'
                       //.stripslashes($result->fields['tag_name']).'" size=\'5\' maxlength=\'5\' /><br>'
                       echo '<tr><td>'.GV_TAG_RANGE.':<td>'
                       .'<select name=\'date_range\' >';
                       foreach ( $range as $key=>$value ) {
                           echo $key.' '.$value.'<br>';
                           if ( $result->fields['date_range'] == $key ) {
                               echo '<option value=\''.$key.'\' selected>'.$value.'</option>';
                           }else{
                               echo '<option value=\''.$key.'\' >'.$value.'</option>';
                           }
                       }
                       echo '<tr><td>'.GV_TAG_DATE.':<td>'
                       .'<input type=\'text\' name=\'date1\' value="'
                       .$result->fields['date1'].'" onBlur="checkdate(this)" size=\'11\' maxlength=\'11\' />'
                       .' to <input type=\'text\' name=\'date2\' value="'
                       .$result->fields['date2'].'" onBlur="checkdate(this)" size=\'11\' maxlength=\'11\' /><br>'
                       .'<tr><td>'.GV_TAG_PHRASE.':<td>'
                       .'<input type=\'text\' name=\'date_phrase\' value="'
                       .stripslashes($result->fields['date_phrase']).'" size=\'50\' maxlength=\'50\' /><br>'
                       .'<tr><td>'.GV_TAG_PLACE.':<td>'
                       .'<input type=\'text\' name=\'tag_place\' value="'
                       .stripslashes($result->fields['tag_place']).'" size=\'70\' maxlength=\'120\' /><br>'

                       .'</table>'
                       .'<input type=\'hidden\' name=\''.session_name()
                       .'\' value=\''.session_id().'\' />'
                       .'<input type=\'submit\' value='.GV_SAVE_CHANGES.' />'
                       .'</form>';
                   break;
                case 'del' :
                   $query = 'DELETE FROM '.$pgv->table['facts']
                   .' WHERE genID='.$_GET['genID']
                   .' AND factID='.$factID.' AND tag_type="I"';
                   $result = $db->Execute( $query );
                   if ($result != false){
                       echo 'Record removed from '.$pgv->table['facts'];
                   }else{
                       echo 'Failed to remove fact';
                   }
                   break;
            }
            unset($result);
            break;

        case 'write_f' :
            $query = 'SELECT * FROM '.$pgv->table['facts']
            .' WHERE factID='.$_POST['factID'].' AND genID='.$_POST['genID']
            .' AND ID='.$_POST['ind_id'].' AND tag_type="I"' ;
            $result = $db->Execute( $query );

            if ( !$result->EOF ) {
                $query =  'UPDATE '.$pgv->table['facts'].' SET '.'
                 tag_name=\''.addslashes($_POST['tag_name']).'\'
                , date_range=\''.$_POST['date_range'].'\'
                , date1=\''.$_POST['date1'].'\'
                , date2=\''.$_POST['date2'].'\'
                , date_phrase=\''.addslashes($_POST['date_phrase']).'\'
                , tag_place=\''.addslashes($_POST['tag_place']).'\' '.
                  'WHERE factID='.$_POST['factID'].' AND genID='.$_POST['genID']
                  .' AND ID='.$_POST['ind_id'].' AND tag_type="I"';

                $result2 = $db->Execute( $query );
                if ($result2 === false) {
                    die('Failed to modify table '.$pgv->table['facts'].': '.$query );
                } else {
                    echo 'Table '.$pgv->table['facts'].' modified<br>';
                    echo '<form name=\'edit\' action=\''.$pgv->environment['rootUrl'].'/admin/index.php\'>'
                        .'<input type=\'hidden\' name=\'genID\' value=\''.$_POST['genID'].'\'>'
                        .'<input type=\'hidden\' name=\'action\' value=\''.GV_EDIT.'\' />'
                        .'<input type=\'hidden\' name=\'option\' value=\'search\' />'
                        .'<input type=\'submit\' value=\''.GV_ADMIN_SEARCH_NAME.'\' />'
                        .'</form>';
                 }
            }
        break;

        case 'edfam' :
           echo '<b>'.GV_EDIT_FAMILY.'</b>';
           $fmID = $_GET['famID'];
           if ( !empty( $_POST['opcd'] ) ) { $_GET['opcd'] = $_POST['opcd']; }
           switch ( $_GET['opcd'] ){
               case 'add' :
               $query = 'SELECT MAX(famID) AS nb FROM '.$pgv->table['families']
               .' WHERE genID='.$_GET['genID'];
               $result = $db->Execute( $query );
               if ($result != false) {                //selected max ID
                  $ind = new individual( $_GET['genID'] , $_GET['ind_id'] );
                  $ind->getIndividual();
                  if( $ind->gender == 'F' ){
                      $faid = 0;
                      $moid = $_GET['ind_id'];
                  }else{
                      $faid = $_GET['ind_id'];
                      $moid = 0;
                  }
                  $fmID = $result->fields['nb'];
                  $fmID ++;
                  $query2 = 'INSERT INTO '.$pgv->table['families']
                  .' VALUES ( \''.$_GET['genID'].'\' , \''
                  .$fmID.'\' , \'\' , \'\' , \'\' , \'\' , \'\''
                  .' , \'\' , \'\' , \'\' , \'\' , \'\' '
                  .' , \''.$faid.'\' , \''.$moid.'\' , \'\''
                  .' );';
                  $result = $db->Execute( $query2 );
                  if ($result === false) {
                      die('Failed to add individual: '.$query2);
                  }
               }

               case 'chg' :
               $query = 'SELECT * FROM '.$pgv->table['families']
               .' WHERE genID='.$_GET['genID']
               .' AND famID='.$fmID ;
               $result = $db->Execute( $query );
               if ( $result === false ) die('Failed to recall family '.$_GET['famID']);
               if ( $result->fields['father'] >> 0 ){
                  $indF = new individual( $_GET['genID'] , $result->fields['father'] );
                  $indF->getIndividual();
               }
               if ( $result->fields['mother'] >> 0 ){
                  $indM = new individual( $_GET['genID'] , $result->fields['mother'] );
                  $indM->getIndividual();
               }
               echo '<form method=\'post\' name=\'QForm\' action=\''.$pgv->environment['rootUrl'].'/admin/index.php\'>'
                   .'<input type=\'hidden\' name=\'genID\' value=\''.$_GET['genID'].'\'>'
                   .'<input type=\'hidden\' name=\'famID\' value=\''.$fmID.'\'>'
                   .'<input type=\'hidden\' name=\'action\' value=\''.GV_EDIT.'\' />'
                   .'<input type=\'hidden\' name=\'option\' value=\'write_fam\' />'
                   .'<table>'
                   .'<tr><td>'.GV_FAM_ID.':<td>'
                   .$result->fields['famID'].'<br>'
                   .'<tr><td valign="top">'.GV_FATHER_ID.':<td>'
                   .'<input type=\'text\' name=\'father\' value="'
                   .$result->fields['father'].'" size=\'8\' maxlength=\'8\' />'
                   .'<img src="..\pictures\search.gif" alt="'.GV_SEARCH_SPEC.'">'
                   .'<input type=\'text\' name=\'search1\' onBlur="searchInd1(this)" size=\'20\' maxlength=\'30\' />';
                   SelectBox ( $indF->fullName, "lstInd1" );
                   //echo '<br>'.$indF->fullName.'<br>'
                   echo '<tr><td valign="top">'.GV_MOTHER_ID.':<td>'
                   .'<input type=\'text\' name=\'mother\' value="'
                   .$result->fields['mother'].'" size=\'8\' maxlength=\'8\' />'
                   .'<img src="..\pictures\search.gif" alt="'.GV_SEARCH_SPEC.'">'
                   .'<input type=\'text\' name=\'search2\' onBlur="searchInd2(this)" size=\'20\' maxlength=\'30\' />';
                   SelectBox ( $indM->fullName, "lstInd2" );
                   //.'<br>'.$indM->fullName.'<br>'
                   echo '<tr><td>'.GV_WEDDING_RANGE.':<td>'
                   .'<select name=\'wedding_range\' >';
                   foreach ( $range as $key=>$value ) {
                       echo $key.' '.$value.'<br>';
                       if ( $result->fields['wedding_range'] == $key ) {
                           echo '<option value=\''.$key.'\' selected>'.$value.'</option>';
                       }else{
                           echo '<option value=\''.$key.'\' >'.$value.'</option>';
                       }
                   }
                   echo '<tr><td>'.GV_WEDDING_DATE.':<td>'
                   .'<input type=\'text\' name=\'wedding1\' value="'
                   .$result->fields['wedding1'].'" onBlur="checkdate(this)" size=\'11\' maxlength=\'11\' />'
                   .' to <input type=\'text\' name=\'wedding2\' value="'
                   .$result->fields['wedding2'].'" onBlur="checkdate(this)" size=\'11\' maxlength=\'11\' /><br>'
                   .'<tr><td>'.GV_WEDDING_PHRASE.':<td>'
                   .'<input type=\'text\' name=\'wedding_phrase\' value="'
                   .stripslashes($result->fields['wedding_phrase']).'" size=\'50\' maxlength=\'50\' /><br>'
                   .'<tr><td>'.GV_WEDDING_PLACE.':<td>'
                   .'<input type=\'text\' name=\'weddingplace\' value="'
                   .stripslashes($result->fields['weddingplace']).'" size=\'50\' maxlength=\'120\' /><br>'
                   .'<tr><td>'.GV_DIVORCE_RANGE.':<td>'
                   .'<select name=\'divorce_range\' >';
                   foreach ( $range as $key=>$value ) {
                       echo $key.' '.$value.'<br>';
                       if ( $result->fields['divorce_range'] == $key ) {
                           echo '<option value=\''.$key.'\' selected>'.$value.'</option>';
                       }else{
                           echo '<option value=\''.$key.'\' >'.$value.'</option>';
                       }
                   }
                   echo '<tr><td>'.GV_DIVORCE_DATE.':<td>'
                   .'<input type=\'text\' name=\'divorce1\' value="'
                   .$result->fields['divorce1'].'" onBlur="checkdate(this)" size=\'11\' maxlength=\'11\' />'
                   .' to <input type=\'text\' name=\'divorce2\' value="'
                   .$result->fields['divorce2'].'" onBlur="checkdate(this)" size=\'11\' maxlength=\'11\' /><br>'
                   .'<tr><td>'.GV_DIVORCE_PHRASE.':<td>'
                   .'<input type=\'text\' name=\'divorce_phrase\' value="'
                   .stripslashes($result->fields['divorce_phrase']).'" size=\'50\' maxlength=\'50\' /><br>'
                   .'<tr><td>'.GV_DIVORCED.':<td>'
                   .'<input type=\'checkbox\' name=\'div\' ';
                   if ( $result->fields['div'] == 1 ){
                       echo 'checked="on"';
                   }else{
                       echo '';
                   }
                   //echo '<br><tr><td>'.GV_SPNOTE_ID.':<td>'
                   //.$result->fields['commentID'].
                   echo '<br></tr><tr><td>'
                   .'<input type=\'submit\' value='.GV_SAVE_CHANGES.' />'
                   .'</form>';
                   echo '</td><td><form name=\'del\' action=\''.$pgv->environment['rootUrl'].'/admin/index.php\'>'
                       .'<input type=\'hidden\' name=\'genID\' value=\''.$_GET['genID'].'\'>'
                       .'<input type=\'hidden\' name=\'famID\' value=\''.$fmID.'\'>'
                       .'<input type=\'hidden\' name=\'action\' value=\''.GV_EDIT.'\' />'
                       .'<input type=\'hidden\' name=\'option\' value=\'del_fam\' />'
                       .'<input type=\'hidden\' name=\''.session_name()
                       .'\' value=\''.session_id().'\' />'
                       .'<input type=\'submit\' value=\''.GV_DELETE.'\' />'
                       .'</form>'
                       .'</td></tr></table>';
               break;
           }
        break;

        case 'write_fam' :
            $query = 'SELECT * FROM '.$pgv->table['families']
            .' WHERE famID='.$_POST['famID'].' AND genID='.$_POST['genID'];
            $result = $db->Execute( $query );

            if ( $_POST['div'] == 'on' ) {
                $div = 1;
            }else{
                $div = 0;
            }
            if ( !$result->EOF ) {
               $query = 'UPDATE '.$pgv->table['families'].' SET '
               .'genID = \''.$_POST['genID'].'\' , '
               .'famID = \''.$_POST['famID'].'\' , '
               .'wedding_range = \''.$_POST['wedding_range'].'\' , '
               .'wedding1 = \''.$_POST['wedding1'].'\' , '
               .'wedding2 = \''.$_POST['wedding2'].'\' , '
               .'wedding_phrase = \''.addslashes( $_POST['wedding_phrase'] ).'\' , '
               .'weddingplace = \''.addslashes( $_POST['weddingplace'] ).'\' , '
               .'divorce_range = \''.$_POST['divorce_range'].'\' , '
               .'divorce1 = \''.$_POST['divorce1'].'\' , '
               .'divorce2 = \''.$_POST['divorce2'].'\' , '
               .'divorce_phrase = \''.addslashes( $_POST['divorce_phrase'] ).'\' , '
               .'div = \''.$div.'\' , '
               .'father = \''.$_POST['father'].'\' , '
               .'mother = \''.$_POST['mother'].'\' , '
               .'commentID = \''.$result->fields['commentID'].'\''
               .' WHERE genID='.$_POST['genID']
               .' AND famID='.$_POST['famID']
               .' ;' ;

                $result2 = $db->Execute( $query );
                if ($result2 === false) {
                    die('Failed to modify table '.$pgv->table['families'].': '.$query );
                } else {
                    echo 'Table '.$pgv->table['families'].' modified<br>';
                    echo '<form name=\'edit\' action=\''.$pgv->environment['rootUrl'].'/admin/index.php\'>'
                        .'<input type=\'hidden\' name=\'genID\' value=\''.$_POST['genID'].'\'>'
                        .'<input type=\'hidden\' name=\'action\' value=\''.GV_EDIT.'\' />'
                        .'<input type=\'hidden\' name=\'option\' value=\'search\' />'
                        .'<input type=\'submit\' value=\''.GV_ADMIN_SEARCH_NAME.'\' />'
                        .'</form>';
                 }
            }
        break;

        case 'del_fam' :
            $query = 'DELETE FROM '.$pgv->table['families']
            .' WHERE famID='.$_GET['famID'].' AND genID='.$_GET['genID'];
            $result = $db->Execute( $query );
            if ( $result === false ){
                die( 'Failed to delete family record: '.$query);
            }else{
                echo 'Table '.$pgv->table['families'].' record deleted<br>';
                echo '<form name=\'edit\' action=\''.$pgv->environment['rootUrl'].'/admin/index.php\'>'
                    .'<input type=\'hidden\' name=\'genID\' value=\''.$_GET['genID'].'\'>'
                    .'<input type=\'hidden\' name=\'action\' value=\''.GV_EDIT.'\' />'
                    .'<input type=\'hidden\' name=\'option\' value=\'search\' />'
                    .'<input type=\'submit\' value=\''.GV_ADMIN_SEARCH_NAME.'\' />'
                    .'</form>';
            }
        break;

        case 'list_ch' :
            $ind = new individual( $_GET['genID'] , $_GET['ind_id'] );
            $ind->getIndividual();
            $sp = new individual( $_GET['genID'] , $_GET['spID'] );
            $sp->getIndividual();
            echo '<b>'.GV_CHILDREN_OF.' '.$ind->fullName.'<br> + '.$sp->fullName.'</b><br><br>';
            $query = 'SELECT ID, name, firstname, birth1, gender FROM '.$pgv->table['individuals']
            .' WHERE genID='.$_GET['genID']
            .' AND famC = '.$_GET['famID']
            .' ORDER BY birth1' ;
            $result = $db->Execute( $query );

            echo '<table><tr><td align="center" bgcolor="#CCCCCC">'.GV_NAME.'</td>'
            .'<td align="center" bgcolor="#CCCCCC">'.GV_BIRTH_DATE.'</td>'
            .'<td align="center" bgcolor="#CCCCCC">'.GV_GENDR.'</td>'
            .'</td><td align="center" bgcolor="#CCCCCC"><a href=\''
                   .$pgv->environment['rootUrl']
                   .'/admin/index.php?action='.GV_EDIT.'&option=ind&opcd=add'
                   .'&PHPSESSID='.session_id()
                   .'&genID='.$_GET['genID']
                   .'&ind_id='.$_GET['ind_id'].' \'>'
                   .GV_INSERT.'</a></td>'
            .'</td><td align="center" bgcolor="#CCCCCC" colspan="3"><a href=\''
                   .$pgv->environment['rootUrl']
                   .'/admin/index.php?action='.GV_EDIT.'&option=add_ch'
                   .'&PHPSESSID='.session_id()
                   .'&genID='.$_GET['genID']
                   .'&famID='.$_GET['famID']
                   .'&spID='.$_GET['spID']
                   .'&ind_id='.$_GET['ind_id'].' \'>'
                   .GV_ADD_TO_FAM.'</a></td>';

            while ( !$result->EOF ) {
                echo '<tr><td align="left" bgcolor="#DFDFDF">';
                $date['date1'] = $result->fields['birth1'];
                echo $result->fields['firstname'].' '.$result->fields['name'].'</td>'
                .'<td bgcolor="#DFDFDF">'.formatDate($date).'</td>'
                .'<td bgcolor="#DFDFDF" align="center">'.$result->fields['gender'].'</td>'
                .'<td bgcolor="#DFDFDF">'.'<a href=\''.$pgv->environment['rootUrl']
                .'/admin/index.php?action='.GV_EDIT.'&option=ind&opcd=chg'
                .'&PHPSESSID='.session_id().'&genID='.$_GET['genID']
                .'&ind_id='.$result->fields['ID'].'\'>'
                .GV_INDIVIDUAL.'</a>'
                .'</td>'
                .'<td bgcolor="#DFDFDF">'.'<a href=\''.$pgv->environment['rootUrl']
                .'/admin/index.php?action='.GV_EDIT.'&option=note&PHPSESSID='.session_id()
                .'&genID='.$_GET['genID']
                .'&ind_id='.$result->fields['ID']
                .'&commentID='.$result->fields['commentID'].'\'>'
                .GV_IND_NOTE.'</a></td>'
                .'<td bgcolor="#DFDFDF">'.'<a href=\''.$pgv->environment['rootUrl']
                .'/admin/index.php?action='.GV_EDIT.'&option=facts&PHPSESSID='.session_id()
                .'&genID='.$_GET['genID']
                .'&ind_id='.$result->fields['ID'].'\'>'
                .GV_FACTS.'</a></td>'
                .'<td bgcolor="#DFDFDF">'.'<a href=\''.$pgv->environment['rootUrl']
                .'/admin/index.php?action='.GV_EDIT.'&option=del_ch&PHPSESSID='.session_id()
                .'&genID='.$_GET['genID']
                .'&famID='.$_GET['famID']
                .'&parID='.$_GET['ind_id']
                .'&spID='.$_GET['spID']
                .'&ind_id='.$result->fields['ID']
                .'&commentID='.$result->fields['commentID'].'\'>'
                .GV_DEL_FROM_FAM.'</a></td>'
                .'</tr>';
                $result->MoveNext();
            }
            echo '</table>';
            unset($result);
        break;

        case 'add_ch' :
            echo '<form method=\'post\' name=\'QForm\' action=\''.$pgv->environment['rootUrl'].'/admin/index.php\'>'
                 .'<input type=\'hidden\' name=\'genID\' value=\''.$_GET['genID'].'\'>'
                 .'<input type=\'hidden\' name=\'famID\' value=\''.$_GET['famID'].'\'>'
                 .'<input type=\'hidden\' name=\'ind_id\' value=\''.$_GET['ind_id'].'\'>'
                 .'<input type=\'hidden\' name=\'spID\' value=\''.$_GET['spID'].'\'>'
                 .'<input type=\'hidden\' name=\'action\' value=\''.GV_EDIT.'\' />'
                 .'<input type=\'hidden\' name=\'option\' value=\'write_ch\' />'
                 .'<table>'
                 .'<tr><td>'.GV_FAM_ID.':<td>'
                 .$_GET['famID'].'<br>'
                 .'<tr><td valign="top">'.GV_CHILD_ID.':<td>'
                 .'<input type=\'text\' name=\'father\' value="'
                 //this is really child ID, but named "father" for jsrs calls
                 .$result->fields['father'].'" size=\'8\' maxlength=\'8\' />'
                 .'<img src="..\pictures\search.gif" alt="'.GV_SEARCH_SPEC.'">'
                 .'<input type=\'text\' name=\'search1\' onBlur="searchInd(this)" size=\'20\' maxlength=\'30\' />';
                 SelectBox ( $indF->fullName, "lstInd1" );
                 echo '<br></tr><tr><td>'
                 .'<input type=\'submit\' value='.GV_SAVE_CHANGES.' />'
                 .'</form>'
                 .'</td></tr></table>';

        break;

        case 'write_ch' :
           $query = 'UPDATE '.$pgv->table['individuals']
           .' SET famC = '.$_POST['famID'].' WHERE genID = '.$_POST['genID']
           .' AND ID = '.$_POST['father'];
           $result = $db->Execute( $query );
           if ($result === false) {
              die('Failed to add child to family: '.$query);
           }else{
              echo GV_CHILD.' '.$_POST['father'].' '.GV_ADDED_TO_FAM.' '.$_POST['famID'].'<br>';
              echo '<form name=\'srchnm\' action=\''.$pgv->environment['rootUrl'].'/admin/index.php\'>'
                  .'<input type=\'hidden\' name=\'genID\' value=\''.$_POST['genID'].'\'>'
                  .'<input type=\'hidden\' name=\'action\' value=\''.GV_EDIT.'\' />'
                  .'<input type=\'hidden\' name=\'option\' value=\'search\' />'
                  .'<input type=\'submit\' value=\''.GV_ADMIN_SEARCH_NAME.'\' />'
                  .'</form>';
              echo '<form name=\'chlist\' action=\''.$pgv->environment['rootUrl'].'/admin/index.php\'>'
                  .'<input type=\'hidden\' name=\'genID\' value=\''.$_POST['genID'].'\'>'
                  .'<input type=\'hidden\' name=\'famID\' value=\''.$_POST['famID'].'\'>'
                  .'<input type=\'hidden\' name=\'ind_id\' value=\''.$_POST['ind_id'].'\'>'
                  .'<input type=\'hidden\' name=\'spID\' value=\''.$_POST['spID'].'\'>'
                  .'<input type=\'hidden\' name=\'action\' value=\''.GV_EDIT.'\' />'
                  .'<input type=\'hidden\' name=\'option\' value=\'list_ch\' />'
                  .'<input type=\'submit\' value=\''.GV_CHILD_LIST.'\' />'
                  .'</form>';
           }
        break;

        case 'del_ch' :
            $query = 'UPDATE '.$pgv->table['individuals']
            .' SET famC = 0 WHERE genID = '.$_GET['genID']
            .' AND ID = '.$_GET['ind_id'];
            $result = $db->Execute( $query );
            if ($result === false) {
               die('Failed to remove child from family: '.$query);
            }else{
               echo GV_CHILD_REM_FROM_FAM.'<br>';
               echo '<form name=\'edit\' action=\''.$pgv->environment['rootUrl'].'/admin/index.php\'>'
                   .'<input type=\'hidden\' name=\'genID\' value=\''.$_GET['genID'].'\'>'
                   .'<input type=\'hidden\' name=\'action\' value=\''.GV_EDIT.'\' />'
                   .'<input type=\'hidden\' name=\'option\' value=\'search\' />'
                   .'<input type=\'submit\' value=\''.GV_ADMIN_SEARCH_NAME.'\' />'
                   .'</form>';
              echo '<form name=\'chlist\' action=\''.$pgv->environment['rootUrl'].'/admin/index.php\'>'
                  .'<input type=\'hidden\' name=\'genID\' value=\''.$_GET['genID'].'\'>'
                  .'<input type=\'hidden\' name=\'famID\' value=\''.$_GET['famID'].'\'>'
                  .'<input type=\'hidden\' name=\'ind_id\' value=\''.$_GET['parID'].'\'>'
                  .'<input type=\'hidden\' name=\'spID\' value=\''.$_GET['spID'].'\'>'
                  .'<input type=\'hidden\' name=\'action\' value=\''.GV_EDIT.'\' />'
                  .'<input type=\'hidden\' name=\'option\' value=\'list_ch\' />'
                  .'<input type=\'submit\' value=\''.GV_CHILD_LIST.'\' />'
                  .'</form>';
            }
         break;
    }

function SelectBox( $indNm, $selectName ){     //draw the select box
  //echo '<tr ALIGN="LEFT">'
  //  .'<td width="15%">'.$Label.'</td>'
  //  .'<td align="left">'
  echo   '<select name="'.$selectName.'">'
        .'<option>'.$indNm.'</option>'
        .'<option>--------- Not Yet Loaded ---------</option>'
        .'</select>';
  //  .'</td>';
  //    .'</tr>';
}

?>