<?php
/*
 * PHP Gedcom Viewer
 * Copyright (C) 2002-2003 Nicolas de Vulpian
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
?>
<form name='process' enctype='multipart/form-data' method='post' action='<?php echo $pgv->environment['rootUrl']; ?>/admin/index.php'>
    <table>
        <tr>
            <td align='left' colspan='2'>
                Title : <input type='text' name='title' size='30' maxlength='100'>
            </td>
        </tr>
        <tr>
            <td align='left' colspan='2'>
                Theme : 
                <select name='theme'>
                <option>Select a theme</option>
                <?php
                    $dir = opendir( $pgv->environment['rootPath'].'/themes/' );
                    while ( $file = readdir( $dir ) ) {
                        if ( $file != '.' AND $file != '..' AND substr( $file , -4 , 4 ) != '.css' ) echo "<option name='$file'>$file</option>";
                    }  
                    closedir($dir);
                ?>
                </select>
            </td>
        </tr>
        <tr>
            <td align='left' colspan='2'>
                Genealogy owner name : <input type='text' name='owner_name' size='30' maxlength='100'>
            </td>
        </tr>
        <tr>
            <td align='left' colspan='2'>
                Genealogy owner e-mail : <input type='text' name='owner_email' size='30' maxlength='60'>
            </td>
        </tr>
        <tr>
            <td align='left' colspan='2'>
                Genealogy owner website : <input type='text' name='owner_website' value='' size='30' maxlength='100'>
            </td>
        </tr>
        <tr>
            <td align='left' colspan='2'>
                &nbsp;<br>
                &nbsp;
            </td>
        </tr>
        <tr>
            <td align='left'>
                <input type='checkbox' name='assignID' value='on'>
                Assign Individual ID #s :<br>(only for Gedcom with NO Ind.ID or Ind.ID=0)
            </td> 
        </tr>
        <tr>
            <td align='left'>
                <input type='radio' name='option' value='process'>
                Already uploaded files :
            </td> 
        </tr>
        <tr>
            <td align='left'>
                <select name='processed_file'>
                    <option>Select a file below</option>
                    <?php
                        $dir = opendir( $pgv->environment['rootPath'].'/gedcom/' );
                        while ( $file = readdir($dir) )
                        {
                            if ( $file != '.' && $file != '..') echo "<option name='$file'>$file</option>";
                        }  
                        closedir($dir);
                    ?>
                </select>
            </td>
            <td align='left'>
                <input type='submit' name='load' value='Process file'>
            </td>
        </tr>
        <tr>
            <td align='left'>
                <input type='radio' name='option' value='upload' checked>
                Upload a gedcom file :&nbsp;&nbsp;<img src='<?php echo $pgv->environment['rootUrl']; ?>/pictures/int_mark.gif' border='0' alt='NB : Prefer using these naming conventions : no space, lower case, .ged extension.'
            </td> 
        </tr>
        <tr>
            <td align='left'>
                <input type='file' name='uploaded_file' size='24' maxlength='80'>
            </td> 
            <td align='left'>
                <input type='submit' name='load' value='Upload'>
            </td>
        </tr>
    </table>
    <input type='hidden' name='action' value='load'>
    <input type='hidden' name='<?php echo session_name(); ?>' value='<?php echo session_id(); ?>'>
</form>
<br>
<i><font face='Arial' size='2'><? echo 'The upload may take some time to proceed, depending on your file size.<br>If file size is too big, upload it directly in the "gedcom" directory with your FTP client.'; ?></font></i>