<?php
/*
 * Poplar Gedcom Viewer
 * Copyright (C) 2002-2003 Nicolas de Vulpian
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/*
 * Extensively rewritten 10/2003
 * changes Copyright 2003 by J.R.Grotjan
*/
?>
<?php
    // Displays a list of individuals in a selected genealogy

    if ( !empty( $pgv->context['idSurname'] ) ) {
        $pgv->setMainMenuTitle( stripslashes( $pgv->context['idSurname'] ) );
    } else {
        $pgv->setMainMenuTitle( GV_NO_SURNAME );
    }
        
    if ( $pgv->context['isGen'] ) {
        $query = 'SELECT ID, genID'
            .' FROM '.$pgv->table['individuals']
            .' WHERE genID = '.$pgv->context['genID']
            .' AND name = \''.$pgv->context['idSurname'].'\''
            .' ORDER BY firstname ASC';
        $result = $db->Execute( $query );
        if ( $result === false ) die ( 'Failed surname' );
    } else {
        $query = 'SELECT ID, genID'
            .' FROM '.$pgv->table['individuals']
            .' WHERE name = \''.$pgv->context['idSurname'].'\''
            .' ORDER BY firstname ASC';
        $result = $db->Execute( $query );
        if ( $result === false ) die ( 'Failed surname' );
    }

    $i = 0;
    while ( !$result->EOF ) {
        if ( $pgv->context['isGen'] ) {
            $genID2 = $pgv->context['genID'];
        } else {
            $genID2 = $result->fields['genID'];
        }
        $ind = new individual( $genID2 , $result->fields['ID'] );
        $ind->getIndividual();

        $pgv->getUrl();
        $pgv->setUrl( 'genID' , $genID2 );
        $pgv->setUrl( 'page' , 'ind' );
        $pgv->setUrl( 'idSurname' , '' );
        $pgv->setUrl( 'indID' , $ind->indID );

        $pgv_surnames[$i]['name'] = $pgv->makeLink( $ind->fullName );

        if ( formatDate($ind->birth) != ''
            || formatDate($ind->death) != ''
            && !$hide( 'dates' , $result->fields['birth1'] ) ) {

            $pgv_surnames[$i]['birth'] = formatDate($ind->birth, 1);
            $pgv_surnames[$i]['death'] = formatDate($ind->death, 1);
        }
        $i++;
        $result->MoveNext();
    }
    $theme->assign( 'pgv_surnames' , $pgv_surnames );
?>