<?php
/*
 * Poplar Gedcom Viewer
 * Copyright (C) 2002-2003 Nicolas de Vulpian
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/*
 * Extensively rewritten 10/2003
 * changes Copyright 2003 by J.R.Grotjan
*/
?>
<?php
    // Displays surnames list

    $pgv->setMainMenuTitle( GV_SURNAMES_LIST );

    if ( $pgv->context['isGen'] ) {
        $query = 'SELECT name , count( name ) AS nb FROM '
        .$pgv->table['individuals'].' WHERE genID = '.$pgv->context['genID']
        . ' GROUP BY name ORDER BY name ASC' ;
    } else {
        $query = 'SELECT name , count( name ) AS nb FROM '
        .$pgv->table['individuals'].' GROUP BY name ORDER BY name ASC' ;
    }
    $surname = $db->Execute( $query);
    $i = -1;

    while ( !$surname->EOF ) {
        $initial = strtoupper( strip_accent( substr( $surname->fields['name'] , 0 , 1 ) ) );

        if ( $initial != $last_initial
        && !empty( $initial ) ) {
            $i++;
            $initials[$i] = $initial;
            $last_initial = $initial;
        }

        if ( empty( $initial ) ) {
            $i++;
            $initials[$i] = GV_NO_SURNAME;
        }

        if ( $surname->fields['name'] != '' ) {
            $pgv->getUrl();
            $pgv->setUrl( 'page' , 'surname' );
            $pgv->setUrl( 'idSurname' , urlencode( $surname->fields['name'] ) );

            $names[$i][] = $pgv->makeLink( $surname->fields['name'] )
                .'<font size=\'2\'>('.$surname->fields['nb'].')</font>';
            $theme->assign( ${$initial} , $initials );
        } else {
            $pgv->getUrl();
            $pgv->setUrl( 'page' , 'surname' );

            $names[$i][] = $pgv->makeLink( fill( GV_INDIVIDUALS , $surname->fields['nb'] ) );
        }
        $surname->MoveNext();
    }

$theme->assign( 'initials' , $initials );
$theme->assign( 'names' , $names );
?>