<?php
/*
 * Poplar Gedcom Viewer
 * Copyright (C) 2002-2003 Nicolas de Vulpian
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/*
 * Extensively rewritten 10/2003
 * changes Copyright 2003 by J.R.Grotjan
*/
?>
<?php
ob_start();
include_once( './config.php' );
include_once( $pgv->environment['rootPath'].'/lang/'.$pgv->context['language'].'.php' );

$hide = create_function( '$a,$b' , 'return false;' );
$theme->assign( 'pgv_modules_menu_links'    , $pgv->getModulesMenu() );

if ( !$pgv->context['isModule'] ) {        //if it's NOT a module, jg//
    include( $pgv->environment['rootPath'].'/html/'.$pgv->context['page'].'.php' );
    if ( file_exists( $pgv->environment['rootPath'].'/themes/'
        .$pgv->context['theme'].'/'.$pgv->context['page'].'.tpl' ) ) {
        //if there's a page template in /themes then use it //
        $tpl = $pgv->environment['rootPath'].'/themes/'
        .$pgv->context['theme'].'/'.$pgv->context['page'].'.tpl';
    } else {
        //else get it from /html/theme //
        $tpl = $pgv->environment['rootPath'].'/html/theme/'.$pgv->context['page'].'.tpl';
    }
} else {                                 //it IS a module - handle it //
    if ( file_exists( $pgv->environment['rootPath'].'/modules/'.$pgv->context['module'].'/lang/'.$pgv->context['language'].'.php' ) ) {
        include_once( $pgv->environment['rootPath'].'/modules/'.$pgv->context['module'].'/lang/'.$pgv->context['language'].'.php' );
    } elseif ( file_exists( $pgv->environment['rootPath'].'/modules/'.$pgv->context['module'].'/lang/en.php' ) ) {
        include_once( $pgv->environment['rootPath'].'/modules/'.$pgv->context['module'].'/lang/en.php' );
    }
    if ( $pgv->context['hasModuleTheme'] ) {
        include_once( $pgv->environment['rootPath'].'/modules/'.$pgv->context['module'].'/module_interface.php' );
        $tpl = $pgv->environment['rootPath'].'/modules/'.$pgv->context['module'].'/module_theme.tpl';
    } else {
        ob_start();
        include_once( $pgv->environment['rootPath'].'/modules/'.$pgv->context['module'].'/module_interface.php' );
        $pgv_module_buffer = ob_get_contents();
        ob_end_clean();
    }
}

if ( file_exists( $pgv->environment['rootPath'].'/themes/'.$pgv->context['theme'].'/lang/'.$pgv->context['language'].'.php' ) ) {
    include_once( $pgv->environment['rootPath'].'/themes/'.$pgv->context['theme'].'/lang/'.$pgv->context['language'].'.php' );
} elseif ( file_exists( $pgv->environment['rootPath'].'/themes/'.$pgv->context['theme'].'/lang/en.php' ) ) {
    include_once( $pgv->environment['rootPath'].'/themes/'.$pgv->context['theme'].'/lang/en.php' );
}

$theme->assign( 'pgv_flags'              , $pgv->getFlags() );
$theme->assign( 'pgv_environment'        , $pgv->environment );
$theme->assign( 'pgv_context'            , $pgv->context );
$theme->assign( 'pgv_main_menu_links'    , $pgv->getMainMenu() );
$theme->assign( 'pgv_context_menu_links' , $pgv->getContextMenu() );
if ( $pgv->context['adminContact'] ) {
    $adminContact = GV_ADMINISTRATOR.' : <a href=\'mailto:'.$pgv->context['adminContact'].'?subject='.$pgv->context['genTitle'].'\'>'. $pgv->context['adminContact'].'</a>';
}
$theme->assign( 'pgv_admin_contact'          , $adminContact );
$theme->assign( 'pgv_include'                , $tpl );
$theme->assign( 'pgv_include_theme_lang'     , $tpl_include_theme_lang );
$theme->assign( 'pgv_module_buffer'          , $pgv_module_buffer );
$theme->assign( 'pgv_logo'                   , $pgv->displayLogo() );
$theme->assign( 'pgv_owner'                  , $pgv->getOwner() );
$theme->assign( 'pgv_lang'                   , $pgv_lang );

$theme->display( 'file:'.$pgv->environment['rootPath'].'/themes/'.$pgv->context['theme'].'/index.tpl' );

ob_end_flush();
?>