<?php

// Charset to be used

$pgv->setCharset( 'iso-8859-1' );

// Willkommens-Seite

define( 'GV_INDEX_NO_TABLE' , 'Keine Daten vorhanden.' );
define( 'GV_GENEALOGY' , 'Genealogie' );
define( 'GV_LIST' , 'Weitere Genealogien :' );
define( 'GV_ADMINISTRATOR' , 'Administrator' );
define( 'GV_OWNER' , 'Contact : %1%' );
define( 'GV_OWNER_WEBSITE' , 'Webseite : %1%' );
define( 'GV_GLOBAL_INDEX' , 'Gesamtbersicht' );
define( 'GV_HOME' , 'Home' );
define( 'GV_HOME_1' , 'Es gibt %1% Personen, %2% Familien und %3% Familiennamen in dieser Genealogie.' );
define( 'GV_HOME_2' , 'Es gibt %1% Personen und %2% Familiennamen in dieser Genealogie' );
define( 'GV_SURNAMES' , 'Familiennamen' );
define( 'GV_STATS' , 'Statistik' );
define( 'GV_SEARCH' , 'Suchergebnis' );

// Alle anderen Seiten

define( 'GV_GENDER' , 'Geschlecht : %1%' );
define( 'GV_GENDER_M' , 'mnnlich' );
define( 'GV_GENDER_F' , 'weiblich' );
define( 'GV_GENDER_U' , 'unbekannt' );
define( 'GV_BIRTH' , 'Geburt : %1%' );
define( 'GV_DEATH' , 'Tod : %1%' );
define( 'GV_DEATH_CAUSE' , 'Todesursache : %1%' );
define( 'GV_BURIAL' , 'Beerdigung : %1%' );
define( 'GV_OCCUPATION' , 'Beruf : %1%' );
define( 'GV_COMMENTS_INDIV' , 'Anmerkungen zur Person' );
define( 'GV_FACTS_INDIV' , 'Zusaetzliche Informationen' );
define( 'GV_COMMENTS_COUPLE' , 'Anmerkungen zur Familie' );
define( 'GV_COMMENTS_MORE' , 'Weitere Anmerkungen' );
define( 'GV_PARENTS' , 'Eltern' );
define( 'GV_NO_PARENTS' , 'Keine Angaben zu den Eltern' );
define( 'GV_FATHER' , 'Vater : %1%' );
define( 'GV_MOTHER' , 'Mutter : %1%' );
define( 'GV_WEDDING' , 'Eheschliessung : %1%' );
define( 'GV_DIVORCE' , 'Ehescheidung : %1%' );
define( 'GV_SPOUSE' , 'Ehepartner' );
define( 'GV_NO_SPOUSE' , 'Kein Ehepartner' );
define( 'GV_CHILDREN' , 'Kinder' );
define( 'GV_NO_CHILD' , 'Keine Kinder' );
define( 'GV_SURNAMES_LIST' , 'Liste der Familiennamen' );
define( 'GV_NO_SURNAME' , 'Personen ohne Familienname' );
define( 'GV_INDIVIDUALS' , '%1% Personen' );
define( 'GV_20_SURNAMES' , '20 most common surnames' );
define( 'GV_20_WEDDING' , 'Die zwanzig letzten Eheschliessungen' );
define( 'GV_20_BIRTH' , 'Die zwanzig letzten Geburten' );
define( 'GV_20_OLDER' , 'Die zwanzig &auml;ltesten Personen' );
define( 'GV_SEARCH_REQUEST' , 'Suchbegriff' );
define( 'GV_SEARCH_PREVIOUS' , 'Vorhergehende Ergebnisse' );
define( 'GV_SEARCH_NEXT' , 'Weitere Ergebnisse' );
define( 'GV_SEARCH_RESULTS' , 'Ergebnisse %1%-%2% von %3%.' );
define( 'GV_SEARCH_NORESULT' , 'Kein Ergebnis.' );
define( 'GV_SEARCH_WRONG' , 'Bitte geben Sie mindestens einen Buchstaben ein ...' );
define( 'GV_SEARCH_LABEL' , 'Schnellsuche' );
define( 'GV_SEARCH_BUTTON_LABEL' , 'Suchen' );
define( 'GV_INFO' , 'Informationen zur Person' );
define( 'GV_ADVANCED_SEARCH_LABEL'  , 'Neue Suche' );
define( 'GV_APPROXIMATIVE_SEARCH'  , 'Phonetische Suche?' );
define( 'GV_COMMENTS'  , 'Bemerkungen : %1%' );
define( 'GV_FIRST_NAME'  , 'Vorname : %1%' );
define( 'GV_LAST_NAME'  , 'Familienname : %1%' );
define( 'GV_LIVING_PERSON' , 'Lebende Personen' );

// Monatsnamen

define( 'GV_JAN' , 'Januar' );
define( 'GV_FEB' , 'Februar' );
define( 'GV_MAR' , 'M&auml;rz' );
define( 'GV_APR' , 'April' );
define( 'GV_MAY' , 'Mai' );
define( 'GV_JUN' , 'Juni' );
define( 'GV_JUL' , 'Juli' );
define( 'GV_AUG' , 'August' );
define( 'GV_SEP' , 'September' );
define( 'GV_OCT' , 'Oktober' );
define( 'GV_NOV' , 'November' );
define( 'GV_DEC' , 'Dezember' );

$GV_DATE['ABT'] = 'um %1%';
$GV_DATE['CAL'] = '%1% (errechnet)';
$GV_DATE['EST'] = '%1% (gesch&auml;tzt)';
$GV_DATE['BEF'] = 'vor %1%';
$GV_DATE['AFT'] = 'nach %1%';
$GV_DATE['BET'] = 'zwischen %1% und %2%';

//Tag labels for facts//

$GV_TAG['_MILT'] = 'Milit&auml;rdienst';
$GV_TAG['_NAMS'] = 'Namensvetter';
$GV_TAG['ALIA']  = 'alias';
$GV_TAG['BAPM']  = 'Taufe';
$GV_TAG['BIRT']  = 'Anderes Geburtsdatum';
$GV_TAG['BURI']  = 'Beerdigung';
$GV_TAG['CHR']   = 'Taufe';
$GV_TAG['DEAT']  = 'Anderes Todesdatum';
$GV_TAG['EDUC']  = 'Beruf';
$GV_TAG['EMIG']  = 'Auswanderung';
$GV_TAG['IMMI']  = 'Einwanderung';
$GV_TAG['NAME']  = 'Anderer Name';
$GV_TAG['OCCU']  = 'Beruf';
$GV_TAG['RELI']  = 'Religion';
$GV_TAG['RESI']  = 'Wohnort';
$GV_TAG['TITL']  = 'Titel';

//Admin-Bereich //
define( 'GV_ADMIN_DATABASE' , 'Datenbank' );
define( 'GV_ADMIN_LOAD' , 'Datenbank laden' );
define( 'GV_ADMIN_MANAGE' , 'Datenbanken verwalten' )
define( 'GV_ADMIN_GENERAL' , 'Generelle Einstellungen' );
define( 'GV_ADMIN_MODULES' , 'Modul-Administration' );
define( 'GV_ADMIN_GLOBAL' , 'Allgemeine Einstellungen' );
define( 'GV_ADMIN_UNINSTALL' , 'Poplar deinstallieren' );
define( 'GV_ADMIN_PHPINFO' , 'PHP Info' );
define( 'GV_ADMIN_UPDATES' , 'Auf Updates pr&uuml;fen' );
define( 'GV_ADMIN_CONTACT' , 'Kontakt' );
define( 'GV_ADMIN_EDIT' , 'Genealogie editieren' );
define( 'GV_ADMIN_SEARCH_NAME' , 'Namen suchen' );

define( 'GV_FNAME' , 'Vorname' );
define( 'GV_LNAME' , 'Nachname' );
define( 'GV_GENDR' , 'Geschlecht' );
define( 'GV_BIRTH_RANGE' , 'Birth Range' ); // please translate
define( 'GV_BIRTH_DATE' , 'Geburtsdatum' );
define( 'GV_BIRTH_PHRASE' , 'Birth Phrase' ); // please translate
define( 'GV_BIRTH_PLACE' , 'Geburtsort' );
define( 'GV_DEATH_RANGE' , 'Death Range' ); // please translate
define( 'GV_DEATH_DATE' , 'Sterbedatum' );
define( 'GV_DEATH_PHRASE' , 'Death Phrase' ); // please translate
define( 'GV_DEATH_PLACE' , 'Todesort' );
define( 'GV_DEATH_CAUS' , 'Todesursache' );
define( 'GV_NO_IND_NOTE' , 'Keine individuellen Bemerkungen f&uuml;r ' );
define( 'GV_NAME' , 'Name' );
define( 'GV_BIRTH_DATE' , 'Geburtsdatum' );
define( 'GV_INDIVIDUAL' , 'Individuell' );
define( 'GV_IND_NOTE' , 'Individuelle Bemerkungen' );
define( 'GV_SP_NOTES' , 'Allgemeine Bemerkungen' );
define( 'GV_FACTS' , 'Fakten' );
define( 'GV_EDIT' , 'Editieren' );
define( 'GV_CHANGE' , '&Auml;ndern' );
define( 'GV_CHOOSE' , 'W&auml;hlen' );
define( 'GV_SAVE_CHANGES' , '&Auml;nderungen speichern' );
define( 'GV_ADD_FACTS' , 'Zus&aumltzliche Fakten: ' );
define( 'GV_NO_ADD_FACTS' , 'keine zus&auml;tzlichen Fakten: ' );
define( 'GV_TAG_NAME' , 'Fact Name' ); // please translate
define( 'GV_TAG_RANGE' , 'Fact Range' ); // please translate
define( 'GV_TAG_DATE' , 'Fact Date' ); // please translate
define( 'GV_TAG_PHRASE' , 'Date Phrase' ); // please translate
define( 'GV_TAG_PLACE' , 'Fact Place' ); // please translate
define( 'GV_INSERT' , 'Insert' ); // please translate
define( 'GV_DELETE' , 'Delete' ); // please translate
?>