<?php

// Charset to be used

$pgv->setCharset( 'iso-8859-1' );

// Welcome page

define( 'GV_INDEX_NO_TABLE' , 'Ingen indekseret tabel.' );
define( 'GV_GENEALOGY' , 'Genealogy' );
define( 'GV_LIST' , 'Andre genealogies :' );
define( 'GV_ADMINISTRATOR' , 'Admin' );
define( 'GV_OWNER' , 'Contact : %1%' );
define( 'GV_OWNER_WEBSITE' , 'Website : %1%' );
define( 'GV_GLOBAL_INDEX' , 'Hoved index' );
define( 'GV_HOME' , 'Tilbage til start' );
define( 'GV_HOME_1' , 'Der er %1% enkeltpersoner, %2% familieer og %3% efternavne i denne genealogiske database.' );
define( 'GV_HOME_2' , 'Der er %1% enkeltpersoner og %2% efternavne i denne genealogiske database.' );
define( 'GV_SURNAMES' , 'Efternavn' );
define( 'GV_STATS' , 'Statistik' );
define( 'GV_SEARCH' , 'S&oslash;ge resultat' );

// Common pages

define( 'GV_GENDER' , 'K&oslash;n : %1%' );
define( 'GV_GENDER_M' , 'mand' );
define( 'GV_GENDER_F' , 'kvinde' );
define( 'GV_GENDER_U' , 'unknown' ); // Translate
define( 'GV_BIRTH' , 'F&oslash;dt : %1%' );
define( 'GV_DEATH' , 'D&oslash;d : %1%' );
define( 'GV_DEATH_CAUSE' , 'Cause : %1%' ); // Translate
define( 'GV_BURIAL' , 'Burial : %1%' ); // Translate
define( 'GV_OCCUPATION' , 'Erhverv : %1%' );
define( 'GV_COMMENTS_INDIV' , 'Individuel noter' );
define( 'GV_FACTS_INDIV' , 'Additional facts' ); // Translate
define( 'GV_COMMENTS_COUPLE' , 'F&aelig;lles noter' );
define( 'GV_COMMENTS_MORE' , 'Mere' );
define( 'GV_PARENTS' , 'For&aelig;ldre' );
define( 'GV_NO_PARENTS' , 'Ingen informationer i database' );
define( 'GV_FATHER' , 'Fader : %1%' );
define( 'GV_MOTHER' , 'Moder : %1%' );
define( 'GV_WEDDING' , 'Gift : %1%' );
define( 'GV_DIVORCE' , 'Skilt : %1%' );
define( 'GV_SPOUSE' , '&AElig;gtef&aelig;lde' );
define( 'GV_NO_SPOUSE' , 'Ingen &aelig;gtef&aelig;lde' );
define( 'GV_CHILDREN' , 'B&oslash;rn' );
define( 'GV_NO_CHILD' , 'Ingen b&oslash;rn' );
define( 'GV_SURNAMES_LIST' , 'Efternavn oversigt' );
define( 'GV_NO_SURNAME' , 'Personer uden efternavn' );
define( 'GV_INDIVIDUALS' , '%1% personer' );
define( 'GV_20_SURNAMES' , '20 most common surnames' );
define( 'GV_20_WEDDING' , 'Sidste 20 bryllupper' );
define( 'GV_20_BIRTH' , 'Sidste 20 f&oslash;dselsdage' );
define( 'GV_20_OLDER' , '20 &aelig;lste personer i live' );
define( 'GV_SEARCH_REQUEST' , 'Foresp&oslash;rgsel' );
define( 'GV_SEARCH_PREVIOUS' , 'Foreg&aring;ende resultat' );
define( 'GV_SEARCH_NEXT' , 'N&aelig;ste resulttat' );
define( 'GV_SEARCH_RESULTS' , 'Resultat %1%-%2% ud af %3%.' );
define( 'GV_SEARCH_NORESULT' , 'Intet resultat.' );
define( 'GV_SEARCH_WRONG' , 'Skriv mindst 1 karakter...' );
define( 'GV_SEARCH_LABEL' , 'Hurtig s&oslash;gning' );
define( 'GV_SEARCH_BUTTON_LABEL' , 'S&oslash;g' );
define( 'GV_INFO' , 'Informationer' );
define( 'GV_ADVANCED_SEARCH_LABEL'  , 'Avanceret s&oslash;gning' );
define( 'GV_APPROXIMATIVE_SEARCH'  , 'Pr&oslash;v tiln&aelig;rmelsesvis s&oslash;gning' );
define( 'GV_COMMENTS'  , 'Noter : %1%' );
define( 'GV_FIRST_NAME'  , 'Fornavn : %1%' );
define( 'GV_LAST_NAME'  , 'Efternavn : %1%' );
define( 'GV_LIVING_PERSON' , 'Living Person' ); // Translate

// Month names

define( 'GV_JAN' , 'januar' );
define( 'GV_FEB' , 'februar' );
define( 'GV_MAR' , 'marts' );
define( 'GV_APR' , 'april' );
define( 'GV_MAY' , 'maj' );
define( 'GV_JUN' , 'juni' );
define( 'GV_JUL' , 'juli' );
define( 'GV_AUG' , 'august' );
define( 'GV_SEP' , 'september' );
define( 'GV_OCT' , 'oktober' );
define( 'GV_NOV' , 'november' );
define( 'GV_DEC' , 'december' );

$GV_DATE['ABT'] = 'omkring %1%';
$GV_DATE['CAL'] = '%1% (beregnet)';
$GV_DATE['EST'] = '%1% (g&aelig;ttet)';
$GV_DATE['BEF'] = 'f&oslash;r %1%';
$GV_DATE['AFT'] = 'efter %1%';
$GV_DATE['BET'] = 'mellem %1% og %2%';

//Tag labels for facts//

$GV_TAG['_MILT'] = 'Military Service'; // translate
$GV_TAG['_NAMS'] = 'Namesake'; // translate
$GV_TAG['ALIA']  = 'Alias'; // translate
$GV_TAG['BAPM']  = 'Baptism'; // translate
$GV_TAG['BIRT']  = 'Other Birth Date'; // translate
$GV_TAG['BURI']  = 'Burial'; //translate
$GV_TAG['CHR']   = 'Christening'; // translate
$GV_TAG['DEAT']  = 'Other Death Date'; // translate
$GV_TAG['EDUC']  = 'Occupation'; // translate
$GV_TAG['EMIG']  = 'Emmigration'; // translate
$GV_TAG['IMMI']  = 'Immigration'; // translate
$GV_TAG['NAME']  = 'Other Name'; // translate
$GV_TAG['OCCU']  = 'Occupation'; // translate
$GV_TAG['RELI']  = 'Religion'; // translate
$GV_TAG['RESI']  = 'Residence'; // translate
$GV_TAG['TITL']  = 'Title or Honorific'; // translate

//Admin area //
define( 'GV_ADMIN_DATABASE' , 'Database' ); // translate
define( 'GV_ADMIN_LOAD' , 'Load a database' ); // translate
define( 'GV_ADMIN_MANAGE' , 'Manage databases' ); // translate
define( 'GV_ADMIN_GENERAL' , 'General' ); // translate
define( 'GV_ADMIN_MODULES' , 'Modules admin' ); // translate
define( 'GV_ADMIN_GLOBAL' , 'Global settings' ); // translate
define( 'GV_ADMIN_UNINSTALL' , 'Uninstall Poplar' ); // translate
define( 'GV_ADMIN_PHPINFO' , 'PHP Info' ); // translate
define( 'GV_ADMIN_UPDATES' , 'Check for updates' ); // translate
define( 'GV_ADMIN_CONTACT' , 'Contact' ); // translate
define( 'GV_ADMIN_EDIT' , 'Edit Genealogy' ); // please translate
define( 'GV_ADMIN_SEARCH_NAME' , 'Search Name' ); // please translate

define( 'GV_FNAME' , 'First Name' ); // please translate
define( 'GV_LNAME' , 'Last Name' ); // please translate
define( 'GV_GENDR' , 'Gender' ); // please translate
define( 'GV_BIRTH_RANGE' , 'Birth Range' ); // please translate
define( 'GV_BIRTH_DATE' , 'Birth Date' ); // please translate
define( 'GV_BIRTH_PHRASE' , 'Birth Phrase' ); // please translate
define( 'GV_BIRTH_PLACE' , 'Birth Place' ); // please translate
define( 'GV_DEATH_RANGE' , 'Death Range' ); // please translate
define( 'GV_DEATH_DATE' , 'Death Date' ); // please translate
define( 'GV_DEATH_PHRASE' , 'Death Phrase' ); // please translate
define( 'GV_DEATH_PLACE' , 'Death Place' ); // please translate
define( 'GV_DEATH_CAUS' , 'Death Cause' ); // please translate
define( 'GV_NO_IND_NOTE' , 'No Individual Note for ' ); // please translate
define( 'GV_NAME' , 'Name' ); // please translate
define( 'GV_BIRTH_DATE' , 'Birth Date' ); // please translate
define( 'GV_INDIVIDUAL' , 'Individual' ); // please translate
define( 'GV_IND_NOTE' , 'Ind.Note' ); // please translate
define( 'GV_SP_NOTES' , 'Couple Notes' ); // please translate
define( 'GV_FACTS' , 'Facts' ); // please translate
define( 'GV_EDIT' , 'Edit' ); // please translate
define( 'GV_CHANGE' , 'Change' ); // please translate
define( 'GV_CHOOSE' , 'Choose' ); // please translate
define( 'GV_SAVE_CHANGES' , 'Save Changes' ); // please translate
define( 'GV_ADD_FACTS' , 'Additional Facts: ' ); // please translate
define( 'GV_NO_ADD_FACTS' , 'No Additional Facts: ' ); // please translate
define( 'GV_TAG_NAME' , 'Fact Name' ); // please translate
define( 'GV_TAG_RANGE' , 'Fact Range' ); // please translate
define( 'GV_TAG_DATE' , 'Fact Date' ); // please translate
define( 'GV_TAG_PHRASE' , 'Date Phrase' ); // please translate
define( 'GV_TAG_PLACE' , 'Fact Place' ); // please translate
define( 'GV_INSERT' , 'Insert' ); // please translate
define( 'GV_DELETE' , 'Delete' ); // please translate
?>