<?php

// Charset to be used

$pgv->setCharset( 'iso-8859-1' );

// Welcome page

define( 'GV_INDEX_NO_TABLE' , 'No indexed table.' );
define( 'GV_GENEALOGY' , 'Genealogy' );
define( 'GV_LIST' , 'Other genealogies :' );
define( 'GV_ADMINISTRATOR' , 'Admin' );
define( 'GV_OWNER' , 'Contact : %1%' );
define( 'GV_OWNER_WEBSITE' , 'Website : %1%' );
define( 'GV_GLOBAL_INDEX' , 'Global index' );
define( 'GV_HOME' , 'Home' );
define( 'GV_HOME_1' , 'There are %1% individuals, %2% families and %3% surnames in this genealogical database.' );
define( 'GV_HOME_2' , 'There are %1% individuals and %2% surnames in this genealogical database.' );
define( 'GV_SURNAMES' , 'Surnames' );
define( 'GV_STATS' , 'Statistics' );
define( 'GV_SEARCH' , 'Search results' );

// Common pages

define( 'GV_GENDER' , 'Gender : %1%' );
define( 'GV_GENDER_M' , 'male' );
define( 'GV_GENDER_F' , 'female' );
define( 'GV_GENDER_U' , 'unknown' );
define( 'GV_BIRTH' , 'Birth : %1%' );
define( 'GV_DEATH' , 'Death : %1%' );
define( 'GV_DEATH_CAUSE' , 'Cause : %1%' );
define( 'GV_BURIAL' , 'Burial : %1%' );
define( 'GV_OCCUPATION' , 'Occupation : %1%' );
define( 'GV_COMMENTS_INDIV' , 'Individual notes' );
define( 'GV_FACTS_INDIV' , 'Additional facts' );
define( 'GV_COMMENTS_COUPLE' , 'Couple notes' );
define( 'GV_COMMENTS_MORE' , 'More' );
define( 'GV_PARENTS' , 'Parents' );
define( 'GV_NO_PARENTS' , 'Not recorded in database' );
define( 'GV_FATHER' , 'Father : %1%' );
define( 'GV_MOTHER' , 'Mother : %1%' );
define( 'GV_WEDDING' , 'Wedding : %1%' );
define( 'GV_DIVORCE' , 'Divorce : %1%' );
define( 'GV_SPOUSE' , 'Spouse' );
define( 'GV_NO_SPOUSE' , 'No spouse' );
define( 'GV_CHILDREN' , 'Children' );
define( 'GV_NO_CHILD' , 'No child' );
define( 'GV_SURNAMES_LIST' , 'Surnames list' );
define( 'GV_NO_SURNAME' , 'Individuals with no surname' );
define( 'GV_INDIVIDUALS' , '%1% individuals' );
define( 'GV_20_SURNAMES' , '20 most common surnames' );
define( 'GV_20_WEDDING' , 'Last 20 weddings' );
define( 'GV_20_BIRTH' , 'Last 20 births' );
define( 'GV_20_OLDER' , '20 oldest living individuals' );
define( 'GV_SEARCH_REQUEST' , 'Request' );
define( 'GV_SEARCH_PREVIOUS' , 'Previous results' );
define( 'GV_SEARCH_NEXT' , 'Next results' );
define( 'GV_SEARCH_RESULTS' , 'Results %1%-%2% out of %3%.' );
define( 'GV_SEARCH_NORESULT' , 'No result.' );
define( 'GV_SEARCH_WRONG' , 'Please type at least one letter...' );
define( 'GV_SEARCH_LABEL' , 'Fast search' );
define( 'GV_SEARCH_BUTTON_LABEL' , 'Search' );
define( 'GV_INFO' , 'Information' );
define( 'GV_ADVANCED_SEARCH_LABEL' , 'Advanced search' );
define( 'GV_APPROXIMATIVE_SEARCH' , 'Try an approximative search?' );
define( 'GV_COMMENTS' , 'Notes : %1%' );
define( 'GV_FIRST_NAME' , 'First name : %1%' );
define( 'GV_LAST_NAME' , 'Last name : %1%' );
define( 'GV_LIVING_PERSON' , 'Living Person' );

// Month names

define( 'GV_JAN' , 'Jan' );
define( 'GV_FEB' , 'Feb' );
define( 'GV_MAR' , 'Mar' );
define( 'GV_APR' , 'Apr' );
define( 'GV_MAY' , 'May' );
define( 'GV_JUN' , 'Jun' );
define( 'GV_JUL' , 'Jul' );
define( 'GV_AUG' , 'Aug' );
define( 'GV_SEP' , 'Sep' );
define( 'GV_OCT' , 'Oct' );
define( 'GV_NOV' , 'Nov' );
define( 'GV_DEC' , 'Dec' );

$GV_DATE['ABT'] = 'Abt. %1%';
$GV_DATE['CAL'] = '%1% (Calc.)';
$GV_DATE['EST'] = '%1% (Est.)';
$GV_DATE['BEF'] = 'Bef. %1%';
$GV_DATE['AFT'] = 'Aft. %1%';
$GV_DATE['BET'] = 'Bet. %1% and %2%';

//Tag labels for facts//
//NOTE: if new tags are added, add them to the $tags array in 'edit.php'
$GV_TAG['_MILT'] = 'Military Service';
$GV_TAG['_NAMS'] = 'Namesake';
$GV_TAG['_MSTAT'] = 'Beginning Status';
$GV_TAG['_MEND'] = 'End Status';
$GV_TAG['ALIA']  = 'Alias';
$GV_TAG['BAPM']  = 'Baptism';
$GV_TAG['BURI']  = 'Burial';
$GV_TAG['BIRT']  = 'Other Birth Date';
$GV_TAG['CHR']   = 'Christening';
$GV_TAG['DEAT']  = 'Other Death Date';
$GV_TAG['EDUC']  = 'Occupation';
$GV_TAG['EMIG']  = 'Emmigration';
$GV_TAG['IMMI']  = 'Immigration';
$GV_TAG['NAME']  = 'Other Name';
$GV_TAG['OCCU']  = 'Occupation';
$GV_TAG['RELI']  = 'Religion';
$GV_TAG['RESI']  = 'Residence';
$GV_TAG['TITL']  = 'Title or Honorific';

//Admin area //
define( 'GV_ADMIN_DATABASE' , 'Database' );
define( 'GV_ADMIN_LOAD' , 'Load a database' );
define( 'GV_ADMIN_MANAGE' , 'Manage databases' );
define( 'GV_ADMIN_GENERAL' , 'General' );
define( 'GV_ADMIN_MODULES' , 'Modules admin' );
define( 'GV_ADMIN_GLOBAL' , 'Global settings' );
define( 'GV_ADMIN_UNINSTALL' , 'Uninstall Poplar' );
define( 'GV_ADMIN_PHPINFO' , 'PHP Info' );
define( 'GV_ADMIN_UPDATES' , 'Check for updates' );
define( 'GV_ADMIN_CONTACT' , 'Contact' );
define( 'GV_ADMIN_EDIT' , 'Edit Genealogy' );
define( 'GV_ADMIN_SEARCH_NAME' , 'Search Name' );

define( 'GV_FNAME' , 'First Name' );
define( 'GV_LNAME' , 'Last Name' );
define( 'GV_GENDR' , 'Gender' );
define( 'GV_BIRTH_RANGE' , 'Birth Range' );
define( 'GV_BIRTH_DATE' , 'Birth Date' );
define( 'GV_BIRTH_PHRASE' , 'Birth Phrase' );
define( 'GV_BIRTH_PLACE' , 'Birth Place' );
define( 'GV_DEATH_RANGE' , 'Death Range' );
define( 'GV_DEATH_DATE' , 'Death Date' );
define( 'GV_DEATH_PHRASE' , 'Death Phrase' );
define( 'GV_DEATH_PLACE' , 'Death Place' );
define( 'GV_DEATH_CAUS' , 'Death Cause' );
define( 'GV_NO_IND_NOTE' , 'No Individual Note for ' );
define( 'GV_NAME' , 'Name' );
define( 'GV_BIRTH_DATE' , 'Birth Date' );
define( 'GV_INDIVIDUAL' , 'Individual' );
define( 'GV_IND_NOTE' , 'Ind.Note' );
define( 'GV_SP_NOTES' , 'Spouse Info' );
define( 'GV_FACTS' , 'Facts' );
define( 'GV_INSERT' , 'Insert' );
define( 'GV_EDIT' , 'Edit' );
define( 'GV_CHANGE' , 'Change' );
define( 'GV_DELETE' , 'Delete' );
define( 'GV_CHOOSE' , 'Choose' );
define( 'GV_SAVE_CHANGES' , 'Save' );
define( 'GV_ADD_FACTS' , 'Additional Facts: ' );
define( 'GV_NO_ADD_FACTS' , 'No Additional Facts: ' );
define( 'GV_TAG_NAME' , 'Fact Name' );
define( 'GV_TAG_RANGE' , 'Fact Range' );
define( 'GV_TAG_DATE' , 'Fact Date' );
define( 'GV_TAG_PHRASE' , 'Date Phrase' );
define( 'GV_TAG_PLACE' , 'Fact Place' );
define( 'GV_FAM_ID' , 'Family ID' );
define( 'GV_FATHER_ID' , 'Fathers ID' );
define( 'GV_MOTHER_ID' , 'Mothers ID' );
define( 'GV_WEDDING_RANGE' , 'Wedding Range' );
define( 'GV_WEDDING_DATE' , 'Wedding Date' );
define( 'GV_WEDDING_PHRASE' , 'Wedding Phrase' );
define( 'GV_WEDDING_PLACE' , 'Wedding Place' );
define( 'GV_DIVORCE_RANGE' , 'Divorce Range' );
define( 'GV_DIVORCE_DATE' , 'Divorce Date' );
define( 'GV_DIVORCE_PHRASE' , 'Divorce Phrase' );
define( 'GV_DIVORCED' , 'Divorced' );
define( 'GV_SPOUSE_OF' , 'Spouse(s) of' );
define( 'GV_CHILD' , 'Child' );
define( 'GV_CHILDREN' , 'Children' );
define( 'GV_CHILDREN_OF' , 'Children of' );
define( 'GV_EDIT_FAMILY' , 'Edit Family' );
define( 'GV_ADD_SPOUSE' , 'Add Spouse' );
define( 'GV_ADD_TO_FAM' , 'Add to Family' );
define( 'GV_DEL_FROM_FAM' , 'Del From Fam' );
define( 'GV_CHILD_ID' , 'New Child ID' );
define( 'GV_CHILD_LIST' , 'Child List' );
define( 'GV_ADDED_TO_FAM' , 'Added to family' );
define( 'GV_CHILD_REM_FROM_FAM' , 'Child removed from family' );
define( 'GV_SEARCH_SPEC' , 'Enter Search Spec' );

?>