<?php

// Charset to be used

$pgv->setCharset( 'iso-8859-1' );

// Welcome page

define( 'GV_INDEX_NO_TABLE' , 'No indexed table.' );
define( 'GV_GENEALOGY' , 'Genealogia' );
define( 'GV_LIST' , 'Muut sukutaulut :' );
define( 'GV_ADMINISTRATOR' , 'Admin' );
define( 'GV_OWNER' , 'Contact : %1%' );
define( 'GV_OWNER_WEBSITE' , 'Website : %1%' );
define( 'GV_GLOBAL_INDEX' , 'Yleinen indeksi' );
define( 'GV_HOME' , 'Takaisin etusivulle' );
define( 'GV_HOME_1' , 'Genalogisessa tietokannassa %1% henkil&ouml;tietuetta, %2% perhett&auml; ja %3% sukunime&auml;.' );
define( 'GV_HOME_2' , 'T&auml;ss&auml; genalogisessa tietokannassa %1% henkil&ouml;tietuetta ja %2% sukunime&auml;.' );
define( 'GV_SURNAMES' , 'Sukunimet' );
define( 'GV_STATS' , 'Statistiikka' );
define( 'GV_SEARCH' , 'Haun tulokset' );

// Common pages

define( 'GV_GENDER' , 'Sukupuoli : %1%' );
define( 'GV_GENDER_M' , 'mies' );
define( 'GV_GENDER_F' , 'nainen' );
define( 'GV_GENDER_U' , 'unknown' ); //translate
define( 'GV_BIRTH' , 'Syntynyt : %1%' );
define( 'GV_DEATH' , 'Kuollut : %1%' );
define( 'GV_DEATH_CAUSE' , 'Cause : %1%' ); //translate
define( 'GV_BURIAL' , 'Burial : %1%' ); //translate
define( 'GV_OCCUPATION' , 'Ammatti : %1%' );
define( 'GV_COMMENTS_INDIV' , 'Tietoja henkil&ouml;st&auml;' );
define( 'GV_FACTS_INDIV' , 'Additional facts' ); //translate
define( 'GV_COMMENTS_COUPLE' , 'Tietoja parista' );
define( 'GV_COMMENTS_MORE' , 'Lis&auml;&auml;' );
define( 'GV_PARENTS' , 'Vanhemmat' );
define( 'GV_NO_PARENTS' , 'Tietueita ei tietokannassa' );
define( 'GV_FATHER' , 'Is&auml; : %1%' );
define( 'GV_MOTHER' , '&auml;iti : %1%' );
define( 'GV_WEDDING' , 'H&auml;&auml;t : %1%' );
define( 'GV_DIVORCE' , 'Ero : %1%' );
define( 'GV_SPOUSE' , 'Aviopuoliso' );
define( 'GV_NO_SPOUSE' , 'Ei aviopuolisoa' );
define( 'GV_CHILDREN' , 'Lapset' );
define( 'GV_NO_CHILD' , 'Ei lapsia' );
define( 'GV_SURNAMES_LIST' , 'Sukunimilista' );
define( 'GV_NO_SURNAME' , 'Henkil&ouml;t ilman sukunime&auml;' );
define( 'GV_INDIVIDUALS' , '%1% henkil&ouml;&auml;' );
define( 'GV_20_SURNAMES' , '20 most common surnames' );
define( 'GV_20_WEDDING' , '20 viimeisint&auml; h&auml;&auml;t&auml;' );
define( 'GV_20_BIRTH' , '20 viimeisint&auml; syntym&auml;&auml;' );
define( 'GV_20_OLDER' , '20 vanhinta elossa olevaa henkil&ouml;&auml;' );
define( 'GV_SEARCH_REQUEST' , 'Hakusana' );
define( 'GV_SEARCH_PREVIOUS' , 'Edelliset' );
define( 'GV_SEARCH_NEXT' , 'Seuraavat' );
define( 'GV_SEARCH_RESULTS' , 'Tulokset %1%-%2% out of %3%.' );
define( 'GV_SEARCH_NORESULT' , 'Hakusanallasi ei l&ouml;ytynyt yht&auml;&auml;n tietuetta.' );
define( 'GV_SEARCH_WRONG' , 'Hakusanan tulee olla v&auml;hint&auml;&auml;n yhden kirjaimen mittainen...' );
define( 'GV_SEARCH_LABEL' , 'Nopea haku' );
define( 'GV_SEARCH_BUTTON_LABEL' , 'Hae' );
define( 'GV_INFO' , 'Tiedot' );
define( 'GV_ADVANCED_SEARCH_LABEL'  , 'Advanced search' );
define( 'GV_APPROXIMATIVE_SEARCH'  , 'Try an approximative search?' );
define( 'GV_COMMENTS'  , 'Notes : %1%' );
define( 'GV_FIRST_NAME'  , 'First name : %1%' );
define( 'GV_LAST_NAME'  , 'Last name : %1%' );
define( 'GV_LIVING_PERSON' , 'Living Person' ); //translate

// Month names

define( 'GV_JAN' , 'tammikuuta' );
define( 'GV_FEB' , 'helmikuuta' );
define( 'GV_MAR' , 'maaliskuuta' );
define( 'GV_APR' , 'huhtikuuta' );
define( 'GV_MAY' , 'toukokuuta' );
define( 'GV_JUN' , 'kes&auml;kuuta' );
define( 'GV_JUL' , 'hein&auml;kuuta' );
define( 'GV_AUG' , 'elokuuta' );
define( 'GV_SEP' , 'syyskuuta' );
define( 'GV_OCT' , 'lokakuuta' );
define( 'GV_NOV' , 'marraskuuta' );
define( 'GV_DEC' , 'joulukuuta' );

$GV_DATE['ABT'] = 'noin %1%';
$GV_DATE['CAL'] = '%1% (laskettu)';
$GV_DATE['EST'] = '%1% (arviolta)';
$GV_DATE['BEF'] = 'ennen %1%';
$GV_DATE['AFT'] = 'j&auml;lkeen %1%';
$GV_DATE['BET'] = '%1% ja %2% v&auml;liss&auml;';

//Tag labels for facts//

$GV_TAG['_MILT'] = 'Military Service'; //tranlate
$GV_TAG['_NAMS'] = 'Namesake'; //tranlate
$GV_TAG['ALIA']  = 'Alias'; //tranlate
$GV_TAG['BAPM']  = 'Baptism'; //tranlate
$GV_TAG['BIRT']  = 'Other Birth Date'; //tranlate
$GV_TAG['BURI']  = 'Burial'; //translate
$GV_TAG['CHR']   = 'Christening'; //tranlate
$GV_TAG['DEAT']  = 'Other Death Date'; //tranlate
$GV_TAG['EDUC']  = 'Occupation'; //tranlate
$GV_TAG['EMIG']  = 'Emmigration'; //tranlate
$GV_TAG['IMMI']  = 'Immigration'; //tranlate
$GV_TAG['NAME']  = 'Other Name'; //tranlate
$GV_TAG['OCCU']  = 'Occupation'; //tranlate
$GV_TAG['RELI']  = 'Religion'; //tranlate
$GV_TAG['RESI']  = 'Residence'; //tranlate
$GV_TAG['TITL']  = 'Title or Honorific'; //tranlate

//Admin area //
define( 'GV_ADMIN_DATABASE' , 'Database' ); //tranlate
define( 'GV_ADMIN_LOAD' , 'Load a database' ); //tranlate
define( 'GV_ADMIN_MANAGE' , 'Manage databases' ); //tranlate
define( 'GV_ADMIN_GENERAL' , 'General' ); //tranlate
define( 'GV_ADMIN_MODULES' , 'Modules admin' ); //tranlate
define( 'GV_ADMIN_GLOBAL' , 'Global settings' ); //tranlate
define( 'GV_ADMIN_UNINSTALL' , 'Uninstall Poplar' ); //tranlate
define( 'GV_ADMIN_PHPINFO' , 'PHP Info' ); //tranlate
define( 'GV_ADMIN_UPDATES' , 'Check for updates' ); //tranlate
define( 'GV_ADMIN_CONTACT' , 'Contact' ); //tranlate
define( 'GV_ADMIN_EDIT' , 'Edit Genealogy' ); // please translate
define( 'GV_ADMIN_SEARCH_NAME' , 'Search Name' ); // please translate

define( 'GV_FNAME' , 'First Name' ); // please translate
define( 'GV_LNAME' , 'Last Name' ); // please translate
define( 'GV_GENDR' , 'Gender' ); // please translate
define( 'GV_BIRTH_RANGE' , 'Birth Range' ); // please translate
define( 'GV_BIRTH_DATE' , 'Birth Date' ); // please translate
define( 'GV_BIRTH_PHRASE' , 'Birth Phrase' ); // please translate
define( 'GV_BIRTH_PLACE' , 'Birth Place' ); // please translate
define( 'GV_DEATH_RANGE' , 'Death Range' ); // please translate
define( 'GV_DEATH_DATE' , 'Death Date' ); // please translate
define( 'GV_DEATH_PHRASE' , 'Death Phrase' ); // please translate
define( 'GV_DEATH_PLACE' , 'Death Place' ); // please translate
define( 'GV_DEATH_CAUS' , 'Death Cause' ); // please translate
define( 'GV_NO_IND_NOTE' , 'No Individual Note for ' ); // please translate
define( 'GV_NAME' , 'Name' ); // please translate
define( 'GV_BIRTH_DATE' , 'Birth Date' ); // please translate
define( 'GV_INDIVIDUAL' , 'Individual' ); // please translate
define( 'GV_IND_NOTE' , 'Ind.Note' ); // please translate
define( 'GV_SP_NOTES' , 'Couple Notes' ); // please translate
define( 'GV_FACTS' , 'Facts' ); // please translate
define( 'GV_EDIT' , 'Edit' ); // please translate
define( 'GV_CHANGE' , 'Change' ); // please translate
define( 'GV_CHOOSE' , 'Choose' ); // please translate
define( 'GV_SAVE_CHANGES' , 'Save Changes' ); // please translate
define( 'GV_ADD_FACTS' , 'Additional Facts: ' ); // please translate
define( 'GV_NO_ADD_FACTS' , 'No Additional Facts: ' ); // please translate
define( 'GV_TAG_NAME' , 'Fact Name' ); // please translate
define( 'GV_TAG_RANGE' , 'Fact Range' ); // please translate
define( 'GV_TAG_DATE' , 'Fact Date' ); // please translate
define( 'GV_TAG_PHRASE' , 'Date Phrase' ); // please translate
define( 'GV_TAG_PLACE' , 'Fact Place' ); // please translate
define( 'GV_INSERT' , 'Insert' ); // please translate
define( 'GV_DELETE' , 'Delete' ); // please translate
?>