<?php
/*
 * Poplar Gedcom Viewer
 * Copyright (C) 2002-2003 Nicolas de Vulpian
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/*
 * Rewritten 10/2003 for v.2 compatibility
 * changes Copyright 2003 by J.R.Grotjan
*/
?>
<?php
$module['name']  = 'Get Gedcom';
$module['action']  = 'Enables the gedcom files to be published';
$module['description']  = 'That module will add an item in the visitor\'s front end, allowing him to download the gedcom source file';
$module['author']  = 'Nicolas de Vulpian';
$module['version']  = 'v2.0';
$module['isactivable']  = true;
$module['pages']  = 'all-';
$module['admin'] = true;
$module['interface'] = true;
$module['silent'] = false;
$module['table']  = $this->moduleTable( 'download' );
$module['install']  = 'CREATE TABLE IF NOT EXISTS '.$this->moduleTable( 'download' ).' ('
            .'dID INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,'
            .'dname VARCHAR(90),'
            .'PRIMARY KEY (dID)'
            .')';
$module['populate']  = '';
$module['uninstall']  = 'DROP TABLE '.$this->moduleTable( 'download' );

$result = $db->Execute( 'SELECT name FROM '.$this->table['modules']
.' WHERE name = \'download\'' );
if ( $result === false ) { die( 'Failed to select download from '
.$this->table['modules'] ); }

if ( !$result->EOF ) {
    $result = $db->Execute( 'SELECT dname FROM '.$this->moduleTable( 'download' )
    .' WHERE dname = \''.$this->context['genName'].'\'' );
    if ( $result === false ) { die( 'Failed to select from '.$this->moduleTable( 'download' ) ); }
    $module['authorized'] = !$result->EOF; // this controls whether the module will be displayed in the current genealogy
}
?>