<?php
/*
 * Poplar Gedcom Viewer
 * Copyright (C) 2002-2003 Nicolas de Vulpian
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/*
 * Rewritten 10/2003 for v.2 compatibility
 * changes Copyright 2003 by J.R.Grotjan
*/

?>
<?php
$pgv->setMainMenuTitle( GV_MODULE_GUESTBOOK_NAME );

switch ( $_GET['step'] ) {
    case '1' :
        $pgv_module_guestbook['form'] = '<form action=\''.$pgv->environment['rootUrl'].'/index.php\' method=\'get\'>'
            .'<input type=\'hidden\' name=\'genID\' value=\''.$pgv->context['genID'].'\' />'
            .'<input type=\'hidden\' name=\'page\' value=\'module\' />'
            .'<input type=\'hidden\' name=\'module\' value=\'guestbook\' />'
            .'<input type=\'hidden\' name=\'id\' value=\''.$pgv->context['indID'].'\' />'
            .'<input type=\'hidden\' name=\'ul\' value=\''.$pgv->context['ul'].'\' />'
            .'<input type=\'hidden\' name=\'step\' value=\'2\' />'
            .'<table>'
            .'<tr><td>'.GV_MODULE_GUESTBOOK_AUTHOR.' *</td><td>'.'<input type=\'text\' name=\'author_name\' /></td></tr>'
            .'<tr><td>'.GV_MODULE_GUESTBOOK_EMAIL.'</td><td>'.'<input type=\'text\' name=\'author_email\' /></td></tr>'
            .'<tr><td>'.GV_MODULE_GUESTBOOK_TITLE.'</td><td>'.'<input type=\'text\' name=\'message_subject\' /></td></tr>'
            .'</table><br />'
            .'<textarea name=\'message_body\' cols=\'50\' rows=\'10\' /></textarea><br /><br />'
            .'<input type=\'submit\'>'
            .'</form>';
        break;

    case '2' :
        if ( $_SERVER ) {
            if ( $_SERVER['HTTP_X_FORWARDED_FOR'] ) {
                $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
            } elseif ( $_SERVER['HTTP_CLIENT_IP'] ) {
                $ip = $_SERVER['HTTP_CLIENT_IP'];
            } else {
                $ip = $_SERVER['REMOTE_ADDR'];
            }
        } else {
            if ( getenv( 'HTTP_X_FORWARDED_FOR' ) ) {
                $ip = getenv( 'HTTP_X_FORWARDED_FOR' );
            } elseif ( getenv( 'HTTP_CLIENT_IP' ) ) {
                $ip = getenv( 'HTTP_CLIENT_IP' );
            } else {
                $ip = getenv( 'REMOTE_ADDR' );
            }
        }

        $record = false;

        if ( ( empty( $_GET['author_name'] ) ) OR ( empty( $_GET['message_body'] ) ) ) {
            $pgv_module_guestbook['finish'] = GV_MODULE_GUESTBOOK_BACK.'<br />';
            if ( empty( $_GET['author_name'] ) ) {
                $pgv_module_guestbook['finish'] .= GV_MODULE_GUESTBOOK_BACK_NAME.'<br />';
            }
            if ( empty( $_GET['message_body'] ) ) {
                $pgv_module_guestbook['finish'] .= GV_MODULE_GUESTBOOK_BACK_MESSAGE.'<br />';
            }
        } else {
            $result = $db->Execute( 'INSERT INTO '.$pgv->moduleTable( 'guestbook_text' )
            .' VALUES ( NULL , \''.$pgv->context['genID'].'\' , \''
            .addslashes( htmlentities( $_GET['author_name'] ) ).'\' , \''
            .$_GET['author_email'].'\' , \''.$ip.'\' , NOW() , \''
            .addslashes( htmlentities( $_GET['message_subject'] ) ).'\' , \''
            .addslashes( htmlentities( $_GET['message_body'] ) ).'\' )' );

        $pgv->getUrl();
        $pgv->setUrl( 'step' , '' );

            $pgv_module_guestbook['finish'] .= GV_MODULE_GUESTBOOK_RECORDED.'<br />';
            $pgv_module_guestbook['finish'] .= $pgv->makeLink( GV_MODULE_GUESTBOOK_END );
        }
        break;

    default :

        $result = $db->Execute( 'SELECT count(gtID) AS count FROM '
        .$pgv->moduleTable( 'guestbook_text' ).' WHERE genID = \''
        .$pgv->context['genID'].'\'' );
        if ( $result === false ) { die( 'Failed to select * from '
        .$pgv->moduleTable( 'guestbook_text' ) ); }

        $pgv_module_guestbook['nbmessages'] = fill( GV_MODULE_GUESTBOOK_NBMESSAGES , $result->fields['count'] );
        $pgv_module_guestbook['submitform'] = '<form action=\''.$pgv->environment['rootUrl'].'/index.php\' method=\'get\'>'
            .'<input type=\'hidden\' name=\'genID\' value=\''.$pgv->context['genID'].'\' />'
            .'<input type=\'hidden\' name=\'page\' value=\'module\' />'
            .'<input type=\'hidden\' name=\'module\' value=\'guestbook\' />'
            .'<input type=\'hidden\' name=\'id\' value=\''.$pgv->context['indID'].'\' />'
            .'<input type=\'hidden\' name=\'ul\' value=\''.$pgv->context['ul'].'\' />'
            .'<input type=\'hidden\' name=\'step\' value=\'1\' />'
            .'<input type=\'submit\' value=\''.GV_MODULE_GUESTBOOK_PROPOSE.'\'>'
            .'</form>';


        $result = $db->Execute( 'SELECT * FROM '.$pgv->moduleTable( 'guestbook_text' )
        .' WHERE genID = \''.$pgv->context['genID'].'\' ORDER BY message_date DESC' );
        if ( $result === false ) { die( 'Failed to select * from '
        .$pgv->moduleTable( 'guestbook_text' ) ); }

        $i = 0;
        while ( !$result->EOF ) {
            $pgv_module_guestbook['messages'][$i]['subject'] = stripslashes( $result->fields['message_subject'] );

            if ( !empty( $result->fields['author_name'] )
                && !empty( $result->fields['author_email'] ) ) {

                $pgv_module_guestbook['messages'][$i]['author'] = GV_MODULE_GUESTBOOK_AUTHOR.'<a href=\'mailto:'.$result->fields['author_email'].'\'>'.stripslashes( $result->fields['author_name'] ).'</a>';
            }
            if ( !empty( $result->fields['author_name'] )
                && empty( $result->fields['author_email'] ) ) {

                $pgv_module_guestbook['messages'][$i]['author'] = GV_MODULE_GUESTBOOK_AUTHOR.stripslashes( $result->fields['author_name'] );
            }
            if ( empty( $result->fields['author_name'] )
                && !empty( $result->fields['author_email'] ) ) {

                $pgv_module_guestbook['messages'][$i]['author'] = GV_MODULE_GUESTBOOK_AUTHOR.'<a href=\'mailto:'.$result->fields['author_email'].'\'>'.$result->fields['author_email'].'</a>';
            }
            $pgv_module_guestbook['messages'][$i]['date'] = $result->fields['message_date'];
            $pgv_module_guestbook['messages'][$i]['body'] = nl2br( stripslashes( $result->fields['message_body'] ) );

            $i++;
            $result->MoveNext();
        }
        break;
}
$theme->assign( 'pgv_module_guestbook' , $pgv_module_guestbook );
?>