<?php
/*
 * PHP Gedcom Viewer
 * Copyright (C) 2002-2003 Nicolas de Vulpian
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
?>
<?php
$module['name']  = M_TREE_NAME;
$module['action']  = 'Draw a family tree';
$module['description']  = 'Draws a family tree';
$module['author']  = 'J.R.Grotjan';
$module['version']  = 'v2.0';
$module['isactivable']  = true;
$module['pages']  = 'ind';
$module['admin'] = true;
$module['interface'] = true;
$module['silent'] = false;
$module['table']  = $this->moduleTable( 'tree' );
$module['install']  = 'CREATE TABLE IF NOT EXISTS '.$this->moduleTable( 'tree' ).' ('
            .'bigx SMALLINT,'
            .'smallx SMALLINT,'
            .'y SMALLINT'
            .')';
$module['populate']  = 'INSERT INTO '.$this->moduleTable( 'tree' ).' VALUES ( 90 , 10 , 40 )';
$module['uninstall']  = 'DROP TABLE '.$this->moduleTable( 'tree' );
$module['authorized'] = true;
?>