<?php
/*
 * PHP Gedcom Viewer
 * Copyright (C) 2002-2003 Nicolas de Vulpian
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/*
 * PHP Gedcom Viewer Tree Module v.2.0
 * Copyright (C) 2003 by James R Grotjan
 * 
*/
?>
<?php

include_once( $pgv->environment['rootPath'].'/modules/'.$pgv->context['module'].'/module_functions.php' );

$pgv->setMainMenuTitle( M_TREE_NAME );

$pgv->getUrl();
$pgv->setUrl( 'page' , 'ind' );
$pgv->setUrl( 'module' , '' );
$maxgen = $_GET['maxg'];
if ($maxgen < 2) $maxgen = 3;

echo '<div>'
    .$pgv->makeLink( M_TREE_PLAIN_VIEW ).'</font></div>';

echo '<form action=\''.$pgv->environment['rootUrl'].'/index.php\' method=\'GET\'>'
    .'<input type=\'hidden\' name=\'genID\' value=\''.$_GET['genID'].'\' />'
    .'<input type=\'hidden\' name=\'page\' value=\'module\' />'
    .'<input type=\'hidden\' name=\'module\' value=\'tree\' />'
    .'<input type=\'hidden\' name=\'ul\' value=\''.$_GET['ul'].'\' />'
    .'<input type=\'hidden\' name=\'id\' value=\''.$_GET['id'].'\' />'
    .M_TREE_GENERATIONS.':<input type=\'text\' name=\'maxg\' value=\''.$maxgen
    .'\' size=\'2\' /><input type=\'submit\'></form>';

// 1st generation = selected individual
    $ind = new individual( $pgv->context['genID'] , $pgv->context['indID'] );
    $ind->getIndividual();
    if ( $ind->getParents() ) {
      $fid = $ind->parents[0]->indID;
    }
    add_tree_ind( $_GET['genID'] , $_GET['id'], $fid, 0, 1);   //get 1st generation family to tree
    // subsequent generation //ea. gen = children of prev. gen//
    for ($g = 2; $g <= $maxgen; $g++) {                       //cycle thru ea. desired gen
        //for each ind in the prev. gen, get all children and add to tree
        for ($i = 0; $i < count($tree[$g-1]); $i++){          //for each ind in prev. gen

            if ( $tree[$g-1][$i]['spouseCount'] >> 0 ){
                for ($s = 0; $s < $tree[$g-1][$i]['spouseCount']; $s++){  //for ea. spouse of ind
                    $ss = $s+1;                           //change from offset=0 to offset=1
                    if ( $tree[$g-1][$i]['gender'] == 'M' ){   //pri. ind. of prev. gen.=Male
                        $fid = $tree[$g-1][$i]['ID'];
                        $mid = $tree[$g-1][$i+$ss]['ID'];      //and lets hope the spouse=Female
                        $pg = 'M';
                    }else{                                     //else pri.ind.is a woman
                        $mid = $tree[$g-1][$i]['ID'];
                        $fid = $tree[$g-1][$i+$ss]['ID'];      //and lets hope the spouse=Male
                        $pg = 'F';
                    }

                    $childCount = get_tree_child( $_GET['genID'] , $fid, $mid, $g, $tree[$g-1][$i][spouseCount], $ss, $pg ); //get children for this couple and add them to the tree
                    $tree[$g-1][$i+$ss]['childCount'] = $childCount;  //childcount for spouse
                }
            }
        }
    }

    show_table( $maxgen );

?>