<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
    <head>
        <title>{$pgv_context.pageTitle}</title>
        <!-- This will tell the browser which charset should be used -->
        <meta http-equiv='Content-Type' content='text/html; charset={$pgv_context.charset}'>
        <!-- This will include the CSS -->
        <link rel='stylesheet' type='text/css' href='{$pgv_environment.rootUrl}/themes/{$pgv_context.theme}/style.css'>
        <!-- This will include the javascript used to display dhtml pop-up boxes-->
    </head>
    <body>
        <div align='center'>
            <!-- This will displays the languages flags -->
            {foreach item=flag from=$pgv_flags}
                {$flag}
            {/foreach}
        </div>
        <table width='100%' class='principal' cellpadding='12'     background='{$pgv_environment.rootUrl}/themes/{$pgv_context.theme}/pictures/paper.jpg'>
            <tr>
                <td colspan='2'  style='border-bottom : 1px solid #339933;'>
                    <img src='{$pgv_environment.rootUrl}/themes/{$pgv_context.theme}/pictures/books.gif' align='left'>
                    <img src='{$pgv_environment.rootUrl}/themes/{$pgv_context.theme}/pictures/books2.gif' align='right'>
                    <!-- This will display the title of the genealogy -->
                    <div class='title'>{$pgv_context.genTitle}</div>
                    <div class='title2'>{$pgv_context.mainMenuTitle}</div>
                </td>
            </tr>
            <tr>
                <td width='50%' style='border-right : 1px solid #339933;'>
                    <table width='100%'>
                        <tr>
                            <td valign='top' class='title5'>
                                <!-- This will display the main menu links -->
                                <img src='{$pgv_environment.rootUrl}/themes/{$pgv_context.theme}/pictures/snirk1.gif' align='left'>
                                Genealogy&nbsp;Database<br />
                                {foreach item=main_menu_link from=$pgv_main_menu_links}
                                    {$main_menu_link}
                                {/foreach}
                            </td>
                        </tr>
                    </table>
                </td>
                <td width='50%'>
                    <table width='100%'>
                        <tr>
                            <td valign='top'>
                                <!-- This will display the contextual menu links -->
                                {foreach item=context_menu_link from=$pgv_context_menu_links}
                                    {$context_menu_link}<br />
                                {/foreach}
                            </td>
                            <td valign='top' align='right'>
                                <!-- This will display the modules menu links -->
                                {foreach item=modules_menu_link from=$pgv_modules_menu_links}
                                    {$modules_menu_link}
                                {/foreach}
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td colspan='2' style='border-top : 1px solid #339933;'>
                    <div align='right' style='font-size:11px'>
                        <!-- The administrator's e-mail -->
                        {$pgv_admin_contact}
                    </div>
                        <!-- This will include the content of the required page -->
                        {if not ($pgv_context.isModule)}
                            {include file=file:$pgv_include}
                        {else}
                            {if $pgv_context.hasModuleTheme}
                                {include file=file:$pgv_include}
                            {else}
                                {$pgv_module_buffer}
                            {/if}
                        {/if}
                    <br /><br /><br />
                    <div align='right'>
                        {$pgv_logo}
                        <br><font size='1'>Archive Theme by <a href='http://www.poplargedcomviewer.com/userinfo.php?uid=12' target='_blank'><font size='1'>Jorgen</font></a></font>
                    </div>
                </td>
            </tr>
        </table>
        <!-- The genealogy owner contact -->
        <div align='center' style='font-size:12px'>
            {$pgv_owner.contact}<br />
            {$pgv_owner.website}
        </div>
        <div id='navtxt' class='navtext' style='position:absolute; top:-100px; left:0px; visibility:hidden'></div>
    </body>
</html>
