<?php
/*
 * Poplar Gedcom Viewer
 * Copyright (C) 2002-2003 Nicolas de Vulpian
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/*
 * Extensively rewritten 10/2003
 * changes Copyright 2003 by J.R.Grotjan
*/
?>
<?php

unset( $module );

switch ( $_GET['option'] ) {
    case 'admin' :
        $pgv->getModule( $_GET['module'] );

        echo '<b>'.$pgv->module['name'].' '.$pgv->module['version'].'</b> by '.$pgv->module['author'].'<br /><br />';
        echo 'Description : '.$pgv->module['description'].'<br />';
        echo '___________________________________<br /><br />';

        include_once( $pgv->environment['rootPath'].'/modules/'.$_GET['module'].'/module_admin.php' );
        break;

    case 'enable' :

        $pgv->getModule( $_GET['module'] );

        $enable = true;
        if ( !empty( $pgv->module['install']  ) ) {
            $sql = explode( ';' , $pgv->module['install'] );
            foreach ( $sql as $key=>$value ) {
                if ( !empty( $value ) ) {
                    $result = $db->Execute( $value );
                    if ( $result === false ) { $disable = false; }
                }
            }
        }
        if ( !empty( $pgv->module['populate']  ) ) {
            $sql = explode( ';' , $pgv->module['populate'] );
            foreach ( $sql as $key=>$value ) {
                if ( !empty( $value ) ) {
                    $result = $db->Execute( $value );
                    if ( $result === false ) { $disable = false; }
                }
            }
        }
        $result = $db->Execute( 'INSERT INTO '.$pgv->table['modules'].' VALUES ( \'\' , \''.$_GET['module'].'\' )' );
        if ( $result === false ) { $enable = false; }

        if ( $enable == false ) {
            echo 'Failed to install '.$pgv->module['name'].'<br />';
        } else {
            echo $pgv->module['name'].' successfully installed!<br />';
        }
        break;

    case 'disable' :

        $pgv->getModule( $_GET['module'] );

        $disable = true;
        if ( !empty( $pgv->module['uninstall']  ) ) {
            $sql = explode( ';' , $pgv->module['uninstall'] );
            foreach ( $sql as $key=>$value ) {
                if ( !empty( $value ) ) {
                    $result = $db->Execute( $value );
                    if ( $result === false ) { $disable = false; }
                }
            }
        }

        $result = $db->Execute( 'DELETE FROM '.$pgv->table['modules'].' WHERE name = \''.$_GET['module'].'\'' );
        if ( $result === false ) { $disable = false; }

        if ( $disable == false ) {
            echo 'Failed to uninstall '.$pgv->module['name'].'<br />';
        } else {
            echo $pgv->module['name'].' successfully uninstalled!<br />';
        }
        break;

    default :

        echo '<table>';
        foreach ( $pgv->getModules() as $key=>$module ) {
            if ( $module['isactivable']
            || $module['admin'] ) {
                $result = $db->Execute( 'SELECT * FROM '.$pgv->table['modules'].' WHERE name = \''.$module['file'].'\'' );
                if ( $result === false ) die( 'failed isactive' );

                echo '<tr><td>'
                    .'<img src=\''.$pgv->environment['rootUrl'].'/modules/'.$module['file'].'/pictures/icon.gif\' border=\'0\' />'
                    .'</td>';

                echo '<td>';
                if ( ( !$result->EOF )
                    AND ( $module['admin'] ) ) {
                    echo '<a href=\''.$pgv->environment['rootUrl'].'/admin/index.php?action=modules&module='.$module['file'].'&option=admin&'.session_name().'='.session_id().'\'>'.$module['name'].'</a>';
                } else {
                    echo $module['name'] ;
                }
                echo '</td>';

                echo '<td align=\'center\'>';
                if ( $module['isactivable']  ) {
                    if ( !$result->EOF ) {
                        echo '<a href=\''.$pgv->environment['rootUrl'].'/admin/index.php?action=modules&module='.$module['file'].'&option=disable&'.session_name().'='.session_id().'\'>Disable</a>';
                    } else {
                        echo '<a href=\''.$pgv->environment['rootUrl'].'/admin/index.php?action=modules&module='.$module['file'].'&option=enable&'.session_name().'='.session_id().'\'>Enable</a>';
                    }
                } else {
                    echo '-';
                }
                echo '</td></tr>';
            }
        }
        echo '</table>';
        break;
}
?>