<?php
/*
 * Poplar Gedcom Viewer
 * Copyright (C) 2002-2003 Nicolas de Vulpian
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/*
 * Extensively rewritten 10/2003
 * changes Copyright 2003 by J.R.Grotjan
*/
?>
<?php
switch ( $_GET['step'] ) {

    case '1' :
        // removes data tables

        $tables_array = array( $pgv->table['individuals'] , $pgv->table['families'] , $pgv->table['comments'] , $pgv->table['facts'] );
        foreach ( $tables_array as $table ) {
            $uninstall[] = 'DROP TABLE '.$table;
        }

        // removes core and module tables

        $tables_array = array( $pgv->table['info'] , $pgv->table['settings'] , $pgv->table['modules'] );
        foreach ( $tables_array as $table ) {
            $uninstall[] = 'DROP TABLE '.$table;
        }
        $ADODB_FETCH_MODE = ADODB_FETCH_NUM;
        $query = 'SHOW TABLES LIKE \''.$pgv->environment['dbPrefix'].'\_module\_%\'';
        $result = $db->Execute( $query );
        $ADODB_FETCH_MODE = ADODB_FETCH_ASSOC;

        while ( !$result->EOF ) {
            $uninstall[] = 'DROP TABLE '.$pgv->moduleTable( str_replace( $pgv->environment['dbPrefix'].'_module_' , '' , $result->fields[0] ) );

            $result->MoveNext();
        }

        foreach ( $uninstall as $query ) {
            $result = $db->Execute( $query );
            echo ++$i.' : '.$query;

            if ( $result === false ) {
                    echo ' <b><font color=\'#ff0000\'>ERROR</font></b><br />';
                } else {
                    echo ' <b><font color=\'#00ff00\'>OK</font></b><br />';
            }
        }

        echo '<br />Please run the install script again to recreate core tables.';
        break;

    default :
        echo '<br />This will uninstall every core PHP Gedcom Viewer tables, and every generated tables. Be careful...<br />'
            .'<form name=\'uninstall\' method=\'get\' action=\''.$pgv->environment['rootUrl'].'/admin/index.php\'>'
            .'<input type=\'hidden\' name=\'action\' value=\'uninstall\' />'
            .'<input type=\'hidden\' name=\'step\' value=\'1\' />'
            .'<input type=\'submit\' value=\'Uninstall\' />'
            .'<input type=\'hidden\' name=\''.session_name().'\' value=\''.session_id().'\' />'
            .'</form>';
        break;
}

?>