<?php
/*
 * Poplar Gedcom Viewer
 * Copyright (C) 2002-2003 Nicolas de Vulpian
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/*
 * Extensively rewritten 10/2003
 * changes Copyright 2003 by J.R.Grotjan
*/
?>
<?php
    // Displays surnames list

    $pgv->setMainMenuTitle( GV_SURNAMES_LIST );
    
    if ( $pgv->context['isGen'] ) {
        $query = 'SELECT name , count( name ) AS nb FROM '
        .$pgv->table['individuals']
        .' WHERE genID = '.$pgv->context['genID'].' AND LEFT( name , 1 ) = \''.$pgv->context['letter']
        .'\' GROUP BY name ORDER BY name ASC' ;
        $surname = $db->Execute($query);
        if ($surname === false) die('no query results: '.$query);
    } else {
        $surname = $db->Execute( 'SELECT name , count( name ) AS nb FROM '
        .$pgv->table['individuals']
        .' WHERE LEFT( name , 1 ) = \''.$pgv->context['letter']
        .'\' GROUP BY name ORDER BY name ASC' );
    }

    //$encours = false;

    $pgv_alph['letter'] = $pgv->context['letter'];

    while ( !$surname->EOF ) {
        $initiale = strtoupper( strip_accent( substr( $surname->fields['name'] , 0 , 1 ) ) );

        $pgv->getUrl();
        $pgv->setUrl( 'letter' , '' );
        $pgv->setUrl( 'genID' , $pgv->context['genID'] );
        $pgv->setUrl( 'page' , 'surname' );
        $pgv->setUrl( 'idSurname' , urlencode( $surname->fields['name'] ) );

        $pgv_alph['names'][] = $pgv->makeLink( $surname->fields['name'] )
            .'<font size=\'2\'> ('.$surname->fields['nb'].')</font>';
        $surname->MoveNext();
    }

    $theme->assign( 'pgv_alph' , $pgv_alph );
?>