<!--Photo Module Related -->
{if $pgv_ind_photos.photo}
    <table><tr>
        <td><img src="{$pgv_ind_photos.photo}" alt="{$pgv_ind_photos.photoname}" ></td>
        <td valign='top'>
        <b>{$pgv_ind_photos.photoname}</b><br><br>
        {if $pgv_ind_photos.photosource}
            {$pgv_ind_photos.courtesy_of}{$pgv_ind_photos.photosource}<br><br>
        {/if}
        {if $pgv_ind_photos.photodesc}
            {$pgv_ind_photos.photodesc}<br><br>
        {/if}
        {if $pgv_ind_photos.photodate != ''}
            {$pgv_ind_photos.date_taken}{$pgv_ind_photos.photodate}<br><br>
        {/if}
        </td>
    </table>
{/if}
{if $pgv_ind_photos.photocount}
<ul>
    <li style='list-style:none none'>
        {$pgv_ind_photos.photolink}<br>
    </li>
</ul>
{/if}
<!--End of Photo Module Related -->

<strong>{$pgv_ind_infos.title}</strong><br /><br />
<ul>
{foreach item=info from=$pgv_ind_infos.list}
    <li style='list-style:none none'>
        {$info}
    </li>
{/foreach}
</ul>

{if $pgv_ind_facts.factCount}
<strong>{$pgv_ind_facts.title}</strong><br /><br />
<ul><table>
{foreach item=fact from=$pgv_ind_facts.list}
        <tr>
        {$fact}
        </tr>
{/foreach}
</table></ul>
{/if}

{if $pgv_ind_notes.text}
    <strong>{$pgv_ind_notes.title}</strong><br /><br />
    <ul>
        <li style='list-style:none none'>
            {assign var='length' value=200} {* this sets the the number of characters displayed from the notes *}
            {$pgv_ind_notes.text|truncate:$length:'...'}
            {if $pgv_ind_notes.text|count_characters > $length}
                <b>{$pgv_ind_notes.more}</b>
            {/if}
        </li>
    </ul>
{/if}

<strong>{$pgv_ind_parents.title}</strong><br /><br />
<ul>
{foreach item=parent from=$pgv_ind_parents.list}
    <li style='list-style:none none'>
        {$parent}
    </li>
{foreachelse}
    <li style='list-style:none none'>
        {$pgv_ind_parents.empty}
    </li>
{/foreach}
</ul>

<strong>{$pgv_ind_spouses.title}</strong><br /><br />
<ul>
{foreach item=spouse from=$pgv_ind_spouses.list}
    <li style='list-style:none none'>
        {$spouse}
    </li>
{foreachelse}
    <li style='list-style:none none'>
        {$pgv_ind_spouses.empty}
    </li>
{/foreach}
</ul>

<strong>{$pgv_ind_children.title}</strong><br /><br />
<ul><table>
{foreach item=child from=$pgv_ind_children.list}
        <tr>
        {$child}
        </tr>
{foreachelse}
        <tr>
        {$pgv_ind_children.empty}
        </tr>
{/foreach}
</table></ul>

