<?php
/*
 * Poplar Gedcom Viewer
 * Copyright (C) 2002-2003 Nicolas de Vulpian
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/*
 * Extensively rewritten 10/2003
 * changes Copyright 2003 by J.R.Grotjan
*/
?>
<?php
// Admin functions

function gen_delete( $genID, $reload=0 ) {
    global $db, $pgv;
    //remove info entry if action is NOT reload
    if ( $reload == 0 ){
        $result = $db->Execute( 'DELETE FROM '.$pgv->table['info']
        .' WHERE genID = '.$genID );
        if ( $result === false ) die ( 'failed to delete Info entry' );
    }
    //remove comments
        $result = $db->Execute( 'DELETE FROM '.$pgv->table['comments']
        .' WHERE genID = '.$genID );
        if ( $result === false ) die ( 'failed to delete Comment entry' );
    //}
    //remove individuals
    $query = 'DELETE FROM '.$pgv->table['individuals'].' WHERE genID = '.$genID ;
    $result = $db->Execute( $query );
    if ( $result === false ) die ( 'failed to delete Individuals: '.$query );
    //remove families
    $result = $db->Execute( 'DELETE FROM '.$pgv->table['families'].' WHERE genID = '.$genID );
    if ( $result === false ) die ( 'failed to delete Families' );
    //remove facts
    $result = $db->Execute( 'DELETE FROM '.$pgv->table['facts'].' WHERE genID = '.$genID );
    if ( $result === false ) die ( 'failed to delete Facts' );

}

function gen_modify( $genID ) {
    global $db, $pgv;

    $result = $db->Execute( 'SELECT * FROM '.$pgv->table['info'].' WHERE genID = \''.$genID.'\'' );

    echo '<form name=\'modify\' method=\'get\' action=\'index.php\'>'
        .'<table>'
        .'<tr><td>Name :</td><td>'.stripslashes($result->fields['table_name']).'</td></tr>'
        .'<tr><td>Title :</td><td><input type=\'text\' name=\'title\' value=\''.stripslashes($result->fields['title']).'\' maxlength=\'100\' /></td></tr>'
        .'<tr><td>Theme :</td><td><select name=\'theme\' maxlength=\'30\'>'
        .'<option value=\'\'';
        if ( empty( $result->fields['theme'] ) ) {
            echo ' selected';
        }
        echo '>default</option>';

    $dir = opendir( $pgv->environment['rootPath'].'/themes/' );
    while ( $file = readdir( $dir ) ) {
        if ( $file != '.' AND $file != '..' AND substr( $file , -4 , 4 ) != '.css' ) {
            if ( $file == $result->fields['theme'] ) {
                echo '<option value=\''.$file.'\' selected>'.$file.'</option>';
            } else {
                echo '<option value=\''.$file.'\'>'.$file.'</option>';
            }
        }
    }  
    closedir($dir);

    echo '</select></td></tr>'
        .'<tr><td>Genealogy owner name :</td><td><input type=\'text\' name=\'owner_name\' value=\''.stripslashes($result->fields['owner_name']).'\' maxlength=\'100\' /></td></tr>'
        .'<tr><td>Genealogy owner e-mail :</td><td><input type=\'text\' name=\'owner_email\' value=\''.stripslashes($result->fields['owner_email']).'\' maxlength=\'60\' /></td></tr>'
        .'<tr><td>Genealogy owner website :</td><td><input type=\'text\' name=\'owner_website\' value=\''.stripslashes($result->fields['owner_website']).'\' maxlength=\'100\' /></td></tr>'
        .'<tr><td colspan=\'2\'><input type=\'submit\' /></td></tr>'
        .'<input type=\'hidden\' name=\'action\' value=\'manage\' />'
        .'<input type=\'hidden\' name=\'option\' value=\'modify_ok\' />'
        .'<input type=\'hidden\' name=\'genID\' value=\''.$genID.'\' />'
        .'<input type=\'hidden\' name=\''.session_name().'\' value=\''.session_id().'\' />'
        .'</table></form>';
}

function gen_addtoindex( $genID ) {
    global $db, $pgv;

    $result = $db->Execute( 'SELECT count( ID ) AS nb FROM '.$pgv->table['index']
    .' WHERE genID = \''.$genID.'\'' );
    if ( $result === false ) die ( 'failed addToIndex' );

    if ( $result->fields['nb'] == 0 ) {        

        $index_individual = $db->Execute( 'SELECT ID , name , firstname , signature , birth_range , birth1 , birth2 , birth_phrase, death_range , death1 , death2 , death_phrase FROM '.$pgv->table( $gen_name , 'individuals' ) );
        if ( $index_individual === false ) die( 'failed 3' );

        while ( !$index_individual->EOF ) {
            $insert = $db->Execute( 'INSERT INTO '.$pgv->table['index'].' VALUES ( \'\' , '.$index_individual->fields['ID'].' , \''.$gen_name.'\' , \''.addslashes( $index_individual->fields['name'] ).'\' , \''.addslashes( $index_individual->fields['firstname'] ).'\' , \''.$index_individual->fields['signature'].'\' , \''.$index_individual->fields['birth_range'].'\' , \''.$index_individual->fields['birth1'].'\' , \''.$index_individual->fields['birth2'].'\' , \''.addslashes( $index_individual->fields['birth_phrase'] ).'\' , \''.$index_individual->fields['death_range'].'\' , \''.$index_individual->fields['death1'].'\' , \''.$index_individual->fields['death2'].'\' , \''.addslashes( $index_individual->fields['death_phrase'] ).'\');' );
            $index_individual->MoveNext();
            if ( $insert === false ) die( 'failed 4' );
        }
        
            $result2 = $db->Execute( 'UPDATE '.$pgv->table['info'].' SET indexed = 1 WHERE table_name = \''.$gen_name.'\'' );
            if ( $result2 === false ) die ( 'failed 5' );
    }
}

function gen_remfromindex( $genID ) {
    global $db, $pgv;

    $result = $db->Execute( 'DELETE FROM '.$pgv->table['index'].' WHERE genID = \''.$genID.'\'' );
    if ( $result === false ) die ( 'failed 1' );

    $result = $db->Execute( 'UPDATE '.$pgv->table['info'].' SET indexed = 0 WHERE table_name = \''.$gen_name.'\'' );
    if ( $result === false ) die ( 'failed 2' );
}

function gen_searchize( $genID ) {
    global $db, $pgv;

    $result = $db->Execute( 'SELECT ID , CONCAT( firstname , \' \' , name ) as concat FROM '
    .$pgv->table['individuals'].' WHERE genID = '.$genID );
    if ( $result === false ) die( 'failed to select from '.$pgv->table['individuals'] );

    while( !$result->EOF ) {
        $result2 = $db->Execute( 'UPDATE '.$pgv->table['individuals']
        .' SET signature=\''.searchize( stripslashes( $result->fields['concat'] ) )
        .'\' WHERE genID = '.$genID.' AND ID=\''.$result->fields['ID'].'\'' );
        $result->Movenext();
    }

    $result3 = $db->Execute( 'UPDATE '.$pgv->table['info']
    .' SET searchized = \'1\' WHERE genID = \''.$genID.'\'' );

    echo 'Added '.$result->RecordCount().' signatures to genealogy #'.$genID.'<br>';
}

function gen_unsearchize( $genID ) {
    global $db, $pgv;

    $result = $db->Execute( 'UPDATE '.$pgv->table['individuals']
    .' SET signature=\'\' WHERE genID = '.$genID  );
    if ( $result === false ) die( 'failed to erase signature from '.$pgv->table['individuals'] );

    $result3 = $db->Execute( 'UPDATE '.$pgv->table['info']
    .' SET searchized = \'0\' WHERE genID = \''.$genID.'\'' );

    echo 'Removed signatures from genealogy #'.$genID.'<br>';
}

function getmicrotime()
{
    list($usec, $sec) = explode(' ',microtime());
    return ((float)$usec + (float)$sec);
}

function link_ind( $genID, $id, $name, $firstname , $ul ) {
    global $pgv;
    $link = '<a href=\''.$pgv->environment['rootUrl']
    .'/index.php?genID='.$genID.'&page=ind&id='.$id
    .'&ul='.$ul.'\'>'.$firstname.' '.$name.'</a>';
    return $link;
}

function convert_date_to_sql( $date ) {
    $conversion = array('JAN' => '01' , 'FEB' => '02' , 'MAR' => '03' , 'APR' => '04' , 'MAY' => '05' , 'JUN' => '06' , 'JUL' => '07' , 'AUG' => '08' , 'SEP' => '09' , 'OCT' => '10' , 'NOV' => '11' , 'DEC' => '12');
                        //1: range                        2:day           3:delim  4:month   5:delim  6:year    7:dt.sep    //
    if ( preg_match('/^(ABT.|CAL.|EST.|BEF.|AFT.|BET.)? *([0-9]{1,2}[^0-9])?[- ]?([a-zA-Z]{3})?[- ]?([0-9]{4})? ?(AND|-)? *([0-9]{1,2}[^0-9])?[- ]?([a-zA-Z]{3})?[- ]?([0-9]{4})?/' , strtoupper( $date ) , $regs ) ) {
        $date2['range'] = $regs[1];
        $date2[1] = ( !empty( $regs[4] ) ? $regs[4] : '0000').'-'.( !empty( $regs[3] ) ? $conversion[$regs[3]] : '00').'-'.( !empty( $regs[2] ) ? $regs[2] : '00');
        $date2[2] = ( !empty( $regs[8] ) ? $regs[8] : '0000').'-'.( !empty( $regs[7] ) ? $conversion[$regs[7]] : '00').'-'.( !empty( $regs[6] ) ? $regs[6] : '00');
    }
    else $date2 = false;

    if ($date2[1] == '0000-00-00') $date2 = false;

    return $date2;
}

function convert_sql_to_date( $date_range , $date_1 , $date_2, $date_phrase , $level ) {
    global $GV_DATE;

    if ($date_range != 'PHR') {
        $conversion = array('01' => GV_JAN , '02' => GV_FEB , '03' => GV_MAR , '04' => GV_APR , '05' => GV_MAY , '06' => GV_JUN , '07' => GV_JUL , '08' => GV_AUG , '09' => GV_SEP , '10' => GV_OCT , '11' => GV_NOV , '12' => GV_DEC);

        if (ereg('([0-9]{4})-([0-9]{2})-([0-9]{2})' , $date_1 , $regs))
            switch ($level) {
                case 3 :
                    $date1 = (($regs[3] != '00') ? $regs[3].' ' : '');
                case 2 :
                    $date1 .= (($regs[2] != '00') ? $conversion[ $regs[2] ].' ' : '');
                case 1 :
                    $date1 .= (($regs[1] != '0000') ? $regs[1] : '');
                    break;
            }

        if (ereg('([0-9]{4})-([0-9]{2})-([0-9]{2})' , $date_2 , $regs))
            switch ($level) {
                case 3 :
                    $date2 = (($regs[3] != '00') ? $regs[3].' ' : '');
                case 2 :
                    $date2 .= (($regs[2] != '00') ? $conversion[ $regs[2] ].' ' : '');
                case 1 :
                    $date2 .= (($regs[1] != '0000') ? $regs[1] : '');
                    break;
            }

        if ($date_range != '')
            $date = fill( $GV_DATE[$date_range] , $date1 , $date2 );
        else $date = $date1;
    } else if ($date_range == 'PHR') {
        $date = $date_phrase;
    }

    return $date;
}

function fill( $text ) {
    // replace with sprintf?
    $args = func_get_args();

    for ( $i = 1 ; $i < func_num_args() + 1 ; $i++ ) {
        $text = str_replace( '%'.( $i ).'%' , $args[$i] , $text );
    }
    return $text;
}

function strip_accent($text) {
    $text = strtr( $text , '' , 'AAAAAAaaaaaaOOOOOOooooooEEEEeeeeCcIIIIiiiiUUUUuuuuyNn' );

    return $text;
}

function extract_ref( $text ) {
    if ( ereg ( '@(.+)@' , $text , $regs ) ) {
        return $regs[1];
    } else {
        return $text;
    }
}

function extract_num( $text ) {
    if ( ereg ( '([0-9]{1,6})' , $text , $regs ) ) {
        return $regs[1];
    } else {
        return $text;
    }
}

function quote( $text , $tab ) {
    $offset = 50;
    $length = 200;
    $text_lower = strtolower ( $text );
    for ( $i = 0 ; $i < count( $tab ) ; $i++ ) {
        if ( substr( $text_lower , $tab[$i] ) ) {
            $pos = strpos( $text_lower , $tab[$i] );
            if ( $pos < $offset ) {
                $offset = $pos;
            } else {
                $a = '...';
            }
            if ( $pos - $offset + $length > strlen( $text ) ) {
                $length = strlen( $text ) - $pos + $offset;
            } else {
                $b = '...';
            }

            return $a.substr( $text , $pos - $offset , $length ).$b;
            break 1;
        }
    }
}

function searchize( $text ) {
    $converted = strtolower ( $text );
    $converted = strtr( $converted , array( ''=>'c' , ''=>'d' , 'k'=>'c' , ''=>'n', 'q'=>'c' , ''=>'s' , 'z'=>'s' , 'ph'=>'f' ) );
    $converted = preg_replace( '/[-\' haeiou]/', '' , $converted );
    $converted = preg_replace( "/([a-z])\\1\\1?\\1?/" , "\\1" , $converted );
    $converted = trim( $converted );

  return $converted;
}

function txt2ascii( $text , $reverse ) {
    /*$ascii_array = array('//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','/ /','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//','//');
    $asciicode_array = array('&#129;','&#130;','&#131;','&#132;','&#133;','&#134;','&#135;','&#136;','&#137;','&#138;','&#139;','&#140;','&#141;','&#142;','&#143;','&#144;','&#145;','&#146;','&#147;','&#148;','&#149;','&#150;','&#151;','&#152;','&#153;','&#154;','&#155;','&#156;','&#157;','&#158;','&#159;',' ','&#161;','&#162;','&#163;','&#164;','&#165;','&#166;','&#167;','&#168;','&#169;','&#170;','&#171;','&#172;','&#173;','&#174;','&#175;','&#176;','&#177;','&#178;','&#179;','&#180;','&#181;','&#182;','&#183;','&#184;','&#185;','&#186;','&#187;','&#188;','&#189;','&#190;','&#191;','&#192;','&#193;','&#194;','&#195;','&#196;','&#197;','&#198','&#199;','&#200;','&#201;','&#202;','&#203;','&#204;','&#205;','&#206;','&#207;','&#208;','&#209;','&#210;','&#211;','&#212;','&#213;','&#214;','&#215;','&#216;','&#217;','&#218;','&#219;','&#220;','&#221;','&#222;','&#223;','&#224;','&#225;','&#226;','&#227;','&#228;','&#229;','&#230;','&#231;','&#232;','&#233;','&#234;','&#235;','&#236;','&#237;','&#238;','&#239;','&#240;','&#241;','&#242;','&#243;','&#244;','&#245;','&#246;','&#247;','&#248;','&#249;','&#250;','&#251;','&#252;','&#253;','&#254;','&#255');
    if ( $reverse ) $converted_text = preg_replace( $ascii_array , $asciicode_array , $text );
    else $converted_text = preg_replace( $asciicode_array , $ascii_array , $text );
    return $converted_text;*/

    $transcription_table = get_html_translation_table(HTML_ENTITIES);

    if ( $reverse )
        $converted_text = strtr( $text , $transcription_table );
    else 
    {    $transcription_table = array_flip( $transcription_table );
        $converted_text = strtr( $text , $transcription_table );
    }

    return $converted_text;
}


function formatDate( $event , $dateLevel = 3 ) {

    global $GV_DATE;

    $dateArray = $event;
    if ( $dateArray['range'] != 'PHR') {
        $conversion = array( '01' => GV_JAN , '02' => GV_FEB , '03' => GV_MAR , '04' => GV_APR , '05' => GV_MAY , '06' => GV_JUN , '07' => GV_JUL , '08' => GV_AUG , '09' => GV_SEP , '10' => GV_OCT , '11' => GV_NOV , '12' => GV_DEC );

        if ( ereg( '([0-9]{4})-([0-9]{2})-([0-9]{2})' , $dateArray['date1'] , $regs ) ) {
            switch ( $dateLevel ) {
                case 3 :
                    $dateA    = ( $regs[3] != '00' ? $regs[3].' ' : '' );
                case 2 :
                    $dateA    .= ( $regs[2] != '00' ? $conversion[ $regs[2] ].' ' : '' );
                case 1 :
                    $dateA    .= ( $regs[1] != '0000' ? $regs[1] : '' );
                    break;
            }
        }

        if ( ereg( '([0-9]{4})-([0-9]{2})-([0-9]{2})' , $dateArray['date2'] , $regs ) ) {
            switch ( $dateLevel ) {
                case 3 :
                    $dateB    = ( $regs[3] != '00' ? $regs[3].' ' : '' );
                case 2 :
                    $dateB    .= ( $regs[2] != '00' ? $conversion[ $regs[2] ].' ' : '' );
                case 1 :
                    $dateB    .= ( $regs[1] != '0000' ? $regs[1] : '' );
                    break;
            }
        }

        if ( trim($dateArray['range']) != '' ) {
            $date = fill( $GV_DATE[$dateArray['range']] , $dateA , $dateB );
        } else {
            $date = $dateA;
        }
    } else if ( $dateArray['range'] == 'PHR' ) {
        $date = $dateArray['phrase'];
    }
    return $date;
}

function isLiving( $birth = '', $death = '' ){  //if death date is NOT found
    global $pgv;                                //or ind is younger than the
                                                //'living_birth' date then
    $bdate['date1'] = $birth;                   //the ind is assumed to be alive
    $fbdate = formatDate( $bdate, 1 );
    $ddate['date1'] = $death;
    if ( (formatDate( $ddate, 1 ) != '')
    || ( $fbdate < $pgv->privacy['living_birth'] ) ){
        return false;
    }else{
        return true;
    }
}

function parSrch( $text ){    //create an array from search spec elements

    $text2 = strtolower( $text );
    $mots = str_replace('+', ' ', trim($text2));
    $mots = str_replace('\'', ' ', $mots);
    $mots = str_replace(',', ' ', $mots);
    $mots = str_replace(':', ' ', $mots);

    return( explode(' ' , $mots) );
}
?>