<?php4
/*
 * Poplar Gedcom Viewer
 * Copyright (C) 2002-2003 Nicolas de Vulpian
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/*
 * Extensively rewritten 10/2003
 * changes Copyright 2003 by J.R.Grotjan
*/
?>
<?php

switch( $_GET['step'] ) {
    default :
        echo 'Welcome to the <b><u>installation</u></b> of PHP Gedcom Viewer<br /><br />'
        .'If you only need an upgrade, please follow <a href=\'./upgrade.php\' target=\'_self\'>this link</a>.<br /><br />'
        .'<form name=\'install\' action=\'./install.php\' method=\'get\'>'
        .'<input type=\'hidden\' name=\'step\' value=\'1\' \>'
        .'<input type=\'submit\' value=\'Begin the installation\' \>'
        .'</form>';
        break;

    case '1' :
        echo '<form name=\'install\' action=\'./install.php\' method=\'get\'>'
        .'<table>'
        .'<tr><td>PHP Gedcom Viewer path :</td><td><input type=\'text\' name=\'rootPath\' value=\''.str_replace( "\\" , "/" , getcwd() ).'\' size=\'50\' /></td></tr>'
        .'<tr><td>PHP Gedcom Viewer URL :</td><td><input type=\'text\' name=\'rootUrl\' value=\'http://'.$_SERVER['SERVER_NAME'].str_replace( '/install.php' , '' , $_SERVER['SCRIPT_NAME'] ).'\' size=\'50\' /></td></tr>'
        .'<tr><td>Type of database :</td><td><input type=\'text\' name=\'dbtype\' value=\'mysql\' /> -> Only mysql accepted for now</td></tr>'
        .'<tr><td>Database Host name :</td><td><input type=\'text\' name=\'dbhost\' /></td></tr>'
        .'<tr><td>Database User name :</td><td><input type=\'text\' name=\'dbuser\' /></td></tr>'
        .'<tr><td>Database User password :</td><td><input type=\'text\' name=\'dbpassword\' /></td></tr>'
        .'<tr><td>Database name :</td><td><input type=\'text\' name=\'dbname\' /></td></tr>'
        .'<tr><td>Poplar Admin login :</td><td><input type=\'text\' name=\'admin_login\' /></td></tr>'
        .'<tr><td>Poplar Admin password :</td><td><input type=\'text\' name=\'admin_password\' /></td></tr>'
        .'<tr><td>Tables prefix :</td><td><input type=\'text\' name=\'dbPrefix\' value=\'pgv\' /></td></tr>'
        .'</table>'
        .'<input type=\'hidden\' name=\'step\' value=\'2\' /><br>'
        .'<input type=\'submit\' />'
        .'</form>';
        break;

    case '2' :
        $file = fopen( './config.php' , 'w' );
        if ( $file ) {
            fputs( $file , '<'.'?php'."\n" );
            foreach( $_GET as $key=>$value ) {
                switch ( $key ) {
                    case 'step' :
                        break;

                    case 'rootPath' :
                        fputs( $file , '$env[\''.$key.'\'] = \''.$value.'\';'."\n" );
                        break;

                    case 'rootUrl' :
                        fputs( $file , '$env[\''.$key.'\'] = \''.$value.'\';'."\n" );
                        break;

                    case 'dbPrefix' :
                        fputs( $file , '$env[\''.$key.'\'] = \''.$value.'\';'."\n" );
                        break;

                    default :
                        fputs( $file , '$'.$key.' = \''.$value.'\';'."\n" );
                        break;
                }
            }
            fclose( $file );

            include_once( './include/adodb/adodb.inc.php' );
            include_once( './config.php' );
            include_once( './include/pgv.class.php' );

            $ADODB_FETCH_MODE = ADODB_FETCH_ASSOC;
            $db = NewADOConnection( $dbtype );
            $db->Connect( $dbhost , $dbuser , $dbpassword , $dbname);
            if ( $db === false ) die ( 'Connection failed' );

            $pgv = new Pgv( true );

            $file = fopen( './config.php' , 'a' );
            fputs( $file , "\n".'include_once( $env[\'rootPath\'].\'/include/common.php\' );'."\n".'?'.'>' );
            fclose( $file );

            echo "Configuration data has been put down to configuration file.<br><br>";

            // Checks if tables gv_tables_info, gv_global_index exist. If not, creates them.

            echo "Core tables are being created...<br><br>";

            //GEDCOM file info//
            $result = $db->Execute( 'SHOW TABLES LIKE \''.str_replace( '_' , '\_' , $pgv->table['info'] ).'\'' );
            if ( $result->EOF ) {
                $result2 = $db->Execute( 'CREATE TABLE IF NOT EXISTS '.$pgv->table['info'].' (
                genID MEDIUMINT UNSIGNED NOT NULL,
                table_name VARCHAR(90),
                title VARCHAR(100),
                owner_name VARCHAR(100),
                owner_email VARCHAR(100),
                owner_website VARCHAR(100),
                crea_date DATE,
                sour VARCHAR(20),
                sour_version VARCHAR(15),
                sour_name VARCHAR(90),
                lang VARCHAR(15),
                file VARCHAR(90),
                theme VARCHAR(30),
                indexed TINYINT,
                searchized TINYINT,
                login_name VARCHAR(25),
                login_pass VARCHAR(40),
                PRIMARY KEY (genID)
                )' );
                if ($result2 === false) {
                    die('Failed to create '.$pgv->table['info'].' table');
                } else {
                    echo '- Table '.$pgv->table['info'].' has been created<br>';
                }
            } else {
                die('ERROR : table '.$pgv->table['info'].' already exists!<br>');
            }
            //Modules List//
            $result = $db->Execute( 'SHOW TABLES LIKE \''.str_replace( '_' , '\_' , $pgv->table['modules'] ).'\'' );
            if ( $result->EOF ) {
                $result2 = $db->Execute( 'CREATE TABLE '.$pgv->table['modules'].' (
                mID TINYINT UNSIGNED NOT NULL AUTO_INCREMENT,
                name VARCHAR(100),
                PRIMARY KEY (mID)
                )' );
                if ($result2 === false) {
                    die('Failed to create '.$pgv->table['modules'].' table');
                } else {
                    $result3 = $db->Execute( 'INSERT INTO '.$pgv->table['modules'].' VALUES ( NULL , \'tree\' )' );
                    if ($result3 === false) die('Failed to install tree module');
                    $result3 = $db->Execute( 'INSERT INTO '.$pgv->table['modules'].' VALUES ( NULL , \'gendex\' )' );
                    if ($result3 === false) die('Failed to populate gendex module');
                    $result3 = $db->Execute( 'INSERT INTO '.$pgv->table['modules'].' VALUES ( NULL , \'searchize\' )' );
                    if ($result3 === false) die('Failed to populate searchize module');
                    echo '- Table '.$pgv->table['modules'].' has been created<br>';
                }
            } else {
                die('ERROR : table '.$pgv->table['modules'].' already exists!<br>');
            }
            //General Settings//
            $result = $db->Execute( 'SHOW TABLES LIKE \''.str_replace( '_' , '\_' , $pgv->table['settings'] ).'\'' );
            if ( $result->EOF ) {
                $result2 = $db->Execute( 'CREATE TABLE '.$pgv->table['settings'].' (
                sID TINYINT UNSIGNED NOT NULL AUTO_INCREMENT,
                admin_contact VARCHAR(100),
                language VARCHAR(2) NOT NULL,
                default_theme VARCHAR(20) NOT NULL,
                result_number TINYINT UNSIGNED NOT NULL,
                debug_mode TINYINT,
                logo_display TINYINT,
                PRIMARY KEY (sID)
                )' );
                if ($result2 === false) {
                    die('Failed to create '.$pgv->table['settings'].' table');
                } else {
                    $result3 = $db->Execute( 'INSERT INTO '.$pgv->table['settings'].' VALUES ( NULL , NULL , \'en\' , \'tree\' , 20 , 0 , 1 )' );
                    if ($result3 === false) die('failed to populate '.$pgv->table['settings'].' table');
                    echo '- Table '.$pgv->table['settings'].' has been created<br>';
                }
            } else {
                die('ERROR : table '.$pgv->table['settings'].' already exists!<br>');
            }
            //Individuals Table//
            $result = $db->Execute( 'SHOW TABLES LIKE \''.str_replace( '_' , '\_' , $pgv->table['individuals'] ).'\'' );
            if ( $result->EOF ) {
                $result2 = $db->Execute( 'CREATE TABLE '.$pgv->table['individuals'].' (
                genID MEDIUMINT UNSIGNED NOT NULL,
                ID MEDIUMINT UNSIGNED NOT NULL,
                name VARCHAR(50) NOT NULL,
                firstname VARCHAR(50) NOT NULL,
                signature VARCHAR(30),
                gender VARCHAR(1),
                birth_range VARCHAR(3),
                birth1 DATE,
                birth2 DATE,
                birth_phrase VARCHAR(50),
                birth_place VARCHAR(120),
                death_range VARCHAR(3),
                death1 DATE,
                death2 DATE,
                death_phrase VARCHAR(50),
                death_place VARCHAR(120),
                death_cause VARCHAR(120),
                commentID MEDIUMINT UNSIGNED,
                famC MEDIUMINT UNSIGNED,
                PRIMARY KEY (genID, ID),
                INDEX index_name (name(3),firstname(3))
                );' );
                if ($result2 === false) {
                    die('Failed to create '.$pgv->table['individuals'].' table');
                } else {
                    echo '- Table '.$pgv->table['individuals'].' has been created<br>';
                }
            } else {
                die('ERROR : table '.$pgv->table['individuals'].' already exists!<br>');
            }
        //Families Table//
            $result = $db->Execute( 'SHOW TABLES LIKE \''.str_replace( '_' , '\_' , $pgv->table['families'] ).'\'' );
            if ( $result->EOF ) {
                $result2 = $db->Execute( 'CREATE TABLE '.$pgv->table['families'].' (
                genID MEDIUMINT UNSIGNED NOT NULL,
                famID MEDIUMINT UNSIGNED NOT NULL,
                wedding_range VARCHAR(3),
                wedding1 DATE,
                wedding2 DATE,
                wedding_phrase VARCHAR(50),
                weddingplace VARCHAR(120),
                divorce_range VARCHAR(3),
                divorce1 DATE,
                divorce2 DATE,
                divorce_phrase VARCHAR(50),
                div BOOL,
                father MEDIUMINT UNSIGNED,
                mother MEDIUMINT UNSIGNED,
                commentID MEDIUMINT UNSIGNED,
                PRIMARY KEY (genID, famID)
                );' );
                if ($result2 === false) {
                    die('Failed to create '.$pgv->table['families'].' table');
                } else {
                    echo '- Table '.$pgv->table['families'].' has been created<br>';
                }
            } else {
                die('ERROR : table '.$pgv->table['families'].' already exists!<br>');
            }
        //Facts Table//
            $result = $db->Execute( 'SHOW TABLES LIKE \''.str_replace( '_' , '\_' , $pgv->table['facts'] ).'\'' );
            if ( $result->EOF ) {
                $result2 = $db->Execute( 'CREATE TABLE '.$pgv->table['facts'].' (
                factID MEDIUMINT UNSIGNED NOT NULL AUTO_INCREMENT,
                genID MEDIUMINT UNSIGNED NOT NULL,
                ID MEDIUMINT UNSIGNED NOT NULL,
                tag_type CHAR(1) NOT NULL,
                tag_name VARCHAR(6) NOT NULL,
                date_range VARCHAR(3),
                date1 DATE,
                date2 DATE,
                date_phrase VARCHAR(50),
                tag_place VARCHAR(120),
                PRIMARY KEY (factID),
                INDEX index_tag (genID, ID, tag_type, tag_name)
                );' );
                if ($result2 === false) {
                    die('Failed to create '.$pgv->table['facts'].' table');
                } else {
                    echo '- Table '.$pgv->table['facts'].' has been created<br>';
                }
            } else {
                die('ERROR : table '.$pgv->table['facts'].' already exists!<br>');
            }
            //Comments Table//
            $result = $db->Execute( 'SHOW TABLES LIKE \''.str_replace( '_' , '\_' , $pgv->table['comments'] ).'\'' );
            if ( $result->EOF ) {
                $result2 = $db->Execute( 'CREATE TABLE '.$pgv->table['comments'].' (
                commentID MEDIUMINT UNSIGNED NOT NULL,
                genID MEDIUMINT UNSIGNED NOT NULL,
                text TEXT,
                PRIMARY KEY (commentID)
                );' );
                if ($result2 === false) {
                    die('Failed to create '.$pgv->table['comments'].' table');
                } else {
                    echo '- Table '.$pgv->table['comments'].' has been created<br>';
                }
            } else {
                die('ERROR : table '.$pgv->table['comments'].' already exists!<br>');
            }

            //All Tables Created//
            echo '<br>DONE!<br><br>';

            if ( @chmod( '/gedcom' , '0777' ) ) {
                echo '<br>Gedcom directory has been chmod\'ed 777<br><br>';
            }
            echo 'Now please log in the <a href=\''.$env['rootUrl'].'/admin/index.php\'>administration interface here</a>';
        } else {
            echo 'Couldn\'t create config file!';
        }
        break;
}
?>