<?php

// Translated to Greek by Theodore Lolakas (May 2003)
// Charset to be used 

$pgv->setCharset( 'iso-8859-7' );

// Welcome page

define( 'GV_INDEX_NO_TABLE' , 'No indexed table.' );
define( 'GV_GENEALOGY' , ' ' );
define( 'GV_LIST' , ' :' );
define( 'GV_ADMINISTRATOR' , '' );
define( 'GV_OWNER' , ' : %1%' );
define( 'GV_OWNER_WEBSITE' , ' : %1%' );
define( 'GV_GLOBAL_INDEX' , 'Global index' );
define( 'GV_HOME' , ' ' );
define( 'GV_HOME_1' , ' %1% , %2%   %3%      .' );
define( 'GV_HOME_2' , ' %1%   %2%      .' );
define( 'GV_SURNAMES' , '' );
define( 'GV_STATS' , '' );
define( 'GV_SEARCH' , ' ' );

// Common pages

define( 'GV_GENDER' , ' : %1%' );
define( 'GV_GENDER_M' , '' );
define( 'GV_GENDER_F' , '' );
define( 'GV_GENDER_U' , 'unknown' ); // translate
define( 'GV_BIRTH' , ' : %1%' );
define( 'GV_DEATH' , ' : %1%' );
define( 'GV_DEATH_CAUSE' , 'Cause : %1%' ); // translate
define( 'GV_BURIAL' , 'Burial : %1%' ); // translate
define( 'GV_OCCUPATION' , ' : %1%' );
define( 'GV_COMMENTS_INDIV' , ' ' );
define( 'GV_FACTS_INDIV' , 'Additional facts' ); // translate
define( 'GV_COMMENTS_COUPLE' , ' ' );
define( 'GV_COMMENTS_MORE' , '' );
define( 'GV_PARENTS' , '' );
define( 'GV_NO_PARENTS' , '    ' );
define( 'GV_FATHER' , ' : %1%' );
define( 'GV_MOTHER' , ' : %1%' );
define( 'GV_WEDDING' , ' : %1%' );
define( 'GV_DIVORCE' , ' -  : %1%' );
define( 'GV_SPOUSE' , '' );
define( 'GV_NO_SPOUSE' , ' ' );
define( 'GV_CHILDREN' , '' );
define( 'GV_NO_CHILD' , ' ' );
define( 'GV_SURNAMES_LIST' , ' ' );
define( 'GV_NO_SURNAME' , '  ' );
define( 'GV_INDIVIDUALS' , '%1% ' );
define( 'GV_20_SURNAMES' , ' 20   ' );
define( 'GV_20_WEDDING' , ' 20 ' );
define( 'GV_20_BIRTH' , ' 20 ' );
define( 'GV_20_OLDER' , '20    ' );
define( 'GV_SEARCH_REQUEST' , '' );
define( 'GV_SEARCH_PREVIOUS' , ' ' );
define( 'GV_SEARCH_NEXT' , ' ' );
define( 'GV_SEARCH_RESULTS' , ' %1%-%2%   %3%.' );
define( 'GV_SEARCH_NORESULT' , ' .' );
define( 'GV_SEARCH_WRONG' , '    ' );
define( 'GV_SEARCH_LABEL' , ' ' );
define( 'GV_SEARCH_BUTTON_LABEL' , '' );
define( 'GV_INFO' , '' );
define( 'GV_ADVANCED_SEARCH_LABEL' , ' ' );
define( 'GV_APPROXIMATIVE_SEARCH' , '  ?' );
define( 'GV_COMMENTS' , ' : %1%' );
define( 'GV_FIRST_NAME' , '  : %1%' );
define( 'GV_LAST_NAME' , ' : %1%' );
define( 'GV_LIVING_PERSON' , 'Living Person' ); // Translate

// Month names

define( 'GV_JAN' , '' );
define( 'GV_FEB' , '' );
define( 'GV_MAR' , '' );
define( 'GV_APR' , '' );
define( 'GV_MAY' , '' );
define( 'GV_JUN' , '' );
define( 'GV_JUL' , '' );
define( 'GV_AUG' , '' );
define( 'GV_SEP' , '' );
define( 'GV_OCT' , '' );
define( 'GV_NOV' , '' );
define( 'GV_DEC' , '' );

$GV_DATE['ABT'] = ' %1%';
$GV_DATE['CAL'] = '%1% ()';
$GV_DATE['EST'] = '%1% ()';
$GV_DATE['BEF'] = ' %1%';
$GV_DATE['AFT'] = ' %1%';
$GV_DATE['BET'] = ' %1%  %2%';

//Tag labels for facts//

$GV_TAG['_MILT'] = 'Military Service'; //translate
$GV_TAG['_NAMS'] = 'Namesake'; //translate
$GV_TAG['ALIA']  = 'Alias'; //translate
$GV_TAG['BAPM']  = 'Baptism'; //translate
$GV_TAG['BIRT']  = 'Other Birth Date'; //translate
$GV_TAG['BURI']  = 'Burial'; //translate
$GV_TAG['CHR']   = 'Christening'; //translate
$GV_TAG['DEAT']  = 'Other Death Date'; //translate
$GV_TAG['EDUC']  = 'Occupation'; //translate
$GV_TAG['EMIG']  = 'Emmigration'; //translate
$GV_TAG['IMMI']  = 'Immigration'; //translate
$GV_TAG['NAME']  = 'Other Name'; //translate
$GV_TAG['OCCU']  = 'Occupation'; //translate
$GV_TAG['RELI']  = 'Religion'; //translate
$GV_TAG['RESI']  = 'Residence'; //translate
$GV_TAG['TITL']  = 'Title or Honorific'; //translate

//Admin area //
define( 'GV_ADMIN_DATABASE' , 'Database' ); //translate
define( 'GV_ADMIN_LOAD' , 'Load a database' ); //translate
define( 'GV_ADMIN_MANAGE' , 'Manage databases' ); //translate
define( 'GV_ADMIN_GENERAL' , 'General' ); //translate
define( 'GV_ADMIN_MODULES' , 'Modules admin' ); //translate
define( 'GV_ADMIN_GLOBAL' , 'Global settings' ); //translate
define( 'GV_ADMIN_UNINSTALL' , 'Uninstall Poplar' ); //translate
define( 'GV_ADMIN_PHPINFO' , 'PHP Info' ); //translate
define( 'GV_ADMIN_UPDATES' , 'Check for updates' ); //translate
define( 'GV_ADMIN_CONTACT' , 'Contact' ); //translate
define( 'GV_ADMIN_EDIT' , 'Edit Genealogy' ); // please translate
define( 'GV_ADMIN_SEARCH_NAME' , 'Search Name' ); // please translate

define( 'GV_FNAME' , 'First Name' ); // please translate
define( 'GV_LNAME' , 'Last Name' ); // please translate
define( 'GV_GENDR' , 'Gender' ); // please translate
define( 'GV_BIRTH_RANGE' , 'Birth Range' ); // please translate
define( 'GV_BIRTH_DATE' , 'Birth Date' ); // please translate
define( 'GV_BIRTH_PHRASE' , 'Birth Phrase' ); // please translate
define( 'GV_BIRTH_PLACE' , 'Birth Place' ); // please translate
define( 'GV_DEATH_RANGE' , 'Death Range' ); // please translate
define( 'GV_DEATH_DATE' , 'Death Date' ); // please translate
define( 'GV_DEATH_PHRASE' , 'Death Phrase' ); // please translate
define( 'GV_DEATH_PLACE' , 'Death Place' ); // please translate
define( 'GV_DEATH_CAUS' , 'Death Cause' ); // please translate
define( 'GV_NO_IND_NOTE' , 'No Individual Note for ' ); // please translate
define( 'GV_NAME' , 'Name' ); // please translate
define( 'GV_BIRTH_DATE' , 'Birth Date' ); // please translate
define( 'GV_INDIVIDUAL' , 'Individual' ); // please translate
define( 'GV_IND_NOTE' , 'Ind.Note' ); // please translate
define( 'GV_SP_NOTES' , 'Couple Notes' ); // please translate
define( 'GV_FACTS' , 'Facts' ); // please translate
define( 'GV_EDIT' , 'Edit' ); // please translate
define( 'GV_CHANGE' , 'Change' ); // please translate
define( 'GV_CHOOSE' , 'Choose' ); // please translate
define( 'GV_SAVE_CHANGES' , 'Save Changes' ); // please translate
define( 'GV_ADD_FACTS' , 'Additional Facts: ' ); // please translate
define( 'GV_NO_ADD_FACTS' , 'No Additional Facts: ' ); // please translate
define( 'GV_TAG_NAME' , 'Fact Name' ); // please translate
define( 'GV_TAG_RANGE' , 'Fact Range' ); // please translate
define( 'GV_TAG_DATE' , 'Fact Date' ); // please translate
define( 'GV_TAG_PHRASE' , 'Date Phrase' ); // please translate
define( 'GV_TAG_PLACE' , 'Fact Place' ); // please translate
define( 'GV_INSERT' , 'Insert' ); // please translate
define( 'GV_DELETE' , 'Delete' ); // please translate
?>