<?php

// Charset to be used

$pgv->setCharset( 'iso-8859-1' );

// Welcome page

define( 'GV_INDEX_NO_TABLE' , 'Tabla no indexada.' );
define( 'GV_GENEALOGY' , 'Genealog&iacute;a' );
define( 'GV_LIST' , 'Otras genealog&iacute;as :' );
define( 'GV_ADMINISTRATOR' , 'Admin' );
define( 'GV_OWNER' , 'Contact : %1%' );
define( 'GV_OWNER_WEBSITE' , 'Website : %1%' );
define( 'GV_GLOBAL_INDEX' , '&Iacute;ndice global' );
define( 'GV_HOME' , 'P&aacute;gina principal' );
define( 'GV_HOME_1' , 'Hay %1% individuos, %2% familias y %3% apellidos en esta base de datos geneal&oacute;gica.' );
define( 'GV_HOME_2' , 'Hay %1% individuos y %2% apellidos en esta base de datos geneal&oacute;gica.' );
define( 'GV_SURNAMES' , 'Apellidos' );
define( 'GV_STATS' , 'Estad&iacute;sticas' );
define( 'GV_SEARCH' , 'Resultados de la b&uacute;squeda' );

// Common pages

define( 'GV_GENDER' , 'Sexo : %1%' );
define( 'GV_GENDER_M' , 'masculino' );
define( 'GV_GENDER_F' , 'femenino' );
define( 'GV_GENDER_U' , 'unknown' ); //translate
define( 'GV_BIRTH' , 'Nacimiento : %1%' );
define( 'GV_DEATH' , 'Fallecimiento : %2%' );
define( 'GV_DEATH_CAUSE' , 'Cause : %1%' ); //translate
define( 'GV_BURIAL' , 'Burial : %1%' ); //translate
define( 'GV_OCCUPATION' , 'Ocupaci&oacute;n : %1%' );
define( 'GV_COMMENTS_INDIV' , 'Nota personal' );
define( 'GV_FACTS_INDIV' , 'Additional facts' ); // translate
define( 'GV_COMMENTS_COUPLE' , 'Nota de la pareja' );
define( 'GV_COMMENTS_MORE' , 'M&aacute;s' );
define( 'GV_PARENTS' , 'Padres' );
define( 'GV_NO_PARENTS' , 'No hay registros' );
define( 'GV_FATHER' , 'Padre : %1%' );
define( 'GV_MOTHER' , 'Madre : %1%' );
define( 'GV_WEDDING' , 'Casamiento : %1%' );
define( 'GV_DIVORCE' , 'Divorcio : %1%' );
define( 'GV_SPOUSE' , 'Cnyuge' );
define( 'GV_NO_SPOUSE' , 'Sin cnyuge' );
define( 'GV_CHILDREN' , 'Hijos' );
define( 'GV_NO_CHILD' , 'Sin hijos' );
define( 'GV_SURNAMES_LIST' , 'Lista de apellidos' );
define( 'GV_NO_SURNAME' , 'Personas sin apellido' );
define( 'GV_INDIVIDUALS' , '%1% individuos' );
define( 'GV_20_SURNAMES' , '20 most common surnames' );
define( 'GV_20_WEDDING' , 'Los &Uacute;ltimos 20 casamientos' );
define( 'GV_20_BIRTH' , 'Los &Uacute;ltimos 20 nacimientos' );
define( 'GV_20_OLDER' , 'Las 20 individuos vivas mas longevas' );
define( 'GV_SEARCH_REQUEST' , 'Consulta' );
define( 'GV_SEARCH_PREVIOUS' , 'Resultados previos' );
define( 'GV_SEARCH_NEXT' , 'Resultados siguientes' );
define( 'GV_SEARCH_RESULTS' , 'Resultados %1%-%2% de %3%.' );
define( 'GV_SEARCH_NORESULT' , 'No hay resultados' );
define( 'GV_SEARCH_WRONG' , 'Por favor escriba por lo menos una letra...' );
define( 'GV_SEARCH_LABEL' , 'Bsqueda r&aacute;pida' );
define( 'GV_SEARCH_BUTTON_LABEL' , 'Buscar' );
define( 'GV_INFO' , 'Informaci&oacute;n' );
define( 'GV_ADVANCED_SEARCH_LABEL'  , 'B&uacute;squeda avanzada' );
define( 'GV_APPROXIMATIVE_SEARCH'  , 'Prueba una b&uacute;squeda aproximada?' );
define( 'GV_COMMENTS'  , 'Notas : %1%' );
define( 'GV_FIRST_NAME'  , 'Nombre : %1%' );
define( 'GV_LAST_NAME'  , 'Apellido : %1%' );
define( 'GV_LIVING_PERSON' , 'Living Person' ); //translate

// Month names

define( 'GV_JAN' , 'de Enero de' );
define( 'GV_FEB' , 'de Febrero de' );
define( 'GV_MAR' , 'de Marzo de' );
define( 'GV_APR' , 'de Abril de' );
define( 'GV_MAY' , 'de Mayo de' );
define( 'GV_JUN' , 'de Junio de' );
define( 'GV_JUL' , 'de Julio de' );
define( 'GV_AUG' , 'de Agosto de' );
define( 'GV_SEP' , 'de Septiembre de' );
define( 'GV_OCT' , 'de Octubre de' );
define( 'GV_NOV' , 'de Noviembre de' );
define( 'GV_DEC' , 'de Diciembre de' );

$GV_DATE['ABT'] = 'sobre %1%';
$GV_DATE['CAL'] = '%1% (calculado)';
$GV_DATE['EST'] = '%1% (estimado)';
$GV_DATE['BEF'] = 'antes %1%';
$GV_DATE['AFT'] = 'despu&eacute;s %1%';
$GV_DATE['BET'] = 'entre %1% y %2%';

//Tag labels for facts//

$GV_TAG['_MILT'] = 'Military Service'; //translate
$GV_TAG['_NAMS'] = 'Namesake'; //translate
$GV_TAG['ALIA']  = 'Alias'; //translate
$GV_TAG['BAPM']  = 'Baptism'; //translate
$GV_TAG['BIRT']  = 'Other Birth Date'; //translate
$GV_TAG['BURI']  = 'Burial'; //translate
$GV_TAG['CHR']   = 'Christening'; //translate
$GV_TAG['DEAT']  = 'Other Death Date'; //translate
$GV_TAG['EDUC']  = 'Occupation'; //translate
$GV_TAG['EMIG']  = 'Emmigration'; //translate
$GV_TAG['IMMI']  = 'Immigration'; //translate
$GV_TAG['NAME']  = 'Other Name'; //translate
$GV_TAG['OCCU']  = 'Occupation'; //translate
$GV_TAG['RELI']  = 'Religion'; //translate
$GV_TAG['RESI']  = 'Residence'; //translate
$GV_TAG['TITL']  = 'Title or Honorific'; //translate

//Admin area //
define( 'GV_ADMIN_DATABASE' , 'Database' ); //translate
define( 'GV_ADMIN_LOAD' , 'Load a database' ); //translate
define( 'GV_ADMIN_MANAGE' , 'Manage databases' ); //translate
define( 'GV_ADMIN_GENERAL' , 'General' ); //translate
define( 'GV_ADMIN_MODULES' , 'Modules admin' ); //translate
define( 'GV_ADMIN_GLOBAL' , 'Global settings' ); //translate
define( 'GV_ADMIN_UNINSTALL' , 'Uninstall Poplar' ); //translate
define( 'GV_ADMIN_PHPINFO' , 'PHP Info' ); //translate
define( 'GV_ADMIN_UPDATES' , 'Check for updates' ); //translate
define( 'GV_ADMIN_CONTACT' , 'Contact' ); //translate
define( 'GV_ADMIN_EDIT' , 'Edit Genealogy' ); // please translate
define( 'GV_ADMIN_SEARCH_NAME' , 'Search Name' ); // please translate

define( 'GV_FNAME' , 'First Name' ); // please translate
define( 'GV_LNAME' , 'Last Name' ); // please translate
define( 'GV_GENDR' , 'Gender' ); // please translate
define( 'GV_BIRTH_RANGE' , 'Birth Range' ); // please translate
define( 'GV_BIRTH_DATE' , 'Birth Date' ); // please translate
define( 'GV_BIRTH_PHRASE' , 'Birth Phrase' ); // please translate
define( 'GV_BIRTH_PLACE' , 'Birth Place' ); // please translate
define( 'GV_DEATH_RANGE' , 'Death Range' ); // please translate
define( 'GV_DEATH_DATE' , 'Death Date' ); // please translate
define( 'GV_DEATH_PHRASE' , 'Death Phrase' ); // please translate
define( 'GV_DEATH_PLACE' , 'Death Place' ); // please translate
define( 'GV_DEATH_CAUS' , 'Death Cause' ); // please translate
define( 'GV_NO_IND_NOTE' , 'No Individual Note for ' ); // please translate
define( 'GV_NAME' , 'Name' ); // please translate
define( 'GV_BIRTH_DATE' , 'Birth Date' ); // please translate
define( 'GV_INDIVIDUAL' , 'Individual' ); // please translate
define( 'GV_IND_NOTE' , 'Ind.Note' ); // please translate
define( 'GV_SP_NOTES' , 'Couple Notes' ); // please translate
define( 'GV_FACTS' , 'Facts' ); // please translate
define( 'GV_EDIT' , 'Edit' ); // please translate
define( 'GV_CHANGE' , 'Change' ); // please translate
define( 'GV_CHOOSE' , 'Choose' ); // please translate
define( 'GV_SAVE_CHANGES' , 'Save Changes' ); // please translate
define( 'GV_ADD_FACTS' , 'Additional Facts: ' ); // please translate
define( 'GV_NO_ADD_FACTS' , 'No Additional Facts: ' ); // please translate
define( 'GV_TAG_NAME' , 'Fact Name' ); // please translate
define( 'GV_TAG_RANGE' , 'Fact Range' ); // please translate
define( 'GV_TAG_DATE' , 'Fact Date' ); // please translate
define( 'GV_TAG_PHRASE' , 'Date Phrase' ); // please translate
define( 'GV_TAG_PLACE' , 'Fact Place' ); // please translate
define( 'GV_INSERT' , 'Insert' ); // please translate
define( 'GV_DELETE' , 'Delete' ); // please translate
?>
