<?php

// Charset to be used

$pgv->setCharset( 'iso-8859-1' );

// Welcome page

define( 'GV_INDEX_NO_TABLE' , 'Aucune table n\'est index&eacute;e.' );
define( 'GV_GENEALOGY' , 'G&eacute;n&eacute;alogie' );
define( 'GV_LIST' , 'Liste des g&eacute;n&eacute;alogies :' );
define( 'GV_ADMINISTRATOR' , 'Administrateur' );
define( 'GV_OWNER' , 'Contact : %1%' );
define( 'GV_OWNER_WEBSITE' , 'Site web : %1%' );
define( 'GV_GLOBAL_INDEX' , 'Index global' );
define( 'GV_HOME' , 'Accueil' );
define( 'GV_HOME_1' , 'Il y a %1% individus, %2% familles et %3% patronymes dans cette g&eacute;n&eacute;alogie.' );
define( 'GV_HOME_2' , 'Il y a %1% individus et %2% patronymes dans cette g&eacute;n&eacute;alogie.' );
define( 'GV_SURNAMES' , 'Patronymes' );
define( 'GV_STATS' , 'Statistiques' );
define( 'GV_SEARCH' , 'R&eacute;sultats de la recherche' );

// Common pages

define( 'GV_GENDER' , 'Sexe : %1%' );
define( 'GV_GENDER_M' , 'homme' );
define( 'GV_GENDER_F' , 'femme' );
define( 'GV_GENDER_U' , 'inconnu' );
define( 'GV_BIRTH' , 'Naissance : %1%' );
define( 'GV_DEATH' , 'D&eacute;c&egrave;s : %1%' );
define( 'GV_DEATH_CAUSE' , 'Cause : %1%' );
define( 'GV_BURIAL' , 'S&eacute;pulture : %1%' );
define( 'GV_OCCUPATION' , 'Occupation : %1%' );
define( 'GV_COMMENTS_INDIV' , 'Notes individuelles' );
define( 'GV_FACTS_INDIV' , 'Faits additionnels' );
define( 'GV_COMMENTS_COUPLE' , 'Notes de couple' );
define( 'GV_COMMENTS_MORE' , 'Plus' );
define( 'GV_PARENTS' , 'Parents' );
define( 'GV_NO_PARENTS' , 'Pas d\'enregistrement' );
define( 'GV_FATHER' , 'P&egrave;re : %1%' );
define( 'GV_MOTHER' , 'M&egrave;re : %1%' );
define( 'GV_WEDDING' , 'Mariage : %1%' );
define( 'GV_DIVORCE' , 'Divorce : %1%' );
define( 'GV_SPOUSE' , 'Conjoint' );
define( 'GV_NO_SPOUSE' , 'Pas de conjoint' );
define( 'GV_CHILDREN' , 'Enfants' );
define( 'GV_NO_CHILD' , 'Pas d\'enfant' );
define( 'GV_SURNAMES_LIST' , 'Liste des patronymes' );
define( 'GV_NO_SURNAME' , 'Individus sans nom de famille' );
define( 'GV_INDIVIDUALS' , '%1% individus' );
define( 'GV_20_SURNAMES' , 'Les 20 patronymes les plus fr&eacute;quents' );
define( 'GV_20_WEDDING' , 'Les 20 derniers mariages' );
define( 'GV_20_BIRTH' , 'Les 20 derni&egrave;res naissances' );
define( 'GV_20_OLDER' , 'Les 20 personnes les plus ag&eacute;es' );
define( 'GV_SEARCH_REQUEST' , 'Requ&ecirc;te' );
define( 'GV_SEARCH_PREVIOUS' , 'R&eacute;sultats pr&eacute;c&eacute;dents' );
define( 'GV_SEARCH_NEXT' , 'R&eacute;sultats suivants' );
define( 'GV_SEARCH_RESULTS' , 'R&eacute;sultats %1%-%2% sur %3%.' );
define( 'GV_SEARCH_NORESULT' , 'Pas de r&eacute;sultat.' );
define( 'GV_SEARCH_WRONG' , 'Merci de taper au moins une lettre...' );
define( 'GV_SEARCH_LABEL' , 'Recherche rapide' );
define( 'GV_SEARCH_BUTTON_LABEL' , 'Chercher' );
define( 'GV_INFO' , 'Informations' );
define( 'GV_ADVANCED_SEARCH_LABEL'  , 'Recherche avanc&eacute;e' );
define( 'GV_APPROXIMATIVE_SEARCH'  , 'Essayer une recherche floue?' );
define( 'GV_COMMENTS'  , 'Notes : %1%' );
define( 'GV_FIRST_NAME'  , 'Pr&eacute;nom : %1%' );
define( 'GV_LAST_NAME'  , 'Nom : %1%' );
define( 'GV_LIVING_PERSON' , 'Personne vivante' );

// Month names

define( 'GV_JAN' , 'janvier' );
define( 'GV_FEB' , 'f&eacute;vrier' );
define( 'GV_MAR' , 'mars' );
define( 'GV_APR' , 'avril' );
define( 'GV_MAY' , 'mai' );
define( 'GV_JUN' , 'juin' );
define( 'GV_JUL' , 'juillet' );
define( 'GV_AUG' , 'ao&ucirc;t' );
define( 'GV_SEP' , 'septembre' );
define( 'GV_OCT' , 'octobre' );
define( 'GV_NOV' , 'novembre' );
define( 'GV_DEC' , 'd&eacute;cembre' );

$GV_DATE['ABT'] = 'approximativement %1%';
$GV_DATE['CAL'] = '%1% (calcul&eacute;)';
$GV_DATE['EST'] = '%1% (estimation)';
$GV_DATE['BEF'] = 'avant %1%';
$GV_DATE['AFT'] = 'apr&egrave;s %1%';
$GV_DATE['BET'] = 'entre %1% et %2%';

//Tag labels for facts//

$GV_TAG['_MILT'] = 'Service militaire';
$GV_TAG['_NAMS'] = 'Homonyme';
$GV_TAG['ALIA']  = 'Pseudonyme';
$GV_TAG['BAPM']  = 'Bapt&egrave;me';
$GV_TAG['BIRT']  = 'Autre date de naissance';
$GV_TAG['BURI']  = 'S&eacute;pulture';
$GV_TAG['CHR']   = 'Bapt&egrave;me';
$GV_TAG['DEAT']  = 'Autre date de d&eacute;c&egrave;s';
$GV_TAG['EDUC']  = 'Education';
$GV_TAG['EMIG']  = 'Emigration';
$GV_TAG['IMMI']  = 'Immigration';
$GV_TAG['NAME']  = 'Autre nom';
$GV_TAG['OCCU']  = 'Occupation';
$GV_TAG['RELI']  = 'Religion';
$GV_TAG['RESI']  = 'R&eacute;sidence';
$GV_TAG['TITL']  = 'Titre honorifique';

//Admin area //
define( 'GV_ADMIN_DATABASE' , 'Base de donn&eacute;es' );
define( 'GV_ADMIN_LOAD' , 'Charger un fichier' );
define( 'GV_ADMIN_MANAGE' , 'G&eacute;rer les bases de donn&eacute;es' );
define( 'GV_ADMIN_GENERAL' , 'G&eacute;n&eacute;ral' );
define( 'GV_ADMIN_MODULES' , 'Modules' );
define( 'GV_ADMIN_GLOBAL' , 'Configuration' );
define( 'GV_ADMIN_UNINSTALL' , 'D&eacute;sinstaller' );
define( 'GV_ADMIN_PHPINFO' , 'PHP Info' );
define( 'GV_ADMIN_UPDATES' , 'V&eacute;rifier les nouvelles versions' );
define( 'GV_ADMIN_CONTACT' , 'Contact' );
define( 'GV_ADMIN_EDIT' , 'Editer la g&eacute;n&eacute;alogie' );
define( 'GV_ADMIN_SEARCH_NAME' , 'Chercher un nom' );

define( 'GV_FNAME' , 'Pr&eacute;nom' );
define( 'GV_LNAME' , 'Nom de famille' );
define( 'GV_GENDR' , 'Sexe' );
define( 'GV_BIRTH_RANGE' , 'Type de la date de naissance' );
define( 'GV_BIRTH_DATE' , 'Date de naissance' );
define( 'GV_BIRTH_PHRASE' , 'Date de naissance (phrase)' );
define( 'GV_BIRTH_PLACE' , 'Lieu de naissance' );
define( 'GV_DEATH_RANGE' , 'Type de la date du d&eacute;c&egrave;s' );
define( 'GV_DEATH_DATE' , 'Date du d&eacute;c&egrave;s' );
define( 'GV_DEATH_PHRASE' , 'Date du d&eacute;c&egrave;s (phrase)' );
define( 'GV_DEATH_PLACE' , 'Lieu du d&eacute;c&egrave;s' );
define( 'GV_DEATH_CAUS' , 'Cause du d&eacute;c&egrave;s' );
define( 'GV_NO_IND_NOTE' , 'Pas de note individuelle pour ' );
define( 'GV_NAME' , 'Nom' );
define( 'GV_BIRTH_DATE' , 'Date de naissance' );
define( 'GV_INDIVIDUAL' , 'Individu' );
define( 'GV_IND_NOTE' , 'Notes individuelles' );
define( 'GV_SP_NOTES' , 'Notes de couple' );
define( 'GV_FACTS' , 'Faits' );
define( 'GV_EDIT' , 'Editer' );
define( 'GV_CHANGE' , 'Changer' );
define( 'GV_CHOOSE' , 'Choisir' );
define( 'GV_SAVE_CHANGES' , 'Sauver les modifications' );
define( 'GV_ADD_FACTS' , 'Faits additionnels : ' );
define( 'GV_NO_ADD_FACTS' , 'Pas de fait additionnel : ' );
define( 'GV_TAG_NAME' , 'Ev&eacute;nement' );
define( 'GV_TAG_RANGE' , 'Type de date' );
define( 'GV_TAG_DATE' , 'Date de l\'&eacute;v&eacute;nement' );
define( 'GV_TAG_PHRASE' , 'Date de l\'&eacute;v&eacute;nement (phrase)' );
define( 'GV_TAG_PLACE' , 'Lieude l\'&eacute;v&eacute;nement' );

?>

