<?php

// Translated to Italian by Jean-Pierre FOLLEGOT (Oct 2002)
//            Completed on December 2003 for Eugene Dubois
// Charset to be used 

$pgv->setCharset( 'iso-8859-1' );

// Welcome page

define( 'GV_INDEX_NO_TABLE' , 'Nessuna tavola e indiziatta.' );
define( 'GV_GENEALOGY' , 'Genealogia' );
define( 'GV_LIST' , 'Altre genealogie :' );
define( 'GV_ADMINISTRATOR' , 'Amministratore' );
define( 'GV_OWNER' , 'Contatto : %1%' );
define( 'GV_OWNER_WEBSITE' , 'Sito web : %1%' );
define( 'GV_GLOBAL_INDEX' , 'Indizio globale' );
define( 'GV_HOME' , 'Casa' );
define( 'GV_HOME_1' , 'Sono %1% individui, %2% famiglie e %3% cognomi in questa genealogia.' );
define( 'GV_HOME_2' , 'Sono %1% individui e %2% cognomi in questa genealogia.' );
define( 'GV_SURNAMES' , 'Cognomi' );
define( 'GV_STATS' , 'Statistiche' );
define( 'GV_SEARCH' , 'Risultato della ricerca' );

// Common pages

define( 'GV_GENDER' , 'Sesso : %1%' );
define( 'GV_GENDER_M' , 'maschile' );
define( 'GV_GENDER_F' , 'feminile' );
define( 'GV_GENDER_U' , 'sconocuito' ); 
define( 'GV_BIRTH' , 'Nascita : %1%' );
define( 'GV_DEATH' , 'Morte : %1%' );
define( 'GV_DEATH_CAUSE' , 'Causa : %1%' ); 
define( 'GV_BURIAL' , 'Sepolto : %1%' );  
define( 'GV_OCCUPATION' , 'Occupazione : %1%' );
define( 'GV_COMMENTS_INDIV' , 'Note individuali' );
define( 'GV_FACTS_INDIV' , 'Altri datti' );
define( 'GV_COMMENTS_COUPLE' , 'Note della coppia' );
define( 'GV_COMMENTS_MORE' , 'Altre note' );
define( 'GV_PARENTS' , 'Genitori' );
define( 'GV_NO_PARENTS' , 'Senza genitori' );
define( 'GV_FATHER' , 'Padre : %1%' );
define( 'GV_MOTHER' , 'Madre : %1%' );
define( 'GV_WEDDING' , 'Matrimonio : %1%' );
define( 'GV_DIVORCE' , 'Divorzio : %1%' );
define( 'GV_SPOUSE' , 'Sposa' );
define( 'GV_NO_SPOUSE' , 'Senza sposa' );
define( 'GV_CHILDREN' , 'Banbini' );
define( 'GV_NO_CHILD' , 'Senza banbini' );
define( 'GV_SURNAMES_LIST' , 'Lista dei cognomi' );
define( 'GV_NO_SURNAME' , 'Individui senza cognome' );
define( 'GV_INDIVIDUALS' , '%1% individui' );
define( 'GV_20_SURNAMES' , 'I 20 cognomi piu frequenti' );
define( 'GV_20_WEDDING' , 'I 20 ultimi matrimoni' );
define( 'GV_20_BIRTH' , 'Le 20 ultime nascite' );
define( 'GV_20_OLDER' , 'Le 20 personne piu anziane' );
define( 'GV_SEARCH_REQUEST' , 'Richiesta' );
define( 'GV_SEARCH_PREVIOUS' , 'Risultati precedenti' );
define( 'GV_SEARCH_NEXT' , 'Risultati seguenti' );
define( 'GV_SEARCH_RESULTS' , 'Risultati %1%-%2% su %3%.' );
define( 'GV_SEARCH_NORESULT' , 'Nessun Risultato.' );
define( 'GV_SEARCH_WRONG' , 'Per cortesia dare al meno una lettera...' );
define( 'GV_SEARCH_LABEL' , 'Ricerca rapida' );
define( 'GV_SEARCH_BUTTON_LABEL' , 'Cercare' );
define( 'GV_INFO' , 'Informationi' );
define( 'GV_ADVANCED_SEARCH_LABEL'  , 'Ricerca avanzata' );
define( 'GV_APPROXIMATIVE_SEARCH'  , 'Proviamo una ricerca approssimativa?' );
define( 'GV_COMMENTS'  , 'Commenti : %1%' );
define( 'GV_FIRST_NAME'  , 'Nome : %1%' );
define( 'GV_LAST_NAME'  , 'Cognome : %1%' );
define( 'GV_LIVING_PERSON' , 'Persona viva' ); 

// Month names

define( 'GV_JAN' , 'genaio' );
define( 'GV_FEB' , 'febraio' );
define( 'GV_MAR' , 'marzo' );
define( 'GV_APR' , 'aprile' );
define( 'GV_MAY' , 'magio' );
define( 'GV_JUN' , 'junio' );
define( 'GV_JUL' , 'luglio' );
define( 'GV_AUG' , 'agosto' );
define( 'GV_SEP' , 'settembre' );
define( 'GV_OCT' , 'ottobre' );
define( 'GV_NOV' , 'novembre' );
define( 'GV_DEC' , 'dicembre' );

$GV_DATE['ABT'] = 'approssimativamente %1%';
$GV_DATE['CAL'] = '%1% (calcolato)';
$GV_DATE['EST'] = '%1% (estimato)';
$GV_DATE['BEF'] = 'prima %1%';
$GV_DATE['AFT'] = 'doppo %1%';
$GV_DATE['BET'] = 'entro %1% e %2%';

//Tag labels for facts//

$GV_TAG['_MILT'] = 'Servizio Militare'; 
$GV_TAG['_NAMS'] = 'Namesake'; //translate ? What is namesake ?
$GV_TAG['ALIA']  = 'Alias'; 
$GV_TAG['BAPM']  = 'Battesimo'; 
$GV_TAG['BIRT']  = 'Altra Data di nascita'; //translate  ? I dont understand how you may have other birth dates ?
$GV_TAG['BURI']  = 'Funerale'; 
$GV_TAG['CHR']   = 'Battesimo'; //translate ? What the difference between Batism and Christening ?
$GV_TAG['DEAT']  = 'Altra Data di morte'; //translate ? I dont understand how you may have other death dates ?
$GV_TAG['EDUC']  = 'Occupazione'; 
$GV_TAG['EMIG']  = 'Emigrato'; //translate ? Daes this meen a status or date when it hapens ?
$GV_TAG['IMMI']  = 'Immigrato'; //translate ? Daes this meen a status or date when it hapens ?
$GV_TAG['NAME']  = 'Altri Nomi'; 
$GV_TAG['OCCU']  = 'Occupazione'; 
$GV_TAG['RELI']  = 'Religione'; 
$GV_TAG['RESI']  = 'Residenza'; 
$GV_TAG['TITL']  = 'Titoli Honorifici'; 

//Admin area //
define( 'GV_ADMIN_DATABASE' , 'Database' ); 
define( 'GV_ADMIN_LOAD' , 'Caricare la database' ); 
define( 'GV_ADMIN_MANAGE' , 'Gestione databasi' ); 
define( 'GV_ADMIN_GENERAL' , 'Generale' ); 
define( 'GV_ADMIN_MODULES' , 'Modulo admin' ); 
define( 'GV_ADMIN_GLOBAL' , 'Parametri Globali' ); 
define( 'GV_ADMIN_UNINSTALL' , 'Cancela Poplar' ); 
define( 'GV_ADMIN_PHPINFO' , 'PHP Info' ); 
define( 'GV_ADMIN_UPDATES' , 'Verifica updates' ); 
define( 'GV_ADMIN_CONTACT' , 'Contatto' ); 
define( 'GV_ADMIN_EDIT' , 'Modifica Genealogia' ); 
define( 'GV_ADMIN_SEARCH_NAME' , 'Cerca Nome' ); 

define( 'GV_FNAME' , 'Cognome' ); 
define( 'GV_LNAME' , 'Nome' ); 
define( 'GV_GENDR' , 'Sesso' ); 
define( 'GV_BIRTH_RANGE' , 'Birth Range' ); // please translate ? what do you mean ?
define( 'GV_BIRTH_DATE' , 'Data di nascita' ); 
define( 'GV_BIRTH_PHRASE' , 'Birth Phrase' ); // please translate  ? what do you mean ?
define( 'GV_BIRTH_PLACE' , 'Luogo di nascita' ); 
define( 'GV_DEATH_RANGE' , 'Death Range' ); 
define( 'GV_DEATH_DATE' , 'Data di morte' ); 
define( 'GV_DEATH_PHRASE' , 'Death Phrase' ); // please translate ? what do you mean ?
define( 'GV_DEATH_PLACE' , 'Luogo di morte' ); // please translate ? what do you mean ?
define( 'GV_DEATH_CAUS' , 'Causa della morte' );
define( 'GV_NO_IND_NOTE' , 'senza nota individuale per ' ); 
define( 'GV_NAME' , 'Cognome' ); 
define( 'GV_BIRTH_DATE' , 'Data di nascita' ); 
define( 'GV_INDIVIDUAL' , 'Individuale' ); 
define( 'GV_IND_NOTE' , 'Ind. Nota' ); 
define( 'GV_SP_NOTES' , 'Nota di coppia' ); 
define( 'GV_FACTS' , 'Fatti' ); 
define( 'GV_EDIT' , 'Modifica' ); 
define( 'GV_CHANGE' , 'Cambia' ); 
define( 'GV_CHOOSE' , 'Sceglie' ); 
define( 'GV_SAVE_CHANGES' , 'Salva modifiche' ); 
define( 'GV_ADD_FACTS' , 'Altri Fatti: ' );
define( 'GV_NO_ADD_FACTS' , 'Senza Altri Fatti: ' );
define( 'GV_TAG_NAME' , 'Nome del fatto' ); 
define( 'GV_TAG_RANGE' , 'Fact Range' ); // please translate ? what do you mean ?
define( 'GV_TAG_DATE' , 'Data del fatto' ); 
define( 'GV_TAG_PHRASE' , 'Date Phrase' ); // please translate ? What do you mean ?
define( 'GV_TAG_PLACE' , 'Luogo del fatto' ); 

?>