<?php

// Charset to be used

$pgv->setCharset( 'iso-8859-2' );

// Welcome page

define( 'GV_INDEX_NO_TABLE' , 'Nie zarejestrowana.' );
define( 'GV_GENEALOGY' , 'Genealogia' );
define( 'GV_LIST' , 'Inne genealogie :' );
define( 'GV_ADMINISTRATOR' , 'Admin' );
define( 'GV_OWNER' , 'kontact : %1%' );
define( 'GV_OWNER_WEBSITE' , 'Website : %1%' );
define( 'GV_GLOBAL_INDEX' , 'Gwny indeks' );
define( 'GV_HOME' , 'Strona gwna' );
define( 'GV_HOME_1' , 'Jest %1% osb, %2% rodzin i %3% nazwisk w tej genealogii.' );
define( 'GV_HOME_2' , 'Jest %1% osb i %2% nazwisk w tej genealogii.' );
define( 'GV_SURNAMES' , 'Nazwiska' );
define( 'GV_STATS' , 'Statystyki' );
define( 'GV_SEARCH' , 'Wynik wyszukiwania' );

// Common pages

define( 'GV_GENDER' , 'Pe : %1%' );
define( 'GV_GENDER_M' , 'Mczyzna' );
define( 'GV_GENDER_F' , 'Kobieta' );
define( 'GV_GENDER_U' , 'unknown' ); //translate
define( 'GV_BIRTH' , 'Data urodzenia : %1%' );
define( 'GV_DEATH' , 'Data zgonu: %1%' );
define( 'GV_DEATH_CAUSE' , 'Cause : %1%' ); //translate
define( 'GV_BURIAL' , 'Burial : %1%' ); //translate
define( 'GV_OCCUPATION' , 'Zawd : %1%' );
define( 'GV_COMMENTS_INDIV' , 'Komentarz osobisty' );
define( 'GV_FACTS_INDIV' , 'Additional facts' ); //translate
define( 'GV_COMMENTS_COUPLE' , 'Komentarz maonkw' );
define( 'GV_COMMENTS_MORE' , 'Wicej ' );
define( 'GV_PARENTS' , 'Rodzice ' );
define( 'GV_NO_PARENTS' , 'Brak rodzicw ' );
define( 'GV_FATHER' , 'Ojciec: %1%' );
define( 'GV_MOTHER' , 'Matka : %1%' );
define( 'GV_WEDDING' , 'Slub : %1%' );
define( 'GV_DIVORCE' , 'Rozwd : %1%' );
define( 'GV_SPOUSE' , 'maonek (a)' );
define( 'GV_NO_SPOUSE' , 'Brak maonka (i)' );
define( 'GV_CHILDREN' , 'Dzieci' );
define( 'GV_NO_CHILD' , 'Brak dzieci' );
define( 'GV_SURNAMES_LIST' , 'Lista nazwisk' );
define( 'GV_NO_SURNAME' , 'Bez nazwiska' );
define( 'GV_INDIVIDUALS' , '%1% osoby' );
define( 'GV_20_SURNAMES' , '20 most common surnames' );
define( 'GV_20_WEDDING' , '20 ostatnich lubw' );
define( 'GV_20_BIRTH' , '20 ostatnich urodzin' );
define( 'GV_20_OLDER' , '20 najstarszych osb' );
define( 'GV_SEARCH_REQUEST' , 'Wyszukiwanie' );
define( 'GV_SEARCH_PREVIOUS' , 'Poprzedni wynik' );
define( 'GV_SEARCH_NEXT' , 'Nastpny wynik' );
define( 'GV_SEARCH_RESULTS' , 'Wyniki %1%-%2% z %3%.' );
define( 'GV_SEARCH_NORESULT' , 'Brak wyniku.' );
define( 'GV_SEARCH_WRONG' , 'Prosz wpisa przynajmniej jedn liter...' );
define( 'GV_SEARCH_LABEL' , 'Szybkie wyszukiwanie' );
define( 'GV_SEARCH_BUTTON_LABEL' , 'Szukaj' );
define( 'GV_INFO' , 'Informacje' );
define( 'GV_ADVANCED_SEARCH_LABEL'  , 'Wyszukiwanie zaawansowane' );
define( 'GV_APPROXIMATIVE_SEARCH'  , 'ponowne zblione wyszukiwanie ?' );
define( 'GV_COMMENTS'  , 'Notatki : %1%' );
define( 'GV_FIRST_NAME'  , 'Imi  : %1%' );
define( 'GV_LAST_NAME'  , 'Nazwisko : %1%' );
define( 'GV_LIVING_PERSON' , 'Living Person' ); //translate

// Month names

define( 'GV_JAN' , 'stycze' );
define( 'GV_FEB' , 'luty' );
define( 'GV_MAR' , 'marzec' );
define( 'GV_APR' , 'kwiecie' );
define( 'GV_MAY' , 'maj' );
define( 'GV_JUN' , 'czerwiec' );
define( 'GV_JUL' , 'lipiec' );
define( 'GV_AUG' , 'sierpie' );
define( 'GV_SEP' , 'wrzesie' );
define( 'GV_OCT' , 'pazdziernik' );
define( 'GV_NOV' , 'listopad' );
define( 'GV_DEC' , 'grudzie' );

$GV_DATE['ABT'] = 'w przyblieniu %1%';
$GV_DATE['CAL'] = '%1% (wyliczone)';
$GV_DATE['EST'] = '%1% (szacunkowo)';
$GV_DATE['BEF'] = 'przed %1%';
$GV_DATE['AFT'] = 'po %1%';
$GV_DATE['BET'] = 'midzy %1% a %2%';
//Tag labels for facts//

$GV_TAG['_MILT'] = 'Military Service'; //translate
$GV_TAG['_NAMS'] = 'Namesake'; //translate
$GV_TAG['ALIA']  = 'Alias'; //translate
$GV_TAG['BAPM']  = 'Baptism'; //translate
$GV_TAG['BIRT']  = 'Other Birth Date'; //translate
$GV_TAG['BURI']  = 'Burial'; //translate
$GV_TAG['CHR']   = 'Christening'; //translate
$GV_TAG['DEAT']  = 'Other Death Date'; //translate
$GV_TAG['EDUC']  = 'Occupation'; //translate
$GV_TAG['EMIG']  = 'Emmigration'; //translate
$GV_TAG['IMMI']  = 'Immigration'; //translate
$GV_TAG['NAME']  = 'Other Name'; //translate
$GV_TAG['OCCU']  = 'Occupation'; //translate
$GV_TAG['RELI']  = 'Religion'; //translate
$GV_TAG['RESI']  = 'Residence'; //translate
$GV_TAG['TITL']  = 'Title or Honorific'; //translate

//Admin area //
define( 'GV_ADMIN_DATABASE' , 'Database' ); //translate
define( 'GV_ADMIN_LOAD' , 'Load a database' ); //translate
define( 'GV_ADMIN_MANAGE' , 'Manage databases' ); //translate
define( 'GV_ADMIN_GENERAL' , 'General' ); //translate
define( 'GV_ADMIN_MODULES' , 'Modules admin' ); //translate
define( 'GV_ADMIN_GLOBAL' , 'Global settings' ); //translate
define( 'GV_ADMIN_UNINSTALL' , 'Uninstall Poplar' ); //translate
define( 'GV_ADMIN_PHPINFO' , 'PHP Info' ); //translate
define( 'GV_ADMIN_UPDATES' , 'Check for updates' ); //translate
define( 'GV_ADMIN_CONTACT' , 'Contact' ); //translate
define( 'GV_ADMIN_EDIT' , 'Edit Genealogy' ); // please translate
define( 'GV_ADMIN_SEARCH_NAME' , 'Search Name' ); // please translate

define( 'GV_FNAME' , 'First Name' ); // please translate
define( 'GV_LNAME' , 'Last Name' ); // please translate
define( 'GV_GENDR' , 'Gender' ); // please translate
define( 'GV_BIRTH_RANGE' , 'Birth Range' ); // please translate
define( 'GV_BIRTH_DATE' , 'Birth Date' ); // please translate
define( 'GV_BIRTH_PHRASE' , 'Birth Phrase' ); // please translate
define( 'GV_BIRTH_PLACE' , 'Birth Place' ); // please translate
define( 'GV_DEATH_RANGE' , 'Death Range' ); // please translate
define( 'GV_DEATH_DATE' , 'Death Date' ); // please translate
define( 'GV_DEATH_PHRASE' , 'Death Phrase' ); // please translate
define( 'GV_DEATH_PLACE' , 'Death Place' ); // please translate
define( 'GV_DEATH_CAUS' , 'Death Cause' ); // please translate
define( 'GV_NO_IND_NOTE' , 'No Individual Note for ' ); // please translate
define( 'GV_NAME' , 'Name' ); // please translate
define( 'GV_BIRTH_DATE' , 'Birth Date' ); // please translate
define( 'GV_INDIVIDUAL' , 'Individual' ); // please translate
define( 'GV_IND_NOTE' , 'Ind.Note' ); // please translate
define( 'GV_SP_NOTES' , 'Couple Notes' ); // please translate
define( 'GV_FACTS' , 'Facts' ); // please translate
define( 'GV_EDIT' , 'Edit' ); // please translate
define( 'GV_CHANGE' , 'Change' ); // please translate
define( 'GV_CHOOSE' , 'Choose' ); // please translate
define( 'GV_SAVE_CHANGES' , 'Save Changes' ); // please translate
define( 'GV_ADD_FACTS' , 'Additional Facts: ' ); // please translate
define( 'GV_NO_ADD_FACTS' , 'No Additional Facts: ' ); // please translate
define( 'GV_TAG_NAME' , 'Fact Name' ); // please translate
define( 'GV_TAG_RANGE' , 'Fact Range' ); // please translate
define( 'GV_TAG_DATE' , 'Fact Date' ); // please translate
define( 'GV_TAG_PHRASE' , 'Date Phrase' ); // please translate
define( 'GV_TAG_PLACE' , 'Fact Place' ); // please translate
define( 'GV_INSERT' , 'Insert' ); // please translate
define( 'GV_DELETE' , 'Delete' ); // please translate
?>