<?php

// Charset to be used

$pgv->setCharset( 'iso-8859-1' );

// Welcome page

define( 'GV_INDEX_NO_TABLE' , 'No existem tabelas indexadas' );
define( 'GV_GENEALOGY' , 'Genealogia' );
define( 'GV_LIST' , 'Outras genealogias :' );
define( 'GV_ADMINISTRATOR' , 'Admin' );
define( 'GV_OWNER' , 'Contato : %1%' );
define( 'GV_OWNER_WEBSITE' , 'Website : %1%' );
define( 'GV_GLOBAL_INDEX' , 'ndice global' );
define( 'GV_HOME' , 'Incio' );
define( 'GV_HOME_1' , 'Existem %1% pessoas, %2% famlias e %3% sobrenomes neste banco de dados genealgico.' );
define( 'GV_HOME_2' , 'Existem %1% pessoas e %2% sobrenomes neste banco de dados genealgico.' );
define( 'GV_SURNAMES' , 'Sobrenomes' );
define( 'GV_STATS' , 'Estatsticas' );
define( 'GV_SEARCH' , 'Resultados da procura' );

// Common pages

define( 'GV_GENDER' , 'Sexo : %1%' );
define( 'GV_GENDER_M' , 'masculino' );
define( 'GV_GENDER_F' , 'feminino' );
define( 'GV_GENDER_U' , 'unknown' ); // English
define( 'GV_BIRTH' , 'Nascimento : %1%' );
define( 'GV_DEATH' , 'Morte : %1%' );
define( 'GV_DEATH_CAUSE' , 'Cause : %1%' ); // English
define( 'GV_BURIAL' , 'Burial : %1%' ); // English
define( 'GV_OCCUPATION' , 'Profisso : %1%' );
define( 'GV_COMMENTS_INDIV' , 'Notas individuais' );
define( 'GV_FACTS_INDIV' , 'Additional facts' ); // English
define( 'GV_COMMENTS_COUPLE' , 'Notas do casamento' );
define( 'GV_COMMENTS_MORE' , 'Outras notas' );
define( 'GV_PARENTS' , 'Pais' );
define( 'GV_NO_PARENTS' , 'No h registro no banco de dados' );
define( 'GV_FATHER' , 'Pai : %1%' );
define( 'GV_MOTHER' , 'Me : %1%' );
define( 'GV_WEDDING' , 'Casamento : %1%' );
define( 'GV_DIVORCE' , 'Divrcio : %1%' );
define( 'GV_SPOUSE' , 'Cnjugue' );
define( 'GV_NO_SPOUSE' , 'Sem Cnjugue' );
define( 'GV_CHILDREN' , 'Filhos' );
define( 'GV_NO_CHILD' , 'Sem filhos' );
define( 'GV_SURNAMES_LIST' , 'Lista de sobrenomes' );
define( 'GV_NO_SURNAME' , 'Pessoas sem sobrenome' );
define( 'GV_INDIVIDUALS' , '%1% pessoas' );
define( 'GV_20_SURNAMES' , '20 sobrenomes mais comuns' );
define( 'GV_20_WEDDING' , '20 ltimos casamentos' );
define( 'GV_20_BIRTH' , '20 ltimos nascimentos' );
define( 'GV_20_OLDER' , '20 pessoas vivas mais velhas' );
define( 'GV_SEARCH_REQUEST' , 'Requisio' );
define( 'GV_SEARCH_PREVIOUS' , 'Resultados anteriores' );
define( 'GV_SEARCH_NEXT' , 'Prximos resultados' );
define( 'GV_SEARCH_RESULTS' , 'Resultados %1%-%2% de %3%.' );
define( 'GV_SEARCH_NORESULT' , 'No encontrado!' );
define( 'GV_SEARCH_WRONG' , 'Procure pelo menos uma letra...' );
define( 'GV_SEARCH_LABEL' , 'Procura rpida' );
define( 'GV_SEARCH_BUTTON_LABEL' , 'Procurar' );
define( 'GV_INFO' , 'Informaes' );
define( 'GV_ADVANCED_SEARCH_LABEL' , 'Procura avanada' );
define( 'GV_APPROXIMATIVE_SEARCH' , 'Tentar uma procura por aproximao?' );
define( 'GV_COMMENTS' , 'Notas : %1%' );
define( 'GV_FIRST_NAME' , 'Primeiro nome : %1%' );
define( 'GV_LAST_NAME' , 'ltimo nome : %1%' );
define( 'GV_LIVING_PERSON' , 'Living Person' ); // English

// Month names

define( 'GV_JAN' , 'janeiro' );
define( 'GV_FEB' , 'fevereiro' );
define( 'GV_MAR' , 'maro' );
define( 'GV_APR' , 'abril' );
define( 'GV_MAY' , 'maio' );
define( 'GV_JUN' , 'junho' );
define( 'GV_JUL' , 'julho' );
define( 'GV_AUG' , 'agosto' );
define( 'GV_SEP' , 'setembro' );
define( 'GV_OCT' , 'outubro' );
define( 'GV_NOV' , 'novmbro' );
define( 'GV_DEC' , 'dezembro' );

$GV_DATE['ABT'] = 'aproximadamente %1%';
$GV_DATE['CAL'] = '%1% (calculado)';
$GV_DATE['EST'] = '%1% (estimado)';
$GV_DATE['BEF'] = 'antes %1%';
$GV_DATE['AFT'] = 'aps %1%';
$GV_DATE['BET'] = 'entre %1% e %2%';

//Tag labels for facts//

$GV_TAG['_MILT'] = 'Military Service'; // English
$GV_TAG['_NAMS'] = 'Namesake'; // English
$GV_TAG['ALIA']  = 'Alias'; // English
$GV_TAG['BAPM']  = 'Baptism'; // English
$GV_TAG['BIRT']  = 'Other Birth Date'; // English
$GV_TAG['BURI']  = 'Burial'; // English
$GV_TAG['CHR']   = 'Christening'; // English
$GV_TAG['DEAT']  = 'Other Death Date'; // English
$GV_TAG['EDUC']  = 'Occupation'; // English
$GV_TAG['EMIG']  = 'Emmigration'; // English
$GV_TAG['IMMI']  = 'Immigration'; // English
$GV_TAG['NAME']  = 'Other Name'; // English
$GV_TAG['OCCU']  = 'Occupation'; // English
$GV_TAG['RELI']  = 'Religion'; // English
$GV_TAG['RESI']  = 'Residence'; // English
$GV_TAG['TITL']  = 'Title or Honorific'; // English

//Admin area //
define( 'GV_ADMIN_DATABASE' , 'Database' ); // English
define( 'GV_ADMIN_LOAD' , 'Load a database' ); // English
define( 'GV_ADMIN_MANAGE' , 'Manage databases' ); // English
define( 'GV_ADMIN_GENERAL' , 'General' ); // English
define( 'GV_ADMIN_MODULES' , 'Modules admin' ); // English
define( 'GV_ADMIN_GLOBAL' , 'Global settings' ); // English
define( 'GV_ADMIN_UNINSTALL' , 'Uninstall Poplar' ); // English
define( 'GV_ADMIN_PHPINFO' , 'PHP Info' ); // English
define( 'GV_ADMIN_UPDATES' , 'Check for updates' ); // English
define( 'GV_ADMIN_CONTACT' , 'Contact' ); // English
define( 'GV_ADMIN_EDIT' , 'Edit Genealogy' ); // please translate
define( 'GV_ADMIN_SEARCH_NAME' , 'Search Name' ); // please translate

define( 'GV_FNAME' , 'First Name' ); // please translate
define( 'GV_LNAME' , 'Last Name' ); // please translate
define( 'GV_GENDR' , 'Gender' ); // please translate
define( 'GV_BIRTH_RANGE' , 'Birth Range' ); // please translate
define( 'GV_BIRTH_DATE' , 'Birth Date' ); // please translate
define( 'GV_BIRTH_PHRASE' , 'Birth Phrase' ); // please translate
define( 'GV_BIRTH_PLACE' , 'Birth Place' ); // please translate
define( 'GV_DEATH_RANGE' , 'Death Range' ); // please translate
define( 'GV_DEATH_DATE' , 'Death Date' ); // please translate
define( 'GV_DEATH_PHRASE' , 'Death Phrase' ); // please translate
define( 'GV_DEATH_PLACE' , 'Death Place' ); // please translate
define( 'GV_DEATH_CAUS' , 'Death Cause' ); // please translate
define( 'GV_NO_IND_NOTE' , 'No Individual Note for ' ); // please translate
define( 'GV_NAME' , 'Name' ); // please translate
define( 'GV_BIRTH_DATE' , 'Birth Date' ); // please translate
define( 'GV_INDIVIDUAL' , 'Individual' ); // please translate
define( 'GV_IND_NOTE' , 'Ind.Note' ); // please translate
define( 'GV_SP_NOTES' , 'Couple Notes' ); // please translate
define( 'GV_FACTS' , 'Facts' ); // please translate
define( 'GV_EDIT' , 'Edit' ); // please translate
define( 'GV_CHANGE' , 'Change' ); // please translate
define( 'GV_CHOOSE' , 'Choose' ); // please translate
define( 'GV_SAVE_CHANGES' , 'Save Changes' ); // please translate
define( 'GV_ADD_FACTS' , 'Additional Facts: ' ); // please translate
define( 'GV_NO_ADD_FACTS' , 'No Additional Facts: ' ); // please translate
define( 'GV_TAG_NAME' , 'Fact Name' ); // please translate
define( 'GV_TAG_RANGE' , 'Fact Range' ); // please translate
define( 'GV_TAG_DATE' , 'Fact Date' ); // please translate
define( 'GV_TAG_PHRASE' , 'Date Phrase' ); // please translate
define( 'GV_TAG_PLACE' , 'Fact Place' ); // please translate
define( 'GV_INSERT' , 'Insert' ); // please translate
define( 'GV_DELETE' , 'Delete' ); // please translate
?>