<?php
// Swedish translation of the 2.0 Beta 1 rev. 2 (Part 1 main)
// in November 2003. By Jorgen Svensson

// Charset to be used

$pgv->setCharset( 'iso-8859-1' );

// Welcome page

define( 'GV_INDEX_NO_TABLE' , 'Ingen indextabell.' );
define( 'GV_GENEALOGY' , 'Genealogi' );
define( 'GV_LIST' , 'Tillgngliga genealogier :' );
define( 'GV_ADMINISTRATOR' , 'Admin' );
define( 'GV_OWNER' , 'Kontakt : %1%' );
define( 'GV_OWNER_WEBSITE' , 'Hemsida : %1%' );
define( 'GV_GLOBAL_INDEX' , 'Global Index' );
define( 'GV_HOME' , 'Hem' );
define( 'GV_HOME_1' , 'Det finns %1% personer, %2% familjer och %3% efternamn i denna genealogiska databas.' );
define( 'GV_HOME_2' , 'Det finns %1% personer och %2% efternamn i denna genealogiska databas.' );
define( 'GV_SURNAMES' , 'Efternamn' );
define( 'GV_STATS' , 'Statistik' );
define( 'GV_SEARCH' , 'Skresultat' );

// Common pages

define( 'GV_GENDER' , 'Kn : %1%' );
define( 'GV_GENDER_M' , 'man' );
define( 'GV_GENDER_F' , 'kvinna' );
define( 'GV_GENDER_U' , 'oknt' );
define( 'GV_BIRTH' , 'Fdd : %1%' );
define( 'GV_DEATH' , 'Dd : %1%' );
define( 'GV_DEATH_CAUSE' , 'Ddsorsak : %1%' );
define( 'GV_BURIAL' , 'Begravd : %1%' );
define( 'GV_OCCUPATION' , 'Yrke : %1%' );
define( 'GV_COMMENTS_INDIV' , 'Individuella anteckningar' );
define( 'GV_FACTS_INDIV' , 'vrig information' );
define( 'GV_COMMENTS_COUPLE' , 'Maka/make anteckningar' );
define( 'GV_COMMENTS_MORE' , 'Mera' );
define( 'GV_PARENTS' , 'Frldrar' );
define( 'GV_NO_PARENTS' , 'Finns ej i databasen' );
define( 'GV_FATHER' , 'Fader : %1%' );
define( 'GV_MOTHER' , 'Moder : %1%' );
define( 'GV_WEDDING' , 'Vigda : %1%' );
define( 'GV_DIVORCE' , 'Skilda : %1%' );
define( 'GV_SPOUSE' , 'Make/maka' );
define( 'GV_NO_SPOUSE' , 'Ej make/maka' );
define( 'GV_CHILDREN' , 'Barn' );
define( 'GV_NO_CHILD' , 'Inga barn' );
define( 'GV_SURNAMES_LIST' , 'Efternamnslista' );
define( 'GV_NO_SURNAME' , 'Personer utan efternamn' );
define( 'GV_INDIVIDUALS' , '%1% personer' );
define( 'GV_20_SURNAMES' , 'De 20 vanligaste efternamnen' );
define( 'GV_20_WEDDING' , 'De senaste 20 giftemlen' );
define( 'GV_20_BIRTH' , 'De senaste 20 fdda' );
define( 'GV_20_OLDER' , '20 ldre personer' );
define( 'GV_SEARCH_REQUEST' , 'Skresultat' );
define( 'GV_SEARCH_PREVIOUS' , 'Fregende sida' );
define( 'GV_SEARCH_NEXT' , 'Nsta sida' );
define( 'GV_SEARCH_RESULTS' , 'Trffar %1%-%2% av %3%.' );
define( 'GV_SEARCH_NORESULT' , 'Inga trffar.' );
define( 'GV_SEARCH_WRONG' , 'Vnligen ange minst ett tecken...' );
define( 'GV_SEARCH_LABEL' , 'Snabbsk' );
define( 'GV_SEARCH_BUTTON_LABEL' , 'Sk' );
define( 'GV_INFO' , 'Information' );
define( 'GV_ADVANCED_SEARCH_LABEL' , 'Avancerad skning' );
define( 'GV_APPROXIMATIVE_SEARCH' , 'Prova en ungefrlig skning?' );
define( 'GV_COMMENTS' , 'Anteckningar : %1%' );
define( 'GV_FIRST_NAME' , 'Frnamn : %1%' );
define( 'GV_LAST_NAME' , 'Efternamn : %1%' );
define( 'GV_LIVING_PERSON' , 'Levande person' );

// Month names

define( 'GV_JAN' , 'januari' );
define( 'GV_FEB' , 'februari' );
define( 'GV_MAR' , 'mars' );
define( 'GV_APR' , 'april' );
define( 'GV_MAY' , 'maj' );
define( 'GV_JUN' , 'juni' );
define( 'GV_JUL' , 'juli' );
define( 'GV_AUG' , 'augusti' );
define( 'GV_SEP' , 'september' );
define( 'GV_OCT' , 'oktober' );
define( 'GV_NOV' , 'november' );
define( 'GV_DEC' , 'december' );

$GV_DATE['ABT'] = 'om %1%';
$GV_DATE['CAL'] = '%1% (berknad)';
$GV_DATE['EST'] = '%1% (frvntad)';
$GV_DATE['BEF'] = 'fre %1%';
$GV_DATE['AFT'] = 'efter %1%';
$GV_DATE['BET'] = 'mellan %1% och %2%';

//Tag labels for facts//

$GV_TAG['_MILT'] = 'Militrtjnstgring';
$GV_TAG['_NAMS'] = 'Dpt efter';
$GV_TAG['ALIA'] = 'ven kallad';
$GV_TAG['BAPM'] = 'Dop';
$GV_TAG['BIRT'] = 'Alternativt fdd';
$GV_TAG['BURI'] = 'Begravning';
$GV_TAG['CHR'] = 'Dpt';
$GV_TAG['DEAT'] = 'Alternativt dd';
$GV_TAG['EDUC'] = 'Sysselsttning';
$GV_TAG['EMIG'] = 'Utvandrad';
$GV_TAG['IMMI'] = 'Invandrad';
$GV_TAG['NAME'] = 'Annat namn';
$GV_TAG['OCCU'] = 'Yrke';
$GV_TAG['RELI'] = 'Religion';
$GV_TAG['RESI'] = 'Bosatt';
$GV_TAG['TITL'] = 'Titel';

//Admin area //
define( 'GV_ADMIN_DATABASE' , 'Databas' );
define( 'GV_ADMIN_LOAD' , 'Ladda en database' );
define( 'GV_ADMIN_MANAGE' , 'Hantera databaser' );
define( 'GV_ADMIN_GENERAL' , 'Allmnt' );
define( 'GV_ADMIN_MODULES' , 'Moduladmin' );
define( 'GV_ADMIN_GLOBAL' , 'Globala instllningar' );
define( 'GV_ADMIN_UNINSTALL' , 'Avinstallera Poplar' );
define( 'GV_ADMIN_PHPINFO' , 'PHP Info' );
define( 'GV_ADMIN_UPDATES' , 'Kontrollera om det finns uppdateringar' );
define( 'GV_ADMIN_CONTACT' , 'Kontakt' );
define( 'GV_ADMIN_EDIT' , 'Redigera Genealogi' );
define( 'GV_ADMIN_SEARCH_NAME' , 'Sk Namn' );

define( 'GV_FNAME' , 'Frnamn' );
define( 'GV_LNAME' , 'Efternamn' );
define( 'GV_GENDR' , 'Kn' );
define( 'GV_BIRTH_RANGE' , 'Fdd omkring' );
define( 'GV_BIRTH_DATE' , 'Fdd datum' );
define( 'GV_BIRTH_PHRASE' , 'Fdd kommentar' );
define( 'GV_BIRTH_PLACE' , 'Fdd ort' );
define( 'GV_DEATH_RANGE' , 'Dd omkring' );
define( 'GV_DEATH_DATE' , 'Dd datum' );
define( 'GV_DEATH_PHRASE' , 'Ddsfallsbetckning' );
define( 'GV_DEATH_PLACE' , 'Dd ort' );
define( 'GV_DEATH_CAUS' , 'Ddsorsak' );
define( 'GV_NO_IND_NOTE' , 'Individuell notis saknas fr ' );
define( 'GV_NAME' , 'Namn' );
define( 'GV_BIRTH_DATE' , 'Fdd datum' );
define( 'GV_INDIVIDUAL' , 'Individuell' );
define( 'GV_IND_NOTE' , 'Ind.Notis' );
define( 'GV_SP_NOTES' , 'ktenskapsnotis' );
define( 'GV_FACTS' , 'Fakta' );
define( 'GV_EDIT' , 'Redigera' );
define( 'GV_CHANGE' , 'ndra' );
define( 'GV_CHOOSE' , 'Vlj' );
define( 'GV_SAVE_CHANGES' , 'Spara ndringar' );
define( 'GV_ADD_FACTS' , 'Ytterligare fakta: ' );
define( 'GV_NO_ADD_FACTS' , 'Ytterligare fakta saknas: ' );
define( 'GV_TAG_NAME' , 'Fakta namn' );
define( 'GV_TAG_RANGE' , 'Faktaomrde' );
define( 'GV_TAG_DATE' , 'Faktadatum' );
define( 'GV_TAG_PHRASE' , 'Datumbetckning' );
define( 'GV_TAG_PLACE' , 'Fakta ort' );
define( 'GV_INSERT' , 'Insert' ); // please translate
define( 'GV_DELETE' , 'Delete' ); // please translate
?>