<?php
/*
 * Poplar Gedcom Viewer
 * Copyright (C) 2002-2003 Nicolas de Vulpian
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/*
 * Rewritten 10/2003 for v.2 compatibility
 * changes Copyright 2003 by J.R.Grotjan
*/
?>
<?php
function sql_to_gendex( $arg_date ){
    $conversion = array('01' => 'JAN' , '02' => 'FEB' , '03' => 'MAR' , '04' => 'APR' , '05' => 'MAY' , '06' => 'JUN' , '07' => 'JUL' , '08' => 'AUG' , '09' => 'SEP' , '10' => 'OCT' , '11' => 'NOV' , '12' => 'DEC');

    $temp = explode( '-' , $arg_date );
    $date = ( $temp[2] != '00' ? $temp[2].' ' : '' )
    .( $temp[1] != '00' ? $conversion[$temp[1]].' ' : '' )
    .( $temp[0] != '0000' ? $temp[0] : '' );
    return $date;
}

function gendex_date( $arg_date_range , $arg_date1 , $arg_date2 , $arg_date_phrase ) {
    if ( $arg_date_range == '' ) {
        if ( $arg_date1 != '0000-00-00' ) {
            $date = sql_to_gendex( $arg_date1 );
        }
    } else if ( $arg_date_range == 'PHR' ) {
            $date = $arg_date_phrase;
    }
    return $date;
}

switch ( $_GET['step'] ) {
    case '1' :
        ob_end_clean();
        include_once( $pgv->environment['rootPath'].'/config.php' );

        $query = 'SELECT ID , name , firstname , birth_range
        , birth1 , birth2 , birth_phrase , birth_place , death_range , death1
        , death2 , death_phrase , death_place FROM '.$pgv->table['individuals']
        .' WHERE genID = '.$_GET['genID'] ;
        $result = $db->Execute( $query );
        if ($result === false) die('failed to generate gendex: '.$query);

        while ( !$result->EOF ) {
            $ind_path = $pgv->environment['rootUrl'].'/index.php?genID='
            .$pgv->context['genID'].'&page=ind&id='.$result->fields['ID'];

            $gendex .= $ind_path.'|'.$result->fields['name'].'|'
            .$result->fields['firstname'].' /'.$result->fields['name']
            .'/|'.gendex_date( $result->fields['birth_range'] , $result->fields['birth1']
            , $result->fields['birth2'] , $result->fields['birth_phrase'] )
            .'|'.$result->fields['birth_place'].'|'
            .gendex_date( $result->fields['death_range'] , $result->fields['death1']
            , $result->fields['death2'] , $result->fields['death_phrase'] )
            .'|'.$result->fields['death_place'].'|'."\n";

            $result->MoveNext();
        }

        header( 'Content-Type: application/force-download' );
        header( 'Content-Disposition: attachment; filename=GENDEX.txt');
        header( 'Content-Length:'.strlen( $gendex ) );
        echo $gendex;

        ob_end_flush();
        exit;
        break;
    
    default :
        $result = $db->Execute( 'SELECT genID , table_name FROM '
        .$pgv->table['info'].' ORDER BY genID' );
        echo '<form action=\''.$pgv->environment['rootUrl']
        .'/modules/gendex/module_admin.php\' target=\'blank\' method=\'get\'>'
        .'<select name=\'genID\'>';

        while ( !$result->EOF ) {
            echo '<option value=\''.$result->fields['genID'].'\'>'
            .$result->fields['genID'].' '.$result->fields['table_name'].'</option>';
            $result->MoveNext();
        }

        echo '</select><br><br>'
        .'<input type=\'hidden\' name=\'step\' value=\'1\'>'
        .'<input type=\'submit\'>'
        .'</form>';
        break;
}
?>