<?php
/*
 * Poplar Gedcom Viewer
 * Copyright (C) 2002-2003 Nicolas de Vulpian
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
?>
<?php
$module['name']  = GV_MODULE_GUESTBOOK_NAME;
$module['action']  = 'Enables the visitors to leave a message on one\'s genealogy';
$module['description']  = 'This module will provide a guest book on selected genealogies';
$module['author']  = 'Nicolas de Vulpian, updated by J.R.Grotjan';
$module['version']  = 'v2.0';
$module['isactivable']  = true;
$module['pages']  = 'all-';
$module['admin'] = true;
$module['interface'] = true;
$module['silent'] = false;
$module['table']  = $this->moduleTable( 'guestbook' );
$module['install']  = 'CREATE TABLE IF NOT EXISTS '.$this->moduleTable( 'guestbook' ).' ('
                .'gID INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,'
                .'genID MEDIUMINT UNSIGNED NOT NULL,'
                .'PRIMARY KEY (gID)'
                .');'
                .'CREATE TABLE IF NOT EXISTS '.$this->moduleTable( 'guestbook_text' ).' ('
                .'gtID INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,'
                .'genID MEDIUMINT UNSIGNED NOT NULL,'
                .'author_name VARCHAR(100),'
                .'author_email VARCHAR(100),'
                .'author_ip VARCHAR(16),'
                .'message_date DATETIME,'
                .'message_subject VARCHAR(200),'
                .'message_body TEXT,'
                .'PRIMARY KEY (gtID)'
                .');';

$module['populate']  = '';

$module['uninstall']  = 'DROP TABLE '.$this->moduleTable( 'guestbook' ).', '
.$this->moduleTable( 'guestbook_text' );

$result = $db->Execute( 'SELECT name FROM '.$this->table['modules']
.' WHERE name = \'guestbook\'' );

if ( $result === false ) { die( 'Failed to select guestbook from '
.$this->table['modules'] ); }

if ( !$result->EOF ) {
    $result = $db->Execute( 'SELECT genID FROM '.$this->moduleTable( 'guestbook' )
    .' WHERE genID = \''.$this->context['genID'].'\'' );

    if ( $result === false ) { die( 'Failed to select from '
    .$this->moduleTable( 'guestbook' ) ); }
    $module['authorized'] = !$result->EOF; // this controls wether the module will be displayed in the current genealogy
}
?>