<?php
/*
 * Poplar Gedcom Viewer
 * Copyright (C) 2002-2003 Nicolas de Vulpian
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/*
 * PHP Gedcom Viewer Photo Module v.2.0
 * Copyright (C) 2003 by J.R. Grotjan
 * 
*/

?>
<?php
$module['name']  = GV_MODULE_PHOTOS_NAME;
$module['action']  = 'Enables the management of images for selected genealogy';
$module['description']  = 'This module manages images for the selected genealogy';
$module['author']  = 'J.R.Grotjan';
$module['version']  = 'v2.0';
$module['isactivable']  = true;
$module['pages']  = '';                //ind=individual all- = almost all // all+ = all pages
$module['admin'] = true;
$module['interface'] = true;
$module['silent'] = false;
$module['table']  = $this->moduleTable( 'photos' );
$module['install']  = 'CREATE TABLE IF NOT EXISTS '.$this->moduleTable( 'photo_book' ).' ('
                .'pbID INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,'
                .'genID MEDIUMINT UNSIGNED NOT NULL,'
                .'image_root VARCHAR(90),'
                .'PRIMARY KEY (pbID)'
                .');'
                .'CREATE TABLE IF NOT EXISTS '.$this->moduleTable( 'photo_entry' ).' ('
                .'peID INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,'
                .'genID MEDIUMINT UNSIGNED NOT NULL,'
                .'ind_id MEDIUMINT UNSIGNED NOT NULL,'
                .'photo_order TINYINT(4) UNSIGNED,'
                .'photo_name VARCHAR(100),'
                .'photo_path VARCHAR(100),'
                .'photo_source VARCHAR(100),'
                .'photo_desc TEXT,'
                .'photo_date DATE,'
                .'PRIMARY KEY (peID),'
                .'UNIQUE index_name (ind_id, photo_order)'
                .');';
$module['populate']  = '';
$module['uninstall']  = 'DROP TABLE '.$this->moduleTable( 'photo_book' )
                        .', '.$this->moduleTable( 'photo_entry' );

$result = $db->Execute( 'SELECT name FROM '.$this->table['modules']
          .' WHERE name = \'photos\'' );
if ( $result === false ) { die( 'Failed to select photos from '.$this->table['modules'] ); }

if ( !$result->EOF ) {
    $result = $db->Execute( 'SELECT genID FROM '.$this->moduleTable( 'photo_book' )
    .' WHERE genID = \''.$this->context['genID'].'\'' );
    if ( $result === false ) { die( 'Failed to select from '.$this->moduleTable( 'photo_book' ) ); }
    $module['authorized'] = !$result->EOF; // this controls whether the module shall be displayed in the current genealogy
}
?>