<?php
/*
 * Poplar Gedcom Viewer
 * Copyright (C) 2002-2003 Nicolas de Vulpian
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/*
 * Modified for v.2.0 10/2003
 * changes Copyright 2003 by J.R.Grotjan
*/

?>
<?php
$module['name']         = 'Privacy';
$module['action']       = 'Hide data for selected people';
$module['description']  = 'This module hides data for selected people';
$module['author']       = 'J.R.Grotjan';
$module['version']      = '2.0';
$module['isactivable']  = true;
$module['pages']        = 'ind surname search asearch stats';
$module['admin']        = true;
$module['interface']    = false;
$module['silent']       = true;   //module produces no direct output
$module['table']        = $this->moduleTable( 'privacy' );
$module['install']      = 'CREATE TABLE IF NOT EXISTS '.$this->moduleTable( 'privacy' ).' ('
            .'pID INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,'
            .'genID MEDIUMINT UNSIGNED NOT NULL,'
            .'all_dates CHAR,'
            .'all_unions CHAR,'
            .'all_places CHAR,'
            .'all_facts CHAR,'
            .'all_notes CHAR,'
            .'living_birth SMALLINT,'
            .'living_names CHAR,'
            .'living_dates CHAR,'
            .'living_unions CHAR,'
            .'living_places CHAR,'
            .'living_facts CHAR,'
            .'living_notes CHAR,'
            .'PRIMARY KEY (pID)'
            .')';
$module['populate']   = '';
$module['uninstall']  = 'DROP TABLE '.$this->moduleTable( 'privacy' );
$module['authorized'] = true;
?>