<?php
/*
 * Poplar Gedcom Viewer
 * Copyright (C) 2002-2003 Nicolas de Vulpian
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/*
 * Extensively rewritten 10/2003
 * changes Copyright 2003 by J.R.Grotjan
*/
?>
<?php

function hide_temp( $what , $birth1 ) {
    global $db, $pgv;

    $exclude = $db->Execute( 'SELECT * FROM '.$pgv->moduleTable( 'privacy' )
    .' WHERE genID = \''.$_GET['genID'].'\'' );

    if ( $exclude === false ) die ( 'Failed to select from '
    .$pgv->moduleTable( 'privacy' ) );

    $living_birth = $exclude->fields['living_birth'];
    $birth = substr( $birth1 , 0 , 4 );

    switch ( $what ) {
        case 'places' :
            if ( $exclude->fields['all_places'] == 'Y'
            || ( $birth > $living_birth
            && $exclude->fields['living_places'] == 'Y' ) ) {
                return true;
            } else {
                return false;
            }
            break;

        case 'unions' :
            if ( $exclude->fields['all_unions'] == 'Y'
            || ( $birth > $living_birth
            && $exclude->fields['living_unions'] == 'Y' ) ) {
                return true;
            } else {
                return false;
            }
            break;

        case 'occupations' :
            if ( $exclude->fields['all_occupations'] == 'Y'
            || ( $birth > $living_birth
            && $exclude->fields['living_occupations'] == 'Y' ) ) {
                return true;
            } else {
                return false;
            }
            break;

        case 'notes' :
            if ( $exclude->fields['all_notes'] == 'Y'
            || ( $birth > $living_birth
            && $exclude->fields['living_notes'] == 'Y' ) ) {
                return true;
            } else {
                return false;
            }
            break;

        case 'dates' :
            if ( $exclude->fields['all_dates'] == 'Y'
            || ( $birth > $living_birth
            && $exclude->fields['living_dates'] == 'Y' ) ) {
                return true;
            } else {
                return false;
            }
            break;
    }
}

$hide = create_function( '$a , $b' , 'return hide_temp( $a , $b );' );
?>